/*
 * File: neural_function.c
 *
 * MATLAB Coder version            : 3.0
 * C/C++ source code generated on  : 28-Feb-2020 13:04:44
 */

/* Include Files */
#include "header/rt_nonfinite.h"
#include "header/neural_function.h"
#include "header/bsxfun.h"
#include "header/repmat.h"
#include "header/repmat.c"


#include <cstring>

/* Function Declarations */
static void mapminmax_apply(const double x[550], const double settings_gain[550],
  const double settings_xoffset[550], double y[550]);
static void softmax_apply(double n[4], double a[4]);
static void tansig_apply(const double n[25], double a[25]);

/* Function Definitions */

/*
 * Arguments    : const double x[550]
 *                const double settings_gain[550]
 *                const double settings_xoffset[550]
 *                double y[550]
 * Return Type  : void
 */
static void mapminmax_apply(const double x[550], const double settings_gain[550],
  const double settings_xoffset[550], double y[550])
{
  double dv7[550];
  double dv8[550];

  /*  ===== MODULE FUNCTIONS ======== */
  /*  Map Minimum and Maximum Input Processing Function */
  bsxfun(x, settings_xoffset, dv7);
  b_bsxfun(dv7, settings_gain, dv8);
  c_bsxfun(dv8, y);
}

/*
 * Arguments    : double n[4]
 *                double a[4]
 * Return Type  : void
 */
static void softmax_apply(double n[4], double a[4])
{
  int ixstart;
  double mtmp;
  int ix;
  boolean_T exitg1;
  double av[4];
  double numer[4];
  double denom;

  /*  Competitive Soft Transfer Function */
  ixstart = 1;
  mtmp = n[0];
  if (rtIsNaN(n[0])) {
    ix = 2;
    exitg1 = false;
    while ((!exitg1) && (ix < 5)) {
      ixstart = ix;
      if (!rtIsNaN(n[ix - 1])) {
        mtmp = n[ix - 1];
        exitg1 = true;
      } else {
        ix++;
      }
    }
  }

  if (ixstart < 4) {
    while (ixstart + 1 < 5) {
      if (n[ixstart] > mtmp) {
        mtmp = n[ixstart];
      }

      ixstart++;
    }
  }

  for (ixstart = 0; ixstart < 4; ixstart++) {
    av[ixstart] = n[ixstart] - mtmp;
  }

  for (ixstart = 0; ixstart < 4; ixstart++) {
    numer[ixstart] = exp(av[ixstart]);
  }

  denom = numer[0];
  for (ixstart = 0; ixstart < 3; ixstart++) {
    denom += numer[ixstart + 1];
  }

  mtmp = denom;
  for (ixstart = 0; ixstart < 1; ixstart++) {
    if (denom == 0.0) {
      mtmp = 1.0;
    }
  }

  for (ixstart = 0; ixstart < 4; ixstart++) {
    a[ixstart] = numer[ixstart] / mtmp;
  }
}

/*
 * Arguments    : const double n[25]
 *                double a[25]
 * Return Type  : void
 */
static void tansig_apply(const double n[25], double a[25])
{
  int k;

  /*  Sigmoid Symmetric Transfer Function */
  for (k = 0; k < 25; k++) {
    a[k] = 2.0 / (1.0 + exp(-2.0 * n[k])) - 1.0;
  }
}

/*
 * NEURAL_FUNCTION neural network simulation function.
 *
 *  Generated by Neural Network Toolbox function genFunction, 28-Feb-2020 12:26:30.
 *
 *  [Y] = neural_function(X,~,~) takes these arguments:
 *
 *    X = 1xTS cell, 1 inputs over TS timesteps
 *    Each X{1,ts} = 550xQ matrix, input #1 at timestep ts.
 *
 *  and returns:
 *    Y = 1xTS cell of 1 outputs over TS timesteps.
 *    Each Y{1,ts} = 4xQ matrix, output #1 at timestep ts.
 *
 *  where Q is number of samples (or series) and TS is the number of timesteps.
 * Arguments    : const double X[550]
 *                double Y[4]
 * Return Type  : void
 */
void neural_function(const double X[550], double Y[4])
{
  double dv0[4];
  double dv1[25];
  double dv2[550];
  static const double dv3[550] = { -12.7307468279496, -12.9979051301932,
    -11.3389957066626, -9.72597237256957, -9.87855300656429, -9.87855300656429,
    -10.1496965928853, -9.95097910015346, -10.2312712689577, -9.57982150409833,
    -9.57982150409833, -6.91672478831545, -6.00719157772743, -4.71014432394466,
    -4.0191399908578, -2.79887666953591, -3.31414056050929, -2.75657288086071,
    -2.90781741728917, -4.05193502511177, -6.10524796444401, -6.10524796444401,
    -6.23192887549529, -5.67465295394784, -4.72378051718039, -3.61585975822761,
    -3.64048516376901, -4.00161898408471, -5.88179088469566, -4.5626884553634,
    -4.71895585512618, -8.22372295449374, -9.88899021225516, -11.4157262762015,
    -12.2702218729095, -12.2876896160834, -10.9097396277659, -8.8689399507548,
    -8.60794685443097, -9.43550407260586, -10.1782358918928, -11.6812003323265,
    -12.3579323891901, -12.8605127069955, -13.9544696374021, -15.6197818743026,
    -17.1317556112748, -17.5352020030708, -15.8944932290233, -14.8084543379887,
    -4.85817010629236, -4.63313643237115, -4.23622823823553, -4.37645886288847,
    -4.82373904590722, -5.86868906104432, -5.41243856099539, -5.3572534413509,
    -4.39689206404564, -4.38763893879143, -3.92085192027981, -3.47117379308615,
    -3.62040365799718, -3.15629870552451, -3.27927953897595, -2.88796495712678,
    -3.03744921182438, -3.99308648723241, -4.38457133053988, -2.84825895652115,
    -2.95399646823239, -2.95675983301478, -3.1078431359255, -2.63090920140422,
    -2.39628175181352, -2.7544592795963, -3.10997658105362, -2.50044837551963,
    -2.50044837551963, -2.05971893014128, -1.66997151934419, -0.979957483987883,
    0.203408752657561, 0.245811162769146, 0.245811162769146, 0.225304486036269,
    0.206789487154313, -0.0983414001924414, -0.0190920126034539,
    -0.318814551667921, -0.30346670241318, -0.170394591888141,
    -0.186262562913261, -0.102541398356555, -0.102541398356555,
    -0.00227059787569384, 0.0210558204915932, 0.00223935849078227,
    0.0371483128897716, 0.0225227499317742, -0.436492115259171,
    -0.436492115259171, -0.436492115259171, -0.38163098692894,
    -0.374174147844315, -0.379500448703766, -0.379500448703766,
    -0.379500448703766, -0.379500448703766, -0.379500448703766,
    -0.379500448703766, -0.377902567386627, -0.377902567386627,
    -0.369913071393967, -0.359526753425598, -0.359526753425598,
    -0.349939376115799, -0.349939376115799, -0.304665625095367,
    -0.364853084087372, -0.364853084087372, -0.364853084087372,
    -0.364853084087372, -0.362722545862198, -0.362722545862198,
    -0.374440461397171, -0.374440461397171, -0.374440461397171,
    -0.374440461397171, -0.470580577850342, -0.470580577850342,
    -0.470580577850342, -0.470580577850342, -0.470580577850342,
    -0.470580577850342, -0.497478514909744, -0.497478514909744,
    -0.497478514909744, -0.497478514909744, -0.497478514909744,
    -0.497478514909744, -0.497478514909744, -0.446345806121826,
    -0.446345806121826, -0.433562636375427, -0.399740487337112, -0.3960120677948,
    -0.384294152259827, -0.433828949928284, -0.433828949928284,
    -0.628239691257477, -0.628239691257477, -0.628239691257477,
    -0.723580896854401, -0.723580896854401, -0.723580896854401,
    -0.723580896854401, -0.744353532791138, -0.744353532791138,
    -0.744353532791138, -0.744353532791138, -0.744353532791138,
    -0.744353532791138, -0.722249329090118, -0.797084152698517,
    -0.797084152698517, -0.797084152698517, -0.797084152698517,
    -0.797084152698517, -0.797084152698517, -0.797084152698517,
    -0.797084152698517, -0.797084152698517, -0.797084152698517,
    -0.690823972225189, -0.690823972225189, -0.609597563743591,
    -0.660996615886688, -0.660996615886688, -0.660996615886688,
    -0.682834506034851, -0.682834506034851, -0.682834506034851,
    -0.682834506034851, -0.682834506034851, -0.682834506034851,
    -0.729706168174744, -0.729706168174744, -0.729706168174744,
    -0.729706168174744, -0.729706168174744, -0.729706168174744,
    -0.714792430400848, -0.714792430400848, -0.714792430400848,
    -0.714792430400848, -0.641022861003876, -0.640223920345306,
    -0.640223920345306, -0.624511301517487, -0.560861706733704,
    -0.560861706733704, -0.669252395629883, -0.669252395629883,
    -0.669252395629883, -0.669252395629883, -0.669252395629883,
    -0.669252395629883, -0.669252395629883, -0.669252395629883,
    -0.669252395629883, -0.55739963054657, -0.55739963054657, -0.55739963054657,
    -0.437823683023453, -0.437823683023453, -0.437823683023453,
    -0.437823683023453, -0.437823683023453, -0.437823683023453,
    -0.437823683023453, -0.354466736316681, -0.354466736316681,
    -0.351270943880081, -0.351270943880081, -0.406664699316025,
    -0.406664699316025, -0.406664699316025, -0.406664699316025,
    -0.406664699316025, -0.406664699316025, -0.435426861047745,
    -0.444747924804688, -0.444747924804688, -0.444747924804688,
    -0.444747924804688, -0.444747924804688, -0.444747924804688,
    -0.444747924804688, -0.444747924804688, -0.504136383533478,
    -0.504136383533478, -0.604537606239319, -0.682834506034851,
    -0.748880922794342, -0.748880922794342, -0.748880922794342,
    -0.748880922794342, -0.748880922794342, -0.748880922794342,
    -0.0473616756498814, -0.0673030093312263, -0.0673030093312263,
    -0.0673030093312263, -0.0673030093312263, -0.0673030093312263,
    -0.0673030093312263, -0.0673030093312263, -0.0642355158925056,
    -0.0642355158925056, -0.0642355158925056, -0.0642355158925056,
    -0.0642355158925056, -0.0642355158925056, -0.0642355158925056,
    -0.0659611895680428, -0.0659611895680428, -0.0659611895680428,
    -0.0720971301198006, -0.0720971301198006, -0.0830267146229744,
    -0.0830267146229744, -0.0830267146229744, -0.0830267146229744,
    -0.0830267146229744, -0.0830267146229744, -0.0830267146229744,
    -0.0830267146229744, -0.0830267146229744, -0.0830267146229744,
    -0.0830267146229744, -0.0830267146229744, -0.078999824821949,
    -0.0807254984974861, -0.0807254984974861, -0.0883954241871834,
    -0.0914633944630623, -0.0914633944630623, -0.0989416316151619,
    -0.0989416316151619, -0.0989416316151619, -0.0989416316151619,
    -0.0989416316151619, -0.10354358702898, -0.10354358702898, -0.10354358702898,
    -0.10354358702898, -0.10354358702898, -0.10354358702898, -0.10354358702898,
    -0.302769839763641, -0.302769839763641, -0.303919970989227,
    -0.303919970989227, -0.303919970989227, -0.301619231700897,
    -0.301619231700897, -0.301619231700897, -0.280718505382538,
    -0.280718505382538, -0.280718505382538, -0.280718505382538,
    -0.280718505382538, -0.279184520244598, -0.279184520244598,
    -0.279184520244598, -0.279184520244598, -0.281485736370087,
    -0.281485736370087, -0.281485736370087, -0.290114104747772,
    -0.290114104747772, -0.290114104747772, -0.290114104747772,
    -0.290114104747772, -0.290114104747772, -0.290114104747772,
    -0.295291602611542, -0.295291602611542, -0.296825587749481,
    -0.296825587749481, -0.296825587749481, -0.296825587749481,
    -0.296825587749481, -0.302577674388886, -0.302577674388886,
    -0.302577674388886, -0.302577674388886, -0.302577674388886,
    -0.302577674388886, -0.295674979686737, -0.287621676921844,
    -0.287621676921844, -0.287621676921844, -0.287621676921844,
    -0.287621676921844, -0.215907752513886, -0.215907752513886,
    -0.215907752513886, -0.215907752513886, -3.13948345184326, -3.13948345184326,
    -3.13948345184326, -3.13948345184326, -3.13948345184326, -3.13948345184326,
    -3.13948345184326, -3.13948345184326, -3.13910007476807, -3.13910007476807,
    -3.13910007476807, -3.13910007476807, -3.13756608963013, -3.13756608963013,
    -3.13756608963013, -3.13756608963013, -3.13756608963013, -3.13756608963013,
    -3.13756608963013, -3.13756608963013, -3.13507342338562, -3.13507342338562,
    -3.1306631565094, -3.1306631565094, -3.13123846054077, -3.13123846054077,
    -3.13373112678528, -3.13373112678528, -3.13373112678528, -3.13373112678528,
    -3.13373112678528, -3.13373112678528, -3.13373112678528, -3.13373112678528,
    -3.13373112678528, -3.13507342338562, -3.13507342338562, -3.13507342338562,
    -3.13507342338562, -3.13507342338562, -3.13507342338562, -3.13507342338562,
    -3.13507342338562, -3.13507342338562, -3.14140105247498, -3.14140105247498,
    -3.14140105247498, -3.14140105247498, -3.14140105247498, -3.14140105247498,
    -2.5770411491394, -2.5770411491394, -2.5770411491394, -3.06562519073486,
    -3.06562519073486, -3.06562519073486, -2.69200205802917, -2.69200205802917,
    -2.69200205802917, -2.3662793636322, -2.3662793636322, -2.3662793636322,
    -2.3662793636322, -2.29921889305115, -2.29921889305115, -2.29921889305115,
    -2.29921889305115, -2.29921889305115, -2.55788087844849, -2.55788087844849,
    -2.55788087844849, -2.55788087844849, -2.95066428184509, -2.95066428184509,
    -2.95066428184509, -2.95066428184509, -2.95066428184509, -2.95066428184509,
    -2.76864266395569, -2.76864266395569, -2.91234397888184, -2.91234397888184,
    -2.91234397888184, -2.91234397888184, -2.91234397888184, -2.85486340522766,
    -2.85486340522766, -2.85486340522766, -2.85486340522766, -2.85486340522766,
    -2.85486340522766, -2.85486340522766, -3.59252953529358, -2.01181650161743,
    -2.01181650161743, -2.01181650161743, -2.01181650161743, -2.01181650161743,
    -0.574804723262787, -0.574804723262787, -4.08111333847046, -4.3014554977417,
    -4.3014554977417, -4.3014554977417, -4.3014554977417, -4.3014554977417,
    -4.3014554977417, -4.2535548210144, -4.18649435043335, -4.18649435043335,
    -4.12901401519775, -4.12901401519775, -4.06195306777954, -4.06195306777954,
    -3.42966818809509, -3.31470727920532, -3.31470727920532, -2.8452832698822,
    -2.78780293464661, -2.73990249633789, -2.73990249633789, -2.50040054321289,
    -2.50040054321289, -2.50040054321289, -2.50040054321289, -2.50040054321289,
    -2.50040054321289, -2.50040054321289, -2.86444354057312, -2.86444354057312,
    -2.86444354057312, -2.89318370819092, -2.89318370819092, -2.89318370819092,
    -2.89318370819092, -3.75539088249207, -3.75539088249207, -3.75539088249207,
    -3.75539088249207, -3.75539088249207, -3.75539088249207, -3.75539088249207,
    -3.75539088249207, -3.75539088249207, -3.75539088249207, -3.75539088249207,
    -3.41050791740417, -3.41050791740417, -3.41050791740417, -3.41050791740417,
    -15.1748447418213, -15.5484676361084, -15.5484676361084, -15.5484676361084,
    -15.5484676361084, -15.5484676361084, -15.5484676361084, -15.5484676361084,
    -15.4526662826538, -15.2993850708008, -15.1556844711304, -15.1556844711304,
    -15.1556844711304, -14.4084377288818, -12.8947858810425, -12.4253616333008,
    -12.4253616333008, -12.4253616333008, -12.4253616333008, -12.0708990097046,
    -12.6936044692993, -12.6936044692993, -12.6936044692993, -12.6936044692993,
    -12.6936044692993, -12.6936044692993, -12.6936044692993, -12.6936044692993,
    -12.1475391387939, -12.1475391387939, -12.1475391387939, -12.0038385391235,
    -12.0038385391235, -12.0038385391235, -14.8203811645508, -14.8203811645508,
    -14.8682823181152, -14.8682823181152, -14.8682823181152, -14.8682823181152,
    -14.8682823181152, -14.8682823181152, -14.8682823181152, -14.8682823181152,
    -15.3281259536743, -16.1424331665039, -16.1424331665039, -16.7747173309326,
    -16.7747173309326, -16.7747173309326 };

  static const double dv4[550] = { 0.0737197131312659, 0.0731372654979804,
    0.0779421143187805, 0.0837888216210829, 0.0838536877613095,
    0.0857506108668044, 0.082503491612047, 0.0829962209285445,
    0.0823461405613057, 0.083226163731142, 0.083226163731142, 0.0936977929444671,
    0.0998972410634992, 0.105640479382992, 0.113752507632469, 0.113180880536942,
    0.114568359481849, 0.118463206401579, 0.118286221679356, 0.110504955535767,
    0.0929515825943298, 0.0972642413966892, 0.0957393083308745,
    0.105094879937895, 0.111049228871025, 0.120388416997437, 0.11827354570035,
    0.11339164658674, 0.102029389817803, 0.109390683597104, 0.109853429765235,
    0.0952319110097174, 0.0877887459802064, 0.0835294460370446,
    0.0805143368276177, 0.0803422970668577, 0.0837348811790414,
    0.0921300568259981, 0.0926195888399008, 0.0892010474819162,
    0.090249256491071, 0.0840540707181724, 0.0825531740015171,
    0.0805437553000705, 0.0771270735844643, 0.0713475697273614,
    0.0676961847084034, 0.0671190611511484, 0.0710300778343528,
    0.0724814909285354, 0.10839754626579, 0.109082510387161, 0.121847428934333,
    0.134343113076296, 0.12938137645556, 0.121189166279302, 0.12194533448756,
    0.121975133299211, 0.128143969228673, 0.136646328602946, 0.13566986692922,
    0.13998096215551, 0.132888094594678, 0.130243193982776, 0.132098398846076,
    0.126226816890209, 0.129756853183589, 0.124768728431858, 0.118647316175531,
    0.121446794193309, 0.111010444744822, 0.133546621986955, 0.130411591608833,
    0.127098831065891, 0.130468415500242, 0.130143863477421, 0.125330548529734,
    0.126277333136555, 0.125620864980248, 0.129197358861307, 0.133939365379475,
    0.155072997911636, 0.176822064766055, 0.170338667473947, 0.159978355478615,
    0.16309690142675, 0.161297247820436, 0.154940326226814, 0.15398341293013,
    0.150510216632424, 0.174112014113204, 0.161241164577614, 0.153351348348651,
    0.147952692050282, 0.136197344558842, 0.123896246944586, 0.112675426623616,
    0.109898588972324, 0.121285366603101, 0.1302491053612, 1.94505890880609,
    1.94505890880609, 2.08376038827718, 2.63042815244669, 2.65648116572056,
    2.72887806120565, 2.72887806120565, 2.72887806120565, 2.72887806120565,
    2.72887806120565, 2.9730294131993, 2.98010798644714, 3.03797428013141,
    3.10325300037068, 3.34217726289924, 3.34217726289924, 3.53239518080711,
    3.12650793900006, 3.36463808295309, 3.05527746541072, 3.05527746541072,
    3.05527746541072, 3.05527746541072, 3.06525392502795, 3.06525392502795,
    3.01117563967477, 3.01117563967477, 3.01117563967477, 2.60037130412436,
    2.31144115922166, 2.31144115922166, 2.27227602956399, 2.27227602956399,
    2.27227602956399, 2.27227602956399, 2.20489494964715, 2.20489494964715,
    2.20489494964715, 2.20489494964715, 2.53711895077713, 2.19779695208774,
    2.19779695208774, 2.32864257687765, 2.32864257687765, 2.36382507961886,
    2.46225321373329, 2.47360745909033, 2.50998405977925, 3.00034850413486,
    2.4430293815023, 1.42475287942527, 1.42475287942527, 1.38049126902147,
    1.29525220942577, 1.29525220942577, 1.29525220942577, 1.29525220942577,
    1.27805861305344, 1.27805861305344, 1.28417789886875, 1.28417789886875,
    1.28417789886875, 1.28417789886875, 1.30266646810259, 1.24212243021971,
    1.24212243021971, 1.1673981221324, 1.1673981221324, 1.1673981221324,
    1.1673981221324, 1.1673981221324, 1.09793450335987, 1.09793450335987,
    1.09793450335987, 1.16594817723477, 1.16594817723477, 1.22390354915058,
    1.18658113330583, 1.18658113330583, 1.18658113330583, 1.37291997874812,
    1.37291997874812, 1.37291997874812, 1.37291997874812, 1.37291997874812,
    1.37291997874812, 1.46078043956849, 1.46078043956849, 1.46078043956849,
    1.46078043956849, 1.46078043956849, 1.46078043956849, 1.59242419424724,
    1.59242419424724, 1.59242419424724, 0.96776705754004, 1.00359112547823,
    1.00399363142191, 1.00399363142191, 1.01197577719351, 1.802225172122,
    2.01769813696653, 1.81881139219102, 1.81881139219102, 1.81881139219102,
    1.81881139219102, 1.83705291976323, 1.83705291976323, 1.83705291976323,
    1.83705291976323, 1.86952260788639, 2.01283092710834, 2.01283092710834,
    1.98254281091693, 2.24913814255313, 2.24913814255313, 2.28819996458021,
    2.28819996458021, 2.28819996458021, 2.28819996458021, 2.25996762443073,
    1.79318821703358, 1.79318821703358, 1.79834105521879, 1.79834105521879,
    1.71301829923018, 1.71301829923018, 1.71301829923018, 1.71301829923018,
    1.71301829923018, 1.71301829923018, 1.67183261142208, 1.56065506855441,
    1.56065506855441, 1.56065506855441, 1.56065506855441, 1.56065506855441,
    1.56065506855441, 1.56065506855441, 1.56065506855441, 1.49153374137136,
    1.49153374137136, 1.38763343145287, 1.50982552861887, 1.43812180641443,
    1.43812180641443, 1.56880554906973, 1.499874639558, 1.499874639558,
    1.499874639558, 15.6377266249706, 13.5283982234378, 13.5283982234378,
    13.5283982234378, 13.6345148622994, 13.6345148622994, 14.0381955833428,
    14.0381955833428, 14.7529880197818, 15.0727854242283, 15.5213523395059,
    16.1460347066828, 16.2466644190241, 16.7153019990424, 16.7153019990424,
    18.1713977533737, 18.7259919444922, 18.7259919444922, 19.0335256725263,
    21.1569599273192, 18.9643341344188, 18.9643341344188, 20.2531403216527,
    21.2864522292294, 21.2864522292294, 21.2864522292294, 18.3310265627176,
    18.3310265627176, 18.3310265627176, 18.3310265627176, 18.3310265627176,
    13.3722633322387, 13.7422643932742, 13.5812272731688, 13.5812272731688,
    12.9088872200815, 12.658228459333, 12.658228459333, 12.0861820057459,
    12.0861820057459, 12.0861820057459, 12.5365140676112, 12.5365140676112,
    12.185022005835, 12.185022005835, 13.9257278311943, 13.9257278311943,
    14.0381952162696, 14.0381952162696, 14.0381952162696, 3.44578053924118,
    3.44578053924118, 3.43896605640512, 3.43896605640512, 3.43896605640512,
    3.45262492426837, 3.45262492426837, 3.45262492426837, 3.65978187745244,
    3.68044407824018, 3.68044407824018, 3.68044407824018, 3.68044407824018,
    3.69086291646794, 3.77365470952882, 3.7970078777224, 3.7970078777224,
    3.78049141023561, 3.78049141023561, 3.78049141023561, 3.7198220929356,
    3.71187856647268, 3.71187856647268, 3.71187856647268, 3.65209562328848,
    3.65209562328848, 3.59668278510906, 3.56350333087797, 3.56350333087797,
    3.55379018059131, 3.55379018059131, 3.55379018059131, 3.55379018059131,
    3.55379018059131, 3.51783490187428, 3.57572197664952, 3.57572197664952,
    3.57572197664952, 3.57572197664952, 3.57572197664952, 3.67655337146363,
    3.73179967542636, 3.73179967542636, 3.73179967542636, 3.73179967542636,
    3.73179967542636, 4.34961572882931, 4.44982165932156, 4.45552236522862,
    4.45552236522862, 0.318796329334695, 0.318796329334695, 0.318796329334695,
    0.318659968606595, 0.318659968606595, 0.318659968606595, 0.318659968606595,
    0.318630761896984, 0.318650224372301, 0.318504277455287, 0.318504277455287,
    0.318504277455287, 0.318582104009366, 0.318582104009366, 0.318582104009366,
    0.318582104009366, 0.318572364536427, 0.318572364536427, 0.318572364536427,
    0.318572364536427, 0.31869890307214, 0.31869890307214, 0.318923033763206,
    0.318923033763206, 0.318893778813546, 0.319059619773766, 0.318932794689766,
    0.318932794689766, 0.318864541351088, 0.318864541351088, 0.318864541351088,
    0.318864541351088, 0.318864541351088, 0.318864541351088, 0.318864541351088,
    0.318796317219325, 0.318796317219325, 0.318806058274648, 0.318806058274648,
    0.318806058274648, 0.318806058274648, 0.318806058274648, 0.318806058274648,
    0.318786576759255, 0.318465378435716, 0.318465378435716, 0.318465378435716,
    0.318465378435716, 0.318465378435716, 0.318475099277074, 0.286373879133037,
    0.286373879133037, 0.305661138699066, 0.284423101524398, 0.284423101524398,
    0.284423101524398, 0.300383537768881, 0.300383537768881, 0.301685775464158,
    0.290761218911073, 0.290761218911073, 0.290761218911073, 0.290761218911073,
    0.293623843524256, 0.293623843524256, 0.285981574071274, 0.28326533443232,
    0.28326533443232, 0.257418693748211, 0.256155281631907, 0.256155281631907,
    0.252438405942333, 0.240514466392618, 0.238590352905246, 0.220916989241875,
    0.220916989241875, 0.220916989241875, 0.213900162017374, 0.218146876737874,
    0.19276690703258, 0.190133476810089, 0.190133476810089, 0.190133476810089,
    0.190133476810089, 0.190133476810089, 0.191178168123998, 0.191178168123998,
    0.191178168123998, 0.249720759016304, 0.259983254795961, 0.260632405351823,
    0.285590371549362, 0.253357460348641, 0.308826276457532, 0.308826276457532,
    0.308826276457532, 0.307461792907457, 0.307461792907457, 0.394643776477556,
    0.394643776477556, 0.287557239470959, 0.278727030153135, 0.278727030153135,
    0.293623833246632, 0.293623833246632, 0.294037390376659, 0.298237928407749,
    0.310664516121387, 0.313934665006441, 0.319214919118294, 0.292390122628689,
    0.292390122628689, 0.295285091559728, 0.295285091559728, 0.325688845266692,
    0.428678747448357, 0.463925667328377, 0.410957786064162, 0.362441933237833,
    0.365615683479614, 0.365615683479614, 0.382356327534014, 0.382356327534014,
    0.382356327534014, 0.36433953044955, 0.346213183930418, 0.346213183930418,
    0.346213183930418, 0.325688845266692, 0.325688845266692, 0.325688845266692,
    0.324171664820436, 0.324171664820436, 0.334561792310813, 0.334561792310813,
    0.292390132820128, 0.292390132820128, 0.300816358863253, 0.323669070125029,
    0.349692719581773, 0.356256911586017, 0.345068684999395, 0.301250439875284,
    0.286373869356684, 0.272541190926479, 0.272541190926479, 0.285981583820861,
    0.262930169423143, 0.262930169423143, 0.262930169423143, 0.189100136593982,
    0.182647903923192, 0.182647903923192, 0.182647903923192, 0.182647903923192,
    0.182647903923192, 0.193660994082086, 0.193660994082086, 0.210450165635959,
    0.194382277365815, 0.197135556310388, 0.197135556310388, 0.197135556310388,
    0.212809956876381, 0.253665316080423, 0.337809970937884, 0.337809970937884,
    0.337809970937884, 0.243601594713961, 0.254593365440284, 0.235894407503081,
    0.235894407503081, 0.235894407503081, 0.235894407503081, 0.235894407503081,
    0.235894407503081, 0.235894407503081, 0.223998437999173, 0.238590359691277,
    0.238590359691277, 0.238590359691277, 0.242751802593772, 0.242751802593772,
    0.242751802593772, 0.211516271628732, 0.220916995059803, 0.219754255635628,
    0.219754255635628, 0.214559656663953, 0.20268596950324, 0.197882984806481,
    0.197882984806481, 0.197882984806481, 0.196763950803195, 0.185735362410782,
    0.172677037434154, 0.166746435973751, 0.15839647616421, 0.15839647616421,
    0.15839647616421 };

  double dv5[25];
  int i0;
  double d0;
  int i1;
  static const double a[13750] = { -0.048706749568147516, 0.14643176402790667,
    0.015499794159650738, -0.10024806204498703, 0.1074592417403528,
    -0.093070403190126674, -0.079531929314427957, -0.16984657329968555,
    0.13366273576723187, 0.22682274442168657, -0.0030578880736582947,
    -0.033531629182866937, 0.16099437324581034, -0.039362777957962392,
    -0.081216893237417945, 0.06540903975949211, 0.060248423017415773,
    -0.15520900272362415, 0.1623326860364154, -0.063172318247665254,
    0.13435099246137061, 0.0279267932342416, 0.024477757064696147,
    -0.33606678877593044, -0.00434649211969574, 0.081533702782163389,
    0.12271585222351171, 0.096199220414280071, -0.12478108369726823,
    -0.010026052702740502, -0.17086708206402365, -0.099419109016049126,
    -0.15056850657087184, 0.17333308748641352, 0.21124973224546681,
    -0.17561165254348127, -0.079758669322692863, 0.1117991312898575,
    -0.073986734792994183, -0.099735416567146365, 0.080296981957421992,
    0.15438552530126659, 0.017330659725905948, 0.17452485938090082,
    -0.020063279419861756, 0.085381216813164282, 0.0069090279194761956,
    -0.0077679631662889307, -0.32041372765632864, -0.0094216471355233009,
    0.0894319707069931, 0.055985099333288317, 0.11475124245739081,
    -0.13587073950798434, -0.056585297796224329, -0.11160849776357563,
    -0.13417484237155763, -0.13521081960832199, 0.10416170468245607,
    0.1263636536862541, -0.048528194053956968, 0.03217662652152687,
    0.057032807522827571, -0.026545614624649893, -0.13733608312456205,
    -0.010130431772287925, 0.084060780513456779, -0.0945453275361938,
    0.14187323617730049, -0.056705642382713972, 0.12582456001350892,
    -0.0097880392386231752, -0.10450297134999777, -0.20894200125961282,
    0.029875308502485248, -0.065072064964182483, 0.14719269907133747,
    0.07084865737396058, -0.076473595072249267, -0.008552073396932822,
    -0.12877221809385375, -0.053346210622905288, -0.0043630654244702421,
    0.062686766233716842, 0.23386902636010237, 0.063512665151936445,
    0.10795325993806604, -0.002567921799531892, -0.069670636999965882,
    -0.069649354951925618, -0.015204067976669207, 0.17458186677007945,
    0.072230276488043588, 0.1873880291188072, -0.071746993349709035,
    0.10734630036798272, -0.057675290102536143, -0.10427850067582535,
    -0.31353698438140565, -0.02968612364302179, -0.032236009400274414,
    0.081581763421490663, 0.044265992470899587, -0.019839410878127319,
    -0.039000833212059417, -0.0067055697424811813, -0.078046566218776869,
    0.053903513626500379, 0.13628088035814107, 0.21790020846791108,
    -0.059894017368976413, 0.0028085827748861691, 0.0877694778135166,
    -0.13805242491702638, -0.11559044054462489, -0.09895022814098689,
    0.1924076189327209, -0.070857503295767649, 0.0945763627491848,
    -0.065298214104612326, 0.054737065466880813, 0.10746715529258248,
    -0.039725995676879983, -0.21528519297245546, 0.078071857104178313,
    -0.028035759070826966, 0.14965212549982573, -0.02128992834387242,
    0.0090289710050247378, 0.011452715267292064, -0.044534096951456187,
    0.081663123630637741, -0.10290462216768384, 0.0994021658064183,
    0.26397418749252921, 0.049417621877800695, -0.02334697343621563,
    0.037757708135817317, -0.089322101861543851, 0.036195624770729892,
    -0.048366351415973126, 0.21888695373345868, -0.0053731243908839744,
    0.20791157482359371, -0.1801481268843918, -0.064363732517187369,
    -0.037369887971941754, -0.11790431270105534, -0.27208580689702017,
    0.085044396808182154, -0.049057367100840257, 0.081137073316338681,
    -0.015481304501743282, -0.057021729627964757, 0.064401270899487911,
    -0.12968899026579248, 0.075412266091043359, -0.12033273504202904,
    0.089855481951318816, 0.13298118798434358, 0.010612278917878012,
    0.1011418404857502, 0.071958306561648852, -0.040464310531980394,
    0.045258383105639725, -0.12055825614130038, 0.15797150757606807,
    0.019653311347242131, 0.088072871349199916, -0.070692401264868823,
    -0.027992786757465242, 0.099467727228029226, -0.0033388083126498227,
    -0.27083546480005172, -0.0381007280044232, -0.09255566680918427,
    0.13761122866017156, -0.0546796644498657, 0.050638189206143311,
    0.033659933774693812, 0.0010417138234256691, -0.087050664165834152,
    0.027609188785796341, 0.067317838233599353, 0.13275737283969424,
    0.019315152703799281, -0.10670795954751748, -0.013271443888625776,
    0.00991829592022502, -0.033093099769208482, 0.045200348267930839,
    0.21284218780918379, 0.00815484879365119, 0.10596073544514151,
    -0.14375433625375897, 0.08903923460531514, -0.078935332724273735,
    -0.043600209924028993, -0.36195034099380796, -0.098637551921055208,
    0.011429882166930245, 0.082833986197488663, -0.031003735220954,
    -0.10205579535372464, -0.0393178290159363, -0.12021873776353821,
    0.022527114924165658, -0.061792923759931145, -0.0011388493459480236,
    0.2574743629235004, 0.023599876919877815, -0.036855956778251271,
    0.05302464022670101, -0.10793382076708173, -0.021630996626231681,
    0.02206374485723072, 0.16879373599994033, -0.10866598727802326,
    0.23161809323763136, -0.091985047252464619, 0.026977874436391724,
    -0.023783450582472991, -0.059675020501486119, -0.22621548743925951,
    0.035373661367334941, -0.076223949136995789, 0.082737848557413826,
    -0.024906377590789067, -0.026904947419664225, 0.035574466361745792,
    -0.014398572297380596, 0.064974468325073878, -0.042631617900162649,
    -0.034792169231656352, 0.13233797009871751, 0.030935740215485338,
    -0.078021454053716438, 0.1406264061051869, -0.12559107068010711,
    -0.07930062521419079, 0.052052382752985557, 0.15083618698538165,
    0.073126486778215885, 0.14531659826818283, -0.040314200366937718,
    0.0284457892177149, 0.012595122296489833, 0.0039902687115398816,
    -0.3032394786444591, 0.023023071495085978, -0.067726058976782633,
    0.13368378102010089, 0.012577715340870073, 0.0610778347364484,
    0.070420102404604293, 0.059618714921316748, -0.07167729697231344,
    -0.047708013833366279, 0.04592357974027874, 0.10552312034721816,
    -0.058774557031780111, 0.02676991536573075, 0.080381244065850177,
    0.032274222711632571, -0.052862231172828823, 0.050595720632908396,
    0.19444278768535928, 0.08868579785554126, 0.073198004972449368,
    -0.0886138210979397, -0.053371636572924444, -0.016172345684222267,
    -0.038188663530472518, -0.28660041568892364, -0.047642879777911394,
    0.074279894017798442, 0.10634812757330583, 0.074836599983525515,
    0.10083790178028836, 0.036199282291913111, -0.048562492847670252,
    0.12790795626581439, -0.065601090494247616, 0.089230646872036634,
    0.1511171611115133, -0.07742651044235721, 0.050440440356304565,
    0.012562670563204308, -0.10555894359040893, -0.037928208624675178,
    -0.090526382955502721, 0.13746209835035361, -0.029118211821915277,
    0.0784126969601295, -0.09171180551504278, -0.07281923534156598,
    0.090300999285682748, -0.10319522973109081, -0.078988471399021071,
    -0.05957188752212126, 0.077193574783690419, -0.0099763883473556088,
    0.0085485744212765065, 0.06383413466079628, 0.068087517081591623,
    0.028393738779927128, 0.010988061299246324, 0.12172383756681543,
    -0.1026449214994091, 0.12828285743668433, 0.07719914962026124,
    0.070312162930590547, -0.12891998282132691, 0.052478769798542844,
    -0.07429798100800003, -0.060957050953213091, 0.11262166726398518,
    -0.035256240677755783, 0.035899410520971536, 0.03249974544611027,
    -0.067343002118047737, 0.0042331610280967116, 0.0070960495205743277,
    -0.12779399300375024, -0.037962320565178488, -0.073945189593359911,
    0.15416803586055106, -0.042720128675917658, 0.078598862290722188,
    0.053472568273145858, 0.14338771860817534, 0.061946443659852093,
    0.0169262647897495, -0.080372662929142, 0.081313914923608788,
    0.11326905086786622, -0.038355138004123948, -0.039540702556018853,
    0.047132550200676443, 0.07317642316705146, -0.10613650574053453,
    0.19764845904324282, 0.0077865514867495505, 0.13573274180035738,
    -0.13597660317666102, 0.045592127774106816, 0.016105431250187638,
    -0.16057484337286651, -0.03576319293003357, 0.0912813671883046,
    0.04513406561426242, 0.10490450559061956, 0.10438702592364431,
    0.073874104539388211, -0.037825475185926556, -0.0066813636654470951,
    0.067136669746106339, 0.12503970205894643, -0.06941086739779756,
    0.00947140050742529, -0.026649756231532609, 0.10539889577949765,
    -0.031556562069219272, 0.030121630360787775, -0.07657229381418347,
    -0.15539046575103693, 0.019807077053007403, 0.05693198839242064,
    0.090278304579341245, 0.027474672758889606, -0.0423917411072683,
    0.10044855960872938, -0.087583240459347608, -0.055369208968564787,
    -0.012582747480027384, -0.050101724771861131, 0.1962168764273908,
    0.0037619689350822509, 0.105936392569107, 0.12195237846637458,
    0.130471078571367, -0.0040896936732880834, 0.0077599734026042875,
    -0.099457657989680079, -0.068167159064819627, 0.062148393354486076,
    0.010707746085029331, -0.043760982946796825, 0.12316762600735068,
    -0.042315634244164242, -0.088567086359375213, 0.038805241871406833,
    -0.052440593855505264, -0.012604189897542889, -0.057972185609927819,
    -0.0038661345856289219, 0.13633810765160911, -0.00262284349152386,
    -0.097254711941362773, 0.073164249313722077, 0.091147564159412262,
    0.021517661566308459, 0.086355147222752573, 0.076136643659643233,
    0.06270945955656719, 0.19565985088925691, 0.079757000647649318,
    0.13879402040101962, -0.14253136776641484, -0.040848580219756667,
    0.063287931670254677, 0.026027041769526374, -0.0495989995006428,
    0.041267649096556995, 0.11570146366233901, -0.15380935264910572,
    0.0099819081214996084, 0.0025126944740914425, 0.072926886909807323,
    0.068861359778198267, -0.07425474707555095, 0.060517604051383359,
    -0.094861925163443828, -0.036594224685327859, 0.090383390385677623,
    -0.0613023166216089, 0.20175733867814891, -0.052335176774957137,
    0.082358919396957039, 0.023647087056747319, 0.0951274855392775,
    -0.015156955874651774, 0.1119045976344213, -0.082111990178757976,
    -0.079085863596800893, 0.17487457558646144, 0.065569748652547111,
    -0.10787355984179917, -0.046575958927598943, -0.072031627939596166,
    0.035218796787585341, 0.028442608182942957, 0.14205732465448451,
    0.068419248165052821, -0.027718812658652416, -0.027314951963919244,
    -0.0133235345760255, 0.013133982174453126, 0.070905466446358492,
    -0.044317007054686414, -0.038452473502062191, 0.039585804569372295,
    -0.0234885742479098, 0.015365813688642142, -0.049331114909004693,
    0.043959121296021531, 0.096572993912104943, 0.097895645999236128,
    -0.12911086801619889, -0.12141729023125891, -0.00015600056919795168,
    0.13248222984135843, -0.10698383323343419, -0.018530382138945704,
    0.12168741441087613, 0.0071369931974893741, -0.038197524480232871,
    0.10138439737286103, 0.14742684818391946, -0.081723439043380919,
    -0.15684757599498816, 0.080645578335807419, 0.031324743108406918,
    -0.011259192282781575, 0.067860458660406367, 0.097990724048862637,
    0.13682380161044813, -0.081407102711691728, -0.00766698352846508,
    0.1183079513178345, 0.24395956739830479, 0.068632446687655085,
    0.055158754298281105, -0.25300766871470914, -0.16140478504350789,
    0.16386198266944507, 0.0093491012649741054, -0.17787171942933278,
    -0.012780632871329181, -0.069081974968124446, -0.055658858300835369,
    -0.10655424665671441, 0.0333263035560389, 0.12737815715672463,
    -0.064445083492167668, -0.05265615862637426, 0.011665387614116353,
    -0.032275593258378324, 0.030973103647527766, -0.0014421765457734983,
    0.069222902197896743, 0.16776457757187246, 0.00381322046152491,
    -0.0381214387557806, 0.0669545002775426, 0.069123432537899876,
    0.03473787758008972, 0.13564859039365282, -0.12356090991444153,
    -0.16415034382289184, 0.11474990989878332, 0.076147314748421874,
    -0.091084120877647584, -0.0077827355101662476, -0.055406324020310059,
    -0.063967897867948126, -0.11961812273102415, 0.10292329004757161,
    -0.004122174880726504, -0.080978374395179242, -0.075719229115975645,
    -0.032071996240806269, -0.082444338461605565, -0.0798648023710708,
    -0.072279483438072639, 0.082755917085988839, 0.13201385652658926,
    -0.032453053496319134, 0.0078519526874804152, -0.041882682593744933,
    0.095709280967677016, -0.0617952439738294, 0.010665584640886129,
    -0.146893192928574, -0.073847346116426446, -0.039800865621713,
    0.047144520743559612, -0.10315389674634096, 0.0632986368216627,
    0.016126539341095533, 0.052423164323798462, -0.12380248393023503,
    -0.011673133338505677, 0.044797980181389342, -0.0386948996958272,
    0.0640228904121234, 0.11213463584763472, -0.038466900620659356,
    -0.040637095971999757, 0.05123711651984978, -0.058936530718979065,
    0.024625604044611633, 0.043241767446466281, 0.084716841173867075,
    0.11787865126799534, 0.088734761417991484, 0.1457752083699897,
    0.099921702595270959, -0.14988193496901281, -0.10867798370830571,
    0.062759695263277335, -0.046235101442378683, -0.11946661472764779,
    0.089843640466574684, 0.052494394060814673, -0.094576231209508768,
    0.031872691861961781, 0.0039926576567899047, 0.089362637904109338,
    -0.085741693758750723, -0.11917818227326842, 0.051023550465255467,
    -0.04728624673834448, -0.025070164825948645, 0.030656566313531891,
    0.072627503479952157, 0.1729512889167783, 0.082658250031895281,
    0.15912631199823149, -0.086994518478938035, 0.016168334126514514,
    -0.0413886668199147, 0.076622984509272379, -0.17215876020701906,
    -0.096742627794691824, 0.0718097429426314, 0.11099658827328432,
    0.090018577519282564, -0.077696550200157866, -0.028574390440119547,
    -0.0070706391637153322, 0.01122109956225272, 0.092706967158146331,
    0.10977162382766073, 0.073471277214263844, -0.10272415126580908,
    0.057318909742848194, 0.067749666878433076, -0.024759590903189906,
    0.095279340719650066, -0.069334139305927162, 0.068922369008173834,
    -0.1046943127653312, 0.20677807266000214, -0.036987441147864453,
    -0.042088757031352411, 0.0629506673876752, 0.013841419313389622,
    -0.17518134320532291, -0.13447327358514455, -0.0029676597999613325,
    0.032755322653890931, -0.058060075718726491, 0.0087681786710226018,
    -0.048352815288464773, 0.045030405150490026, -0.0077536368022374513,
    0.10071407020715577, 0.019846007228867486, 0.097072920336734272,
    0.024193945152782219, 0.071243728215561783, -0.013505170245829321,
    -0.084995421040085811, -0.0074081876465623107, -0.010964550851291163,
    0.061926956246636349, -0.099129113803620328, 0.0087396089928221451,
    0.092936702825146447, 0.013255317451353173, 0.020127362597770336,
    0.14770611180529902, -0.11895138505324802, 0.0010932122692774563,
    0.0995096564179565, 0.087965130763670421, -0.073118939835719668,
    0.0852906784601849, 0.078348188026074073, -0.0964689618536127,
    -0.22501719836730646, -0.0040214596183959523, 0.10655196115679576,
    0.12512841415461737, -0.048356891504093148, -0.014291172518099179,
    -0.0066506548534775011, 0.061897111917314389, -0.0479275411379138,
    -0.00030700749405644466, 0.018950081162249745, -0.070669942522590956,
    -0.0057797287486096643, 0.082065326655812176, -0.041648385288311454,
    0.089462959572155235, 0.11970307380639507, -0.225120236859665,
    -0.17313156365640475, 0.15953289175151214, 0.15541503503046927,
    -0.070656697042942571, -0.050364228378129809, -0.038544082622828831,
    -0.052686155390650725, -0.25867315712416739, -0.040482149451011404,
    -0.029823701593977077, 0.01285171483242894, 0.0029596483500115888,
    0.076318357998237274, 0.16467642820772133, 0.09324850020758485,
    0.007445488071738479, -0.055059029173914587, 0.10627805320563384,
    -0.040708746463969117, 0.17041822317043129, 0.045726253012303181,
    0.11586631567859935, 0.021805689228667734, 0.11856199498505093,
    -0.17055584600160803, -0.045424412361244552, 0.12581772731321969,
    0.12417169793070873, 0.022271825703936054, -0.037647787943209825,
    0.0033767412251335164, -0.0059679757697036311, -0.28599868257833633,
    -0.038739055979018118, 0.073685302370964309, -0.034945910008108649,
    -0.088230954044227677, 0.0003019003739271667, 0.061568223089520112,
    0.10029136775080159, -0.1034799143202504, 0.050246311123183694,
    0.12658837916431628, -0.070348169105793473, 0.11390794979035876,
    0.044091264005477609, 0.066139435763121326, 0.11454639086230319,
    -0.015155925405966695, -0.0721705112968244, -0.05503406695051289,
    0.027854643125430161, 0.13697268186796474, -0.043969966953194939,
    0.13049763135353942, 0.0059848985843701788, -0.025986195857589368,
    -0.12641327347854009, 0.060699034738468424, -0.098059520427772023,
    0.10138959805166724, 0.076008652830820839, -0.076941938063359944,
    0.042964078496123478, -0.040713787168003647, -0.063734912019218784,
    -0.056299618664608538, 0.16239384411896537, 0.084006689264977383,
    -0.056145678701005133, 0.001229088206423763, 0.10516658254857471,
    0.0315744962245905, -0.018727747231073517, -0.16778429774932563,
    -0.18684798568128835, 0.18925832231638914, 0.048296737502587381,
    -0.022144830773911096, 0.060773708422398473, -0.06957390985372304,
    0.067187635359462913, -0.31967060399334918, -0.011106267727563256,
    -0.06832815244948548, 0.085092438596347977, 0.018784410013267656,
    0.0670420729950951, 0.12848747227868854, 0.13651411037103539,
    0.057744845831007884, -0.0014657040441554028, 0.028576421645240123,
    0.087708450850941061, 0.00881715890774093, 0.0621787253692424,
    0.0860777862776623, 0.11874005390266922, 0.078672258837308315,
    -0.13724838675744996, -0.2056205567977043, 0.098607734508760578,
    0.1398849684939216, -0.15629924266153911, 0.09785941518842016,
    -0.066593236660990415, 0.026875298302342157, -0.16322508923976689,
    0.025010195729456806, 0.010438965264643857, -0.043254325687934136,
    -0.0506859736309279, -0.051389593953588067, 0.0021106173799120892,
    -0.087591237249395382, 0.082041725247957956, 0.088736565924748739,
    0.13321046943960002, 0.0990306647908365, 0.035571540648773325,
    -0.091330290712064957, 0.05856192710616679, 0.020213930608318807,
    -0.0620422682265291, -0.065889798068798716, -0.18319686004836158,
    0.13185125859006092, -0.044159205640276165, -0.0014127112141157348,
    0.11834150966848621, 0.023870699053519358, 0.077978781228170008,
    -0.200270861666986, -0.00015106846176547546, 0.035111626149837857,
    0.10469293124303081, -0.10027368632631962, -0.014677313273642896,
    0.094003686594485339, 0.045068368696455752, -0.086734449608227432,
    0.085813132458733468, 0.098967721112810936, 0.020021681081749784,
    -0.043966243589280855, -0.015716853994900845, 0.076135675562799321,
    0.10229551663389067, 0.093757457009319367, -0.040587619933251419,
    0.0065374216316676417, 0.12153800628281106, -0.067554762397843721,
    -0.00200888491438773, 0.10788532718191349, 0.019822670634376139,
    0.06525280792297565, -0.10193093969110902, 0.049873698143771225,
    -0.070824944039915974, 0.061205394833165581, 0.0023236012393600585,
    0.083508276186838329, 0.001300575297514811, -0.040095055722489108,
    0.06130891558373136, -0.0724510866733139, 0.16331175036019785,
    0.023276965804959103, -0.06475089891919375, 0.11129634346748138,
    0.10742468093738682, 0.10471526069874194, -0.0754039384067445,
    -0.10410747121763192, -0.086778967538807719, 0.031780791802820632,
    0.007591497845865003, 0.089802986603669158, 0.061402532570114451,
    0.00013199769446445113, -0.04321321108295257, 0.02264551272885745,
    0.096511074518924669, 0.062760648194455038, -0.099780650083366146,
    0.0046388546233071372, -0.0076681676891217822, 0.093727023152107028,
    0.03505004227420299, 0.025985592391006729, -0.11004119654331129,
    0.020117767782191147, 0.0549229353592515, 0.015531500350907869,
    -0.048260467449988506, 0.0069540736244799875, 0.11340206460796143,
    -0.10408180034108429, 0.028317786666395787, -0.0037827599834289543,
    0.065232153750330368, 0.031634553067275355, 0.0015994147089870559,
    0.041539920443652116, 0.033537756736776995, -0.071067283960352709,
    -0.075491114748865, 0.070099182670508492, 0.093710911459541052,
    -0.044666677496127828, 0.033866835211436616, -0.090294809476821489,
    -0.028030510884888952, -0.040667865868393, -0.08781894569838794,
    -0.062945549398531073, 0.11444425082842871, 0.071845481851777207,
    -0.054957165815731811, 0.086452670229485953, 0.040295607015970715,
    0.013722435096810362, 0.087534447671422669, -0.046390004386350367,
    -0.12084705454135533, -0.0037903553441373458, 0.044136178820467317,
    -0.066902874499953219, 0.010425297896730657, 0.057420322187801624,
    0.0044489184301657048, -0.036763676071707024, -0.06953551890558976,
    0.15695934003784487, 0.010440857909309662, 0.023816691095077031,
    -0.039653898478943683, -0.00399726549724573, -0.035947142986476943,
    0.048081366040704537, 0.022462750386996633, -0.010005949203272961,
    0.062150431272755928, -0.031521599888851962, -0.0689635641811941,
    -0.04065488404815007, 0.091245372204136713, -0.079384748238975775,
    -0.0098659893674504732, -0.035839759958367093, 0.10411322145530572,
    0.0065671361999170893, -0.078824870398361807, -0.0061461919410490005,
    0.025297439110150567, -0.030779986380107035, -0.12786395939708889,
    -0.057636133812522132, 0.0031899424882859424, 0.067354866910710229,
    -0.068249963916472547, 0.01509816625728737, 0.011051080284570825,
    -0.16355236350882035, -0.010651267641951378, 0.018828218404738997,
    0.01300458754665099, 0.073211905052513765, 0.051206312156426667,
    0.032393843608482374, 0.16761289321622572, 0.17771535280730005,
    0.068508183192747291, 0.020553382612718805, -0.023571199976687471,
    0.11604434447426881, -0.058062159195362881, -0.01965808163776844,
    0.04036634379202194, 0.043028739864666078, -0.091594779751067154,
    -0.015623738778684828, 0.047412169694501655, 0.011292429686799561,
    0.038853576133901356, -0.10954333256621845, -0.034973780271899312,
    0.056946488194755063, -0.15903682351370541, -0.10038975406908661,
    -0.0886661321131708, -0.018731436169360179, -0.021579823584805174,
    0.011817799451910353, 0.15144262350863025, 0.0099713575489134357,
    -0.017074956976563707, 0.094994015147364053, 0.0056317514112430292,
    -0.065590268613934175, 0.017661424736542024, -0.088015347574361621,
    -0.10493656027766943, 0.10089953204159734, -0.079457808061165064,
    -0.00942246271973615, -0.007475888231280879, 0.027367939688956171,
    0.081155852173643392, -0.017650035719016032, 0.029057663085153149,
    0.0072785296816510851, 0.043048556821777169, -0.10120872717606276,
    -0.011867566467192855, -0.13249117726771389, 0.032294232231823788,
    -0.02062971314460732, -0.038575555330007345, 0.036123989041788637,
    -0.005222360902752324, 0.062732515713948819, -0.050889903733108907,
    0.0083569088590961516, 0.057283465715330169, 0.11570545603049874,
    -0.10424998999835466, -0.060355991492899622, 0.094451472896363034,
    0.02235838091006051, 0.0056950917908496455, 0.020603690021090353,
    -0.058552089042993749, 0.057139929509651639, 0.012326317000327311,
    0.017955128952493939, -0.11446554711081462, -0.035180248352586332,
    -0.0082817527648789066, 0.080784497758540325, -0.0010059478813757836,
    0.15016017322015607, -0.092631070644745739, -0.067510310087159728,
    -0.055988665426750378, 0.094096869860178137, 0.16088047386743867,
    0.1455968912358841, -0.18076690878743837, -0.065711406862530075,
    -0.013317929578571809, -0.034569032131506951, 0.017604919530432025,
    0.12774386068546467, 0.043437166194586305, -0.059907784558016888,
    0.076498064164878365, -0.016103157017057397, 0.115386897735011,
    -0.090147827328692837, -0.0803539788092483, -0.0018085485906944975,
    0.066228656314275713, -0.11165119377935748, -0.027731152342614914,
    0.051333052292144146, 0.0861451717700555, 0.0097896023539633531,
    -0.091679846688992608, 0.025428376078597787, 0.13980016954887944,
    0.026207065119775587, 0.010942415179203588, -0.017046676232823452,
    -0.10657360740650809, 0.065819735579120658, -0.010596496828902872,
    0.0092367866353188256, -0.0370218314247224, -0.11586510269662713,
    -0.022457050374743454, -0.059266572422421712, 0.097823041204681938,
    0.073913308970072769, -0.040123697327350445, -0.056408363427507921,
    0.052752666929633159, -0.0014472617992561097, -0.13947542561554149,
    -0.0719040110948637, -0.047718520481631513, -0.024521245463575321,
    -0.05406634923590483, 0.00544927630420231, -0.014368442447675258,
    0.14920531712337651, 0.043183389732463474, 0.064291956100622577,
    -0.13388051021444047, -0.0061713324939146634, -0.066863885516285956,
    0.0989080662225769, -0.062325832899472758, 0.06313529437844119,
    -0.05672989693734528, -0.01908472427418987, -0.059730826651921927,
    0.10951377173157678, 0.10323651682419084, -0.11549670932019147,
    0.0030857817291844317, -0.0042113719910385249, -0.012063713631037235,
    -0.045509650963522906, 0.023356987512065212, 0.010082994989858245,
    0.11635792489484408, 0.0085312135930394623, 0.058157449949201419,
    0.042003776838189087, 0.036947590069628507, -0.031805684978159068,
    0.052968705891251189, -0.17666687584136725, -0.06526174645778958,
    -0.019965280977610821, 0.050280007377237979, -0.16455030536726534,
    0.12709501178468205, 0.055713100855448026, -0.014942249586440446,
    -0.037474461316165525, 0.0082833830318435123, 0.1345045542593252,
    0.019342361785454846, 0.033318691102590288, -0.043221270928105925,
    0.090254070155126015, -0.044619568815835058, -0.011459449191067084,
    -0.0067197400215651109, -0.033051179208585392, -0.082421338687503273,
    -0.035510900262816752, 0.10420295061182692, 0.17339884081480972,
    0.0954482175451615, 0.010242860554488531, -0.0047019226799406132,
    -0.12894862833534909, 0.029783511822498911, -0.045638439794967352,
    -0.15008360321437531, -3.872682137874583E-5, -0.12402789511347999,
    -0.00732905531277686, -0.0950748453822618, -0.010005616025322232,
    0.14082371095401702, -0.033624847664042383, -0.074511601602137087,
    0.020832734634520015, -0.08099876531906583, 0.01542948665516369,
    -0.063214338743665249, -0.02526252189974431, -0.0026410020285141107,
    0.01934719123069353, -0.064002977451323093, 0.0064640767149515069,
    -0.00730175866665084, 0.11335754360957667, 0.081725682821947074,
    -0.11363675318202501, -0.059905846155479177, 0.032987051889838734,
    -0.051442024450759773, -0.035105405160088171, 0.0097403781871393709,
    -0.099597720474219817, 0.017397721308896115, -0.029861278521613317,
    -0.075748706074772992, 0.067973068849598264, 0.0071834745830669563,
    -0.057485326771882748, 0.0528898159002791, -0.024316942361043845,
    -0.0083840361292941562, 0.00943646056872817, 0.043220333793398111,
    0.03060245139335217, 0.039654317510073957, -0.095573915100754359,
    -0.055759504035382032, 0.049797920036646168, 0.076289791088662282,
    0.11530807118807244, -0.17990158397730263, -0.037585004359074664,
    0.032421674881966504, 0.04675689640830339, -0.0022576751140728265,
    0.096463340706052683, -0.017526629993754081, 0.023308606143099774,
    -0.12728466305440092, 0.026967687311176713, 0.059849748531885169,
    0.0489953738403713, -0.082555577169238947, 0.023185546819154343,
    -0.055641870254201163, -0.010122138673357808, 0.02652982777828853,
    0.0024189780420697943, 0.045356540595175313, -0.10162900033125249,
    0.051000863719093348, 0.035734933185355748, 0.07094964675411311,
    0.018672656949975053, 0.0024639804519967596, -0.017255327941756212,
    -0.091435650260824744, -0.017515103899158915, -0.019392245858661731,
    -0.067449729752799586, 0.020561054383973664, 0.029506270052088623,
    -0.0076288979485434763, -0.095750297894385883, -0.065641621006583634,
    -0.047433914142263486, 0.0320041721713679, 0.027215675776887004,
    0.088167563305138585, 0.032789821029502904, 0.04247253792578265,
    -0.086226021083768145, -0.10294593817112965, -0.014712715916283174,
    -0.037433481313793329, 0.073408895211175829, -0.047780839343836243,
    0.2130963096737441, 0.069555541364425974, 0.084819312272884043,
    -0.10268221995973037, -0.12266729238686362, 0.082406797089608672,
    0.053010228357441416, 0.0086241128840781646, 0.0012244913839842015,
    0.0081848829380698936, 0.011529753050983903, -0.10398335531546064,
    0.032178578288076312, -0.014432676956381639, 0.043100565397010973,
    -0.13664560262440342, -0.070139379217232109, 0.037349637112880162,
    -0.0175906674800014, 0.056075092498257512, 0.040131603200264827,
    0.062389235353244664, -0.01139814005761911, -0.045679487916237972,
    0.059745091483014587, 0.10731476859473796, -0.0336896452381993,
    0.12550710574630514, -0.19496539012076244, -0.11669464225318514,
    0.1219271403507111, 0.10549655988677636, -0.047743200868079615,
    0.14162266575491717, 0.073752764848955946, -0.040711165854265284,
    0.04951012105660222, -0.029668904981314151, 0.07931015098146596,
    0.020171626979180787, -0.0395804235282355, -0.066390659753766734,
    0.16035866520700193, 0.068940947009685685, 0.048407406663936565,
    -0.088927914512054632, 0.015989537007293997, 0.077319836603558331,
    0.020311287128853477, -0.032515322565650359, 0.1757498612504573,
    0.11731889896227431, 0.094908828693775371, -0.131645917621449,
    -0.34287437115605313, -0.11227762236966324, 0.038619783984922385,
    -0.050332228927139476, 0.28029722434848786, 0.090290407300278361,
    -0.06089155644956231, -0.2551007367596595, 0.0076837228941452011,
    -0.0633457196220122, -0.0022063014854786594, -0.12425183775559941,
    -0.012259296772151441, 0.14728904533509546, 0.15715055749654083,
    0.064380215816388461, 0.01612276828333532, -0.057652064789954834,
    0.054087177220391996, 0.06437145778429712, 0.04880189454502451,
    0.16183181016583878, 0.07480992942787533, 0.043529349507805064,
    -0.23236421499704746, -0.30842551491214637, 0.019416655712413685,
    -0.028701404017802405, -0.07596790989183376, 0.22504253025928653,
    0.053814366636587847, 0.071461371232547172, -0.29293426818964169,
    0.009234950679042243, -0.24221557687700038, -0.02098970411166072,
    -0.11392153925317536, -0.037634334543567245, 0.1991473683708509,
    0.23981966146013114, 0.017145054512045753, -0.077477007033800713,
    -0.0033686141584606368, -0.054620065270753741, 0.045417694454528611,
    0.05421756105856488, -0.0073765668475193873, 0.10046029168576871,
    -0.090428807575689635, -0.0734099575066639, -0.17974200758754813,
    -0.10876496328826707, 0.020673681958338064, -0.059349028709516284,
    0.2069472011176649, -0.037333105059905634, 0.0518064968206874,
    -0.17593200411591142, -0.046629418382363522, -0.24458309941212042,
    0.12420999609225179, -0.1140867098714972, -0.0641086065614385,
    0.11293927867979732, 0.21087820392520917, 0.021336831023711055,
    0.0767384117415296, -0.17219166857972523, -0.031151255082799239,
    -0.042577058690713827, -0.059614429857012818, -0.022381295951656992,
    0.10445200089797582, -0.062132775403065679, -0.12842729879819753,
    -0.24346161681437958, -0.10636848269793406, 0.0084597590020623753,
    -0.01226770158597627, 0.27450203409110452, -0.051858121927589144,
    0.11541388226538095, -0.25554361804649678, -0.0084886878156165881,
    -0.16776489298996483, 0.08097098124321532, 0.074361480780733916,
    -0.12206251406387601, 0.1069378505713945, 0.29074759669550987,
    0.097851625490316757, 0.0959369584682747, -0.059262501337011046,
    -0.0041688122700922889, 0.00817736466247651, -0.14196270414752543,
    0.067965379562458711, 0.11615203643725169, 0.001198990695660246,
    -0.14086784556840212, -0.16601035814940493, -0.013281855290982409,
    0.070364299098771219, -0.063835568960155867, 0.19116961988241069,
    0.12259313635362722, -0.010454925340390473, -0.19387178924200851,
    -0.086944737019976043, -0.1391350405695724, 0.057926662962270246,
    -0.0608798462339571, -0.1115826570474681, 0.18412029369700048,
    0.32125941758824228, 0.088868689753147281, 0.0021862121348810563,
    -0.15715026067642668, -0.030846882586866027, -0.016602015432709779,
    -0.13963688220288278, 0.060166409195958392, 0.15458554392647358,
    0.14388408559031457, -0.041530115354058331, -0.055186902556264641,
    -0.13970170656711806, 0.043985150974888955, -0.074856070571587649,
    0.10885608782278096, 0.098791357029892626, -0.039909394484663664,
    -0.23872003643878853, 0.059961941171534569, -0.10435346506201226,
    0.015931343335613045, 0.075039949998628355, -0.093966492003356689,
    0.14620390147351786, 0.155646811322406, 0.058293379979414306,
    0.12645827487889877, -0.079471493572480373, -0.042635820698059969,
    -0.050406675536616964, -0.12343728604621994, -0.059231166021400349,
    0.10553173983201901, 0.11237118596643982, 0.0094990212237524539,
    -0.096857917240824445, 0.061787731996986131, -0.051434342084880715,
    -0.029272708629946249, 0.23982141524575973, 0.026893193649050413,
    0.0036093229813967437, -0.25556707535232442, -0.07647166759010264,
    -0.19826593289546254, -0.018391831092373783, -0.054848437315971811,
    0.01777312111502961, -0.051206610649464183, 0.1998578503942445,
    0.042984304232351528, 0.078939719094520952, 0.0032573494772760985,
    -0.0071663319664605155, 0.0875686946149841, -0.10911586482747594,
    0.047184467721435995, 0.14494887842712334, 0.080082811949024515,
    -0.01398772590726258, -0.21455599012405208, -0.1243462517640387,
    -0.069729162744422368, -0.01567953943364116, 0.30375506394903157,
    -0.013885757483465691, -0.084742020793645817, -0.16150474199347503,
    -0.09088884675653533, -0.17082033896821244, 0.097504007040204621,
    0.0671442268801584, -0.13161039590560236, 0.067116499733182372,
    0.16831336964131738, 0.040624752556924035, 0.12876587449349311,
    -0.026565552270158759, -0.018492809434409334, 0.11044943784741859,
    -0.057900766093965723, 0.010048021253869464, 0.011251746312907655,
    0.13194996624840716, -0.030163212089666366, -0.20695347253633728,
    -0.13065751914870824, -0.01094694830376837, -0.00876373534003149,
    0.25401244031833103, 0.10446801174069985, 0.10184359518863441,
    -0.13237916536091765, 0.052774336271976044, -0.082697144441406342,
    -0.014555892136681721, -0.020386335269716796, -0.0071576993739020846,
    -0.042514449242058959, 0.25168636734151284, -0.094786404069748281,
    -0.047347725983033571, -0.0807124953108418, -0.00087345931746019793,
    -0.0033220989577916289, -0.01322933750100648, -0.029617127815820883,
    0.031223309955488898, 0.16676222261840326, -0.10975649812190423,
    -0.089580210003969235, 0.051638385988292644, -0.0013661726552537357,
    -0.064395935235442986, 0.26939289207930245, 0.048114141086419808,
    0.10815824558712793, -0.26009849063423512, -0.10465061118760212,
    -0.11560011202033438, 0.11019820228023561, 0.020060546358934037,
    0.050477237601335406, 0.077174750082256119, 0.12103334375980652,
    0.0802188179309617, 0.13918102052604531, -0.0021368116991090881,
    -0.0037333163664656503, -0.009743714037702975, 0.0012676661647348906,
    -0.009248442381326015, -0.059197437923242592, 0.0085165923663528317,
    -0.009688413240129241, -0.052107232210014787, -0.061572471404994417,
    0.048367833942564734, 0.091007171687451954, 0.13895621155440729,
    -0.042892008618398828, 0.10697246596883701, -0.11394997301841596,
    0.031581768485587552, -0.14274345314113768, 0.10894671802800332,
    0.10722283550013972, 0.065011055345607818, 0.068850963893836922,
    0.045594653195955674, -0.086027010097281226, -0.012705190747381821,
    -0.095370014334599809, 0.048735917508397036, -0.011862211134619076,
    0.0018129657688384395, -0.026457045369423605, -0.013821898264660895,
    -0.070792660886845146, 0.072935502058912, -0.027155278288940658,
    -0.076263899565126719, 0.05567543320054872, 0.095622038799828155,
    0.12105587143158793, -0.0028062166286076731, -0.066637775140627825,
    -0.169179438618323, 0.096770588933594526, 0.016863965445363418,
    0.0535078205854126, 0.073214218096851691, -0.000375650182407884,
    -0.03005563703829859, 0.022136677684473235, -0.074941613150154324,
    0.10231821279341249, -0.086940813390180643, -0.061487940760330179,
    0.0408674030145598, -0.05162974003529943, -0.0805726372791698,
    0.0048901726448940166, 0.048886988144200755, 0.029490278329346521,
    -0.0891176287234215, -0.14094278313585995, 0.027176775019524049,
    0.063941602328702329, 0.087873198064384678, 0.064432229059424917,
    0.018410292223432451, 0.011456803576093345, 0.0069954702878208758,
    -0.044581057051129511, 0.042375120601548293, 0.032068698151295316,
    -0.064596009930541362, 0.015993871728536849, -0.0513472787883992,
    -0.085420010433731292, 0.054687614260937351, 0.017484724759992534,
    0.047081905179116909, 0.00089153201306312274, -0.039166365773854579,
    -0.015096267586462426, 0.1106860710258859, 0.044928704115720627,
    0.11041840207228447, 0.10440198253711727, -0.062876212875068019,
    -0.019188814080327261, 0.053453151932095641, -0.090311784258839484,
    0.12606468631556758, 0.040997552146529795, -0.10297590244825006,
    0.07454207284858462, -0.08303214988413278, 0.12979834387636469,
    0.10752726965250844, -0.027179812455313149, -0.053125917612196462,
    0.048513123756501429, 0.055385573176251028, 0.060773936282359511,
    -0.09267711846183653, 0.00601171491910985, 0.048610008418765858,
    0.0387845498861807, -0.005201690269454275, -0.04395792920672504,
    -0.03630750678606, 0.091444187898826676, -0.00810694691908286,
    -0.090909731263680779, -0.14149418102188477, -0.060274582915607167,
    0.021047767067795046, -0.020450010392961123, -0.043659047561951353,
    0.030684277969521931, -0.049058756578223915, 0.018965736098127284,
    0.0462979716652147, 0.077062888252426159, -0.061717023521202549,
    -0.0804217218835061, 0.055041128015120649, 0.0031876348235822735,
    0.021386984090712637, 0.0077320447522465988, -0.013232136389724685,
    -0.05168610201054432, 0.039460526596543026, -0.098590130018383446,
    0.026250978629532608, -0.0694281899418831, 0.026635885621769016,
    0.13603654015625696, -0.00048129323976900081, -0.08470749759815524,
    -0.048773402165219186, 0.020633821217074386, 0.044649530128053651,
    -0.096445089771304546, 0.0031618451046225003, 0.080805982632627407,
    -0.10653662740213261, 0.025340851238055871, 0.0061705555904495142,
    0.062813451242177243, -0.094405877522480766, -0.01600620215893812,
    0.043294471285412486, 0.025028372311444912, -0.13277202883740377,
    -0.086747446572702572, 0.1250605456635577, -0.0522570638135609,
    -0.084220708479908687, 0.11457547972113359, -0.067802413322945551,
    -0.010133147450457871, -0.02817579650625417, -0.049880322596212424,
    -0.06075036406285686, 0.082037294950222162, -0.10398496305630237,
    0.11922185557440991, -0.027426853744041864, -0.089457112069606826,
    0.11867814555855166, -0.024745045213304735, -0.037891359413326192,
    -0.048518941112556432, -0.069700071683124587, -0.17438152061250717,
    0.018895693367859803, 0.057192057137446267, 0.072240396998297013,
    -0.00807430648702919, 0.015172924517363368, 0.048861846592412,
    -0.045954287700987917, -0.10324618312519039, 0.078720686785840169,
    0.017975722412454587, 0.0011566801517441196, -0.025510051712858375,
    -0.12021294677358253, -0.10827524781361493, 0.094648681383146221,
    0.042212881390263274, 0.055893521607876542, -0.052447952404074127,
    -0.068382188278751657, 0.10299477116338303, -0.010441879949551657,
    0.062641044560491743, 0.12724497657688522, -0.036756344251516054,
    0.036748056329786991, 0.011757267585146372, -0.090969943384489965,
    0.085505410898179632, -0.074275897735098684, 0.0078825805741901227,
    -0.01831040846743389, 0.041909437273128562, -0.0024286921281999573,
    -0.0075004818647809463, -0.0064211201124180425, 0.12729799695200286,
    0.058950953937027081, -0.028803829153650009, 0.042760043292281176,
    0.0037571059474844166, 0.047882025664042385, 0.071254774992932854,
    0.0741281178300788, -0.11541374592312907, 0.08373768982561075,
    -0.0098172350934686448, 0.062474217439875634, 0.065274227026454093,
    0.039970148581016191, 0.044933290023367184, 0.074853898301929137,
    0.034707430121773679, 0.0900482527848054, 0.037827019017760907,
    0.038303592282206686, -0.056669985662295648, -0.0676126846247929,
    -0.039588492814296584, 0.0844303690302058, 0.083793799704426949,
    0.063778445312264023, 0.038602241369365256, 0.058697259628530854,
    0.068662467600699564, -0.0038783750381162193, 0.03730938836731891,
    0.043865175543169779, -0.090969089636565831, -0.041927364771555835,
    0.080680071850528487, -0.10576817936710138, -0.068954681256407427,
    0.026110320069539523, -0.060215991643461989, 0.02588179775557228,
    0.054079151733585906, 0.005956412772788711, 0.05128565491600838,
    -0.024076182007593361, -0.031793526916284162, 0.12332036626344013,
    0.053883796401174071, -0.003459439662046811, 0.11696720809027433,
    0.1004459689999629, 0.075931738280789765, 0.06724468624678466,
    -0.042304189943928525, -0.023974922620496556, -0.0021342706242653826,
    -0.096513736695374122, -0.053587682534546134, -0.074617045696003234,
    -0.0670752006932592, -0.0431985765122375, -0.015086250617011111,
    -0.01880994478499038, -0.0036800114759885844, -0.00485814911997278,
    -0.010800090621749081, 0.045455046671989859, 0.068580353570860411,
    0.0805746449677055, 0.033376138048625138, 0.055794546644642576,
    0.049149236503273526, 0.018228278496159545, -0.099921547240262712,
    0.020584010814089365, -0.015247977018154559, 0.0334754513020678,
    0.0177951232151527, -0.10936090799951353, -0.052376907058075094,
    0.073990264846609144, -0.18018090616584889, 0.024340070307540804,
    -0.092096456218652853, -0.097533100548603188, -0.031583921852605827,
    -0.092725753467546121, 0.0082345196132809929, 0.074892181347669992,
    0.039100894565124444, -0.15269952924945854, -0.014250362781908676,
    -0.082357260014938261, 0.074306384550630947, 0.0063611836400492726,
    0.051144194434665516, 0.098195038741324264, -0.0690855578339869,
    -0.089228196422826853, 0.012795584690418436, -0.033851887082888832,
    0.19939289505211588, 0.20132349015517173, 0.041082238740453442,
    0.058343319895195381, 0.11260172667133102, -0.17199863218763503,
    0.074934238514101081, -0.031355244995485233, -0.034755391164962617,
    0.077267658808242129, 0.058995730857161685, 0.087245171796730553,
    0.11638100015492157, 0.098903503560986775, 0.017655776110064893,
    -0.045160214038531162, -0.0093812272602870582, 0.15354007280216167,
    -0.037543068392019367, -0.0986711777309788, -0.048460835473993123,
    0.059638259914635679, -0.10263914687987337, 0.080308224657561961,
    -0.028788492138719122, 0.17199253268688602, 0.12247658637559639,
    0.014396674928623043, -0.11031492095258444, 0.011991362664941385,
    -0.12090786622855962, 0.0947719064041028, -0.031564642937595727,
    -0.083591758503762048, -0.057959118762168714, -0.11734165359171259,
    0.030330872853728749, -0.0093327635120012409, 0.085400869303292978,
    -0.10640211382952872, 0.10448188324916977, 0.037174838157672467,
    0.0477571575713152, 0.05181454143317947, -0.056998913123763296,
    -0.08084304039134517, -0.0018346043280984569, -0.025143067707547768,
    0.10201240731727752, -0.016600102731772613, 0.2223139650951553,
    0.023377339909293859, 0.05062893034334022, -0.023438751873302844,
    -0.018493165549335774, -0.13658800868209722, -0.064142911043777118,
    0.11872444143973267, -0.17738412464425324, -0.053459961375456139,
    -0.15474816423992324, -0.015105070853704038, 0.11143981568463984,
    0.085362820373516335, 0.11720340105921, 0.0037664140366056075,
    0.02900529898311683, -0.040750572178476267, -0.10996489072415985,
    -0.0069244733710662363, 0.024281579008612341, 0.033398578969776986,
    -0.13087571160823602, 0.13086735200399707, -0.057931968732221173,
    0.043726513037716977, -0.027475650452989067, -0.020058752364487176,
    0.06777238307955967, 0.11803519528606304, -0.07073821965818726,
    0.00803661993874143, -0.056866912636740888, -0.20546155382165485,
    0.058467924265136369, -0.072769021429081843, -0.029340842061360149,
    0.065020277355860412, -0.0488648581213724, 0.10438697762544277,
    0.028535491205839179, -0.059538125532783565, -0.014350950752967329,
    -0.064044330611277, -0.016167337785484431, -0.15120223833843122,
    0.063612458607446, -0.080838002156982, 0.092167271396155173,
    -0.050920015629586271, 0.18379548539575452, 0.12495235965188826,
    -0.018396336528443216, 0.013889859478102336, 0.15022724835100085,
    0.025925972454253689, -0.050461685564906517, 0.06011744558116372,
    -0.24085187515836987, 0.029860823853134363, -0.17153194311706332,
    0.1337441814503017, 0.015480321331157332, 0.064780943435710669,
    0.037437389999679549, 0.026746413408856626, 0.0041908784663347324,
    0.05199635535933899, -0.12053146067162872, 0.02922452623012051,
    -0.0550079185784606, 0.099696580111974131, -0.14152727863503065,
    -0.037459922902323181, -0.10205477274485041, 0.026808450758175662,
    0.017043575846212137, -0.00878612545438589, 0.067287180284569342,
    0.15235409352535143, -0.073152618304205413, -0.012877384891513251,
    0.10719502367994381, -0.17331764063060281, 0.032824548913877032,
    -0.0092085181552545043, 0.099109744390690369, 0.023971786993737955,
    -0.06924656634770604, 0.1732581359903104, -0.019021679051043634,
    0.020186143848549779, 0.11427329970014612, 0.015900654438355411,
    -0.078240415641972011, -0.1396487587026424, 0.051497079346787572,
    -0.12094517733315392, -0.03155650323834399, -0.16923584374434064,
    0.14952627826919904, 0.098318263253813473, 0.03648023086152135,
    -0.063690177952961571, 0.044901879501817468, -0.098816908782235063,
    -0.057763337817693654, 0.13781182971344574, -0.12853452279071251,
    0.060318305486764569, -0.041133228628679692, 0.058940754556843458,
    0.10335338736822983, -0.066866455519136711, 0.029857454029438724,
    0.091579733477167066, 0.0532741655679499, 0.047006190717667921,
    -0.063466276026100846, -0.010718317221942218, -0.10267098627371715,
    -0.071899234132104958, -0.19913981474889766, 0.086849189924301851,
    -0.16649081248691097, 0.17352679716499803, 0.083847411867054578,
    -0.056719354269469023, -0.04712785962098711, 0.011481953095402694,
    -0.0377676038356287, 0.075816663346433277, -0.038535313263424284,
    -0.21118262823590966, -0.090255612237798127, -0.0311275193293315,
    0.07701542190373678, -0.00060094858442352652, -0.11269825492130692,
    0.078277437931047841, 0.018983022999352346, 0.0869564101290945,
    0.084142063794648225, 0.04098400913722515, 0.059189948281523526,
    -0.034649420093327409, -0.055303390982162352, -0.11101049820766026,
    0.02904122993226177, -0.040848978306963213, 0.090441162851531726,
    -0.0057924333528283547, 0.040487145283847552, 0.062237159869555442,
    0.13786487232195854, 0.10506789488752966, 0.039630447415438294,
    -0.074137969528941222, -0.20535476998793203, 0.027011238407626849,
    -0.0015695820367243049, -0.028305923403823728, 0.13998237612387482,
    -0.054746459925223881, -0.028962532372361332, -0.09082050716065,
    -0.078916738262551273, 0.057529955839941048, -0.0084890841965389041,
    -0.05008944014359646, 0.080901440180159087, -0.086044634426074892,
    -0.0656256887934101, -0.062901976265877846, -0.14031665028506884,
    0.0486992198670617, 0.11885173879735876, -0.033900036321438627,
    -0.091881997149835609, 0.040761215231345641, -0.1150821142343792,
    0.054151606231473325, 0.00064481115144205087, -0.13172347777743187,
    -0.0387879739751508, 0.016683709150044256, -0.0240312123829617,
    0.06818621326010639, -0.079721058331917283, 0.060524741626025461,
    0.046755284565475633, -0.057173598223692376, 0.10800298719724864,
    0.082200767308053937, 0.058832128183801437, -0.020738494079202616,
    0.00015436044306237225, -0.11073299415272822, -0.00071090844887294251,
    -0.1026433783172785, 0.16038835114683539, 0.11440664179962697,
    -0.044887784315341982, -0.10384249450704268, 0.062547932817579,
    -0.0913235612016853, 0.10066872540624802, -0.036652349307627112,
    -0.18772165767373986, 0.084558945449840675, -0.11771589984668525,
    0.15462867778669692, -0.011699798545514733, 0.030997313099334609,
    -0.091619470890701826, 0.078363139347487662, -0.073644235208495751,
    -0.0017182562406544363, 0.0083115910846252219, -0.10243850030481375,
    0.089981907771122943, 0.017890763797550981, -0.10523764553365654,
    0.049266043794804856, 0.041767996429925527, 0.10293880537415206,
    0.018675609688395593, 0.024382983269164729, 0.031320428134849469,
    0.11582864201915664, 0.10527089284270702, -0.010631617086120761,
    -0.11119105349639841, -0.13119796213254553, 0.0035544576137940282,
    -0.096548089173223189, 0.033953990896568774, 0.051023504413627428,
    -0.13828240304643374, -0.14129844087440152, -0.063757327711593981,
    -0.094709281335799422, -0.049097839433076156, -0.028724485471510582,
    -0.11577687311031057, -0.037088942991251657, 0.054696095962776775,
    0.078288785601402858, -0.0827227710517399, 0.072527046163507067,
    -0.053907866567696715, -0.020924633271111957, 0.0695462166280521,
    0.00093915248343758647, 0.0662185508133379, -0.035929452758652371,
    -0.023449339165131786, -0.05926843855662315, -0.06940553844538129,
    -0.093302530711539114, -0.068161326907118347, 0.10013332039779115,
    -0.032938895623918794, -0.099765712251868463, -0.04548242337297756,
    0.1342299398652276, -0.044881382503973, -0.027232331775424272,
    -0.056213734655693418, -0.0089136937051464554, 0.019681558978543019,
    -0.054309690950323938, -0.0745398685101127, 0.025440990075766907,
    0.13081248359999476, 0.099270874123349617, -0.066226006515605146,
    0.0887152806502831, -0.086683014967936914, 0.16870255281197036,
    0.077840752513853362, 0.057786588415924323, -0.0036486391804110545,
    -0.12574111812285504, 0.048263676140048631, 0.0662302713485806,
    0.16869697411181361, -0.00588588782936378, -0.16813613435060965,
    -0.15360148860373712, 0.14290571210402628, -0.063303520761296278,
    0.13984486284466535, 0.089958176865199621, -0.067261173025082124,
    0.11019999620270814, 0.012455899682241426, -0.00032476572409593629,
    -0.0068993161886121814, 0.093528890000740342, -0.017159647938880807,
    -0.052607151414945347, -0.012765134252377347, 0.0659081344657863,
    0.16377788638263005, 0.10778517977538916, -0.023610380453050358,
    0.0067126202802882933, -0.07569127264061945, -0.082711381464348671,
    -0.066464726390201262, 0.18227228269182602, 0.023420858158319246,
    -0.15079587610064343, -0.082917773480090745, -0.051814594393232986,
    0.028515860050500039, -0.0049068886283364479, 0.055023009103923624,
    -0.02765072531238686, 0.13403736074208547, 0.11375170158494988,
    -0.0941345348070003, -0.034550481307736858, 0.14526953334882151,
    -0.023885191057078831, -0.062279585144838133, -0.048080847883530467,
    0.049602076462968221, 0.11552893120771272, 0.0126809835712665,
    0.059107051431043209, -0.091579517451457565, 0.0077359296054799083,
    -0.060500138922662872, -0.0019507250423957539, -0.022768743846489747,
    0.12456689849591689, -0.032704427628714491, -0.1389885836862409,
    -0.055826556539075541, -0.051263330535481995, 0.12233506794121106,
    0.056747189441593189, 0.068421133364876957, 0.072940830863213957,
    0.0360637607489899, -0.18333579715209147, -0.14431094618721418,
    -0.065220943372236551, -0.035493492273109273, -0.033387942850412008,
    -0.062057311343237186, 0.083894786827439324, -0.037687589972812109,
    0.029994153318745009, 0.015820153311216945, -0.0046302616402442449,
    -0.20101290785199011, -0.12152257246720156, -0.085765382137820617,
    0.10638390511862893, 0.034059824631223944, -0.0079081579350277782,
    0.036711672407735534, -0.04141724966590269, 0.06703693116094156,
    -0.051083490144990022, -0.072859943868898977, 0.06147206673811656,
    0.086525790575073175, -0.044874557331198814, -0.031092311739158135,
    -0.12828479589856157, -0.0473636785890637, 0.012591342415946503,
    0.062825973501111784, 0.11472857248880705, 0.056574772657402593,
    0.050904573161445088, -0.034942821179871041, 0.088690458494079791,
    -0.090018530642727551, -0.097374602546879338, 0.018279640882637779,
    -0.15625115416450661, -0.030015593809097896, 0.086034506087486362,
    -0.11230915878745749, -0.030584568314872013, 0.030972969580282245,
    -0.0574126883224256, 0.022744827778199094, -0.063129733257299009,
    -0.091193768812675144, 0.035919766644549982, -0.01588004613975702,
    -0.072721914818396474, -0.025810346123622027, 0.021823441649051423,
    -0.035612167889623556, -0.052740915556804609, -0.073060517005249778,
    0.018260609003127117, -0.05671119633398114, 0.15904739041847393,
    0.12441751265609179, -0.01077843049540559, -0.10774404698481263,
    0.037333494269812341, 0.011545494139701606, 0.095391038988144425,
    -0.020222596790268797, -0.15459429686602982, -0.010192695258930006,
    0.092119905593018733, 0.036246698102943682, -0.071871507585116276,
    0.022550021286265702, -0.013382018061860878, 0.033580322740632725,
    0.090969219140306146, -0.024351657548389093, -0.098004800079894067,
    -0.059463299416567181, 0.054262467740079562, 0.066772842526925488,
    -0.00082745820548012791, -0.099097460837313953, -0.085876295633386085,
    -0.028764755931630227, 0.0311794495150148, 0.0680842000104266,
    -0.14014400194781354, -0.070223651900908013, -0.0028094799989181458,
    0.056758186711961763, -0.017949861984700742, -0.14557372800700613,
    0.016946753913884491, 0.084467267751274167, 0.056028800924329943,
    -0.037777836272793894, 0.062828610848497779, 0.074201260456731741,
    -0.069902588476335278, -0.03801699485132768, 0.047622624922493181,
    0.040971370462542983, -0.10943310206015223, 0.018388497171506767,
    0.00551536099175744, -0.056704617881088118, 0.083131324748207475,
    -0.0043737861904381108, 0.017136467545907419, 0.0859891848957673,
    0.076928710403711062, -0.087112721756542721, 0.074240762695849477,
    -0.14898923002707745, -0.049678721571441695, -0.073461596125186338,
    -0.10249441269770183, 0.1061000946619383, -0.047504670331457458,
    -0.081961717714245041, 0.048679263451843161, -0.02236136178125013,
    -0.081914811236963217, -0.10199783281749859, -0.022448794334830866,
    0.053163059177055529, 0.015044090161656675, 0.00488428711356187,
    0.034282913498761204, 0.011374015096325383, -0.11924964831543627,
    -0.025361361681935819, -0.096305759871196592, 0.08796887458110679,
    0.10270932070259754, 0.027869062357914035, -0.043322803874430584,
    -0.086611844021129869, 0.052163792969439723, 0.025095413615580393,
    0.0025952188419088194, 0.043145581099946338, 0.15332329153813251,
    0.0073400384941815968, -0.008376169464284846, -0.11730649992363253,
    -0.05399864410802848, -0.051424565588461708, -0.011043563010272926,
    0.0867644145839592, 0.063958412802342074, -0.019132009496339072,
    -0.093007093437928887, -0.098272093239282626, 0.031046703146699335,
    -0.054371715833749105, 0.05696736449958547, -0.058789039018977848,
    0.0531770012588805, 0.12822984816783428, 0.015233548101444536,
    -0.12763354420995063, 0.047351083421712396, 0.082550350377240261,
    0.037878514340938613, 0.067232392650831821, -0.10250120952759433,
    0.039614749147769746, -0.043706575186678524, 0.10621120029868425,
    -0.093858515732768155, -0.072101371995137858, 0.089000674680660558,
    0.018844278879532689, 0.067321507061861047, 0.0868731531125242,
    0.09533183989231532, -0.08588921593750648, 0.069732294063805253,
    0.004808791671133978, 0.032745483458460165, -0.12730683927822192,
    0.020393538102310191, -0.0688419474135649, 0.11955059911657767,
    -0.065817258757360511, -0.074783155083652464, 0.037476996540974361,
    0.076502185890853072, -0.024275399529090105, 0.10173996378284413,
    -0.070643281073791642, 0.14076036904260619, -0.072727668517339167,
    -0.003151421451492544, 0.064327441514211339, -0.044698199869286449,
    0.035766086767761412, -0.049243087986557105, 0.088649343479044948,
    -0.013671901254391803, -0.044049208317134839, -0.059631448072726981,
    0.08258351002815334, 0.040456563598602391, -0.0616931998686935,
    0.015920022464992363, 0.059297643401339223, 0.030118824208417494,
    -0.035808490306144206, 0.0078336841895849819, -0.080789509588266861,
    0.1064278444996469, 0.0497090038509317, -0.14310326969406137,
    -0.013524055032743695, -0.060643747475603471, 0.12751680656221,
    0.018116232497354959, 0.093310734542009569, -0.049961064707789375,
    0.046487453298986174, 0.023167439427367421, -0.035233138271487066,
    0.092657352512311053, -0.0707781946432009, 0.043561759789872159,
    -0.12408132622315354, 0.0768181996033154, -0.039854663853166571,
    0.023977750162609428, -0.025841551356983371, 0.0084128558631684711,
    -0.11612662810812888, -0.012696765416542499, -0.066498502031625842,
    -0.064422421166956484, 0.030175422010912462, -0.062757866469277487,
    0.012617312872778471, 0.11398695120766708, -0.0329379770948913,
    0.011883143546359139, -0.00091106529976139829, 0.0976907725593416,
    -0.073256137260374263, -0.0068034909250136964, -0.0805263251242317,
    -0.13963253257715488, 0.019015773237689253, -0.054901250000350815,
    -0.05746654500282862, -0.12576437220724015, 0.057222045769580912,
    0.10984281244174146, -0.030245350509434304, -0.0912811043780182,
    -0.088374018250462816, -0.090433664235521558, 0.016123718334117725,
    -0.051380621251413863, -0.0074198685509691362, 0.046120368259322683,
    -0.078953637643088173, -0.0042995294597792562, 0.11127912762259975,
    0.013447816492663011, 0.10471798076722427, -0.071199754047916841,
    -0.10087808124939905, -0.0700399662583281, -0.020754081853512896,
    -0.011100099095237931, -0.13617209278219811, 0.095156192628342018,
    0.049914584554866984, -0.00709692195172881, -0.0929543116074568,
    0.085985846467092814, 0.038689813869068619, -0.0089537023656588843,
    0.030590563867327315, 0.096499806144942454, -0.035787806482131965,
    0.082930414142334957, 0.022015216814047459, 0.060661619625248367,
    -0.093596722391557, -0.083151151490411551, -0.057340286099948207,
    -0.039495284006156324, -0.0095240012170615829, 0.094376994339274628,
    -0.1744256374559012, -0.060966380812026405, -0.051904109749677074,
    -0.065848229078883089, 0.085951482925533521, 0.040133232214361714,
    -0.067102349123218941, 0.0020894829153388587, -0.0018905698739571145,
    -0.12416092101643468, -0.095127840658471324, 0.046827850637730969,
    0.060183228401029756, 0.085677704207462943, -0.085813669767442008,
    -0.083020000669521254, 0.05211929672177882, 0.013989086084004893,
    -0.097883338371164169, -0.019717025295930571, -0.02272832692538403,
    -0.032960563183822365, 0.07845168350727319, 0.077248009544497662,
    0.077984223537108641, 0.074010754857423033, 0.070550285309672445,
    -0.020185819266136693, -0.097194926445651253, -0.0841806651436999,
    -0.013384445897769066, 0.030150062712300581, -0.065270596331270012,
    0.074908777815221317, -0.035321152245086689, -0.0573373127975482,
    -0.064741286185072161, 0.010706589943660028, 0.063907106954386381,
    -0.0480379741573536, -0.019781984990381821, 0.039461946704991008,
    -0.035556898966664016, -0.037507063796716943, 0.031529079471134251,
    -0.034843720611913855, 0.051918167690876524, -0.038831285598374045,
    0.056475565363920864, -0.076604130807906637, -0.081993991248753048,
    -0.028191783766125852, -0.104714240533656, 0.079438656438332741,
    -0.069602453080210971, -0.10844334561204728, -0.042122728841238036,
    0.10555864587178176, 0.053491438483345956, -0.084929294619288262,
    -0.11075583381356981, -0.048283108160123656, -0.0044735550776418363,
    0.035057237388967884, -0.12917316668928597, -0.057868851591301389,
    0.052946599237824729, -0.045051223375621563, -0.055661061525520555,
    -0.01891401741166799, 0.033446675067091494, -0.046802910034159893,
    -0.061689218703889014, -0.026257777727500653, 0.02334833766291184,
    0.033877193651605061, 0.045430061784402009, 0.025106170142037167,
    -0.03409027551120971, 0.09712125767620769, 0.022370945681166311,
    -0.069068251076440962, -0.050857061928944541, 0.0190780073141677,
    -0.035617787155949661, 0.009920024460939425, -0.12059871404035809,
    0.0751614877103229, 0.12768543134923147, -0.0059625993311796339,
    0.030018324038474414, 0.06290151562450691, -0.0079727036911853375,
    -0.092191223120725765, 0.012172369480698938, 0.055184857165583322,
    -0.061976377957653678, -0.10529377266360188, -0.047045520947049342,
    -0.021390900108765171, 0.10318268418181084, -0.038689403805014622,
    -0.039038036572024343, -0.038574315479666055, -0.035406675212936875,
    -0.087873577502863717, 0.083575661307495566, -0.029299713719184679,
    0.11925435892290991, 0.034877717733817225, -0.048883487357342346,
    -0.014778498656834208, -0.0038131444497586679, 0.096139381453280937,
    0.019327911329675231, 0.052904032582489519, -0.061798779493335655,
    0.067948671336517025, -0.081908381670933325, -0.0023209267534466606,
    -0.064852107953399268, 0.012019941292647524, -0.043163412737299782,
    -0.07436381986238412, 0.0057973881128373754, 0.0010574340177346121,
    0.016275382902496621, -0.051155452928693508, 0.056791583317809709,
    -0.071498669849759069, -0.042016329389713752, 0.072144295257439012,
    -0.042508064011285707, -0.032346995593813842, -0.033732665123768171,
    0.044713318015013361, 0.079054034437625251, 0.041921792540524534,
    0.036931512216801556, 0.015004997010395512, -0.050858310601066513,
    -0.059889785735666307, -0.058196464513604156, -0.025904504689303661,
    0.049031967024469256, 0.079299832717452973, -0.02796653088244826,
    0.043378886836321046, 0.099835926180216042, -0.041545032665323334,
    -0.15820481421857774, 0.069404843416915427, -0.11057516046163922,
    -0.011537348662397185, 0.0684640318104303, -0.0185815670804422,
    -0.066646541124147876, -0.061710298219473124, 0.0594334593670699,
    0.018139739737321737, -0.0085126498538469729, -0.036190006537823477,
    0.080031779651238241, 0.055970248360444147, -0.11177162958621067,
    0.044857237059780626, -0.093979040481657783, -0.0054573408879023113,
    0.018201619781863812, -0.054587818235941381, -0.085284028061754655,
    0.035705886095614259, 0.034999513294754821, 0.03789187212158187,
    0.0395026194548248, -0.025257914005865731, -0.094521912951798445,
    -0.16669917582730687, -0.11324510817852049, -0.0097744527850964109,
    -0.042711620877973068, 0.025340239555598873, 0.12227172951432219,
    0.0038197576629904095, -0.049281721334607009, -0.0047079093248762072,
    -0.085151525129435, 0.020847849293983502, 0.10706303432158283,
    0.033199002702596438, 0.01364553018018053, 0.045830820769868268,
    -0.097890483289833491, 0.062230106637936877, -0.016019036668799877,
    -0.013139699805991858, -0.10879172834403247, 0.039154433181572794,
    -0.043154075966056547, 0.040856705770756931, -0.023766539980950883,
    -0.029665815249437167, -0.16707458395013047, -0.017118374574721654,
    0.039358973658393158, -0.050301222210626162, -0.042516225703141168,
    0.047943659590717468, 0.044013947532212064, -0.036259239192603404,
    0.0070829153098135684, -0.13167597282535931, -0.127249386592447,
    -0.028413828583022768, -0.15769054221344367, 0.013127840664117022,
    -0.11655177800834619, -0.068209793871231175, 0.046247164576320936,
    -0.0094920666232587714, -0.020605218179601648, -0.13456094713728078,
    0.042577983242542451, 0.061921430902252675, 0.049163436339864433,
    -0.065022627402390676, 0.11050295099765639, -0.15765794641213698,
    -0.0934031422540878, -0.070249061657464515, -0.045634563480291185,
    0.082119289117236177, 0.018740852391409248, -0.037453495570392625,
    -0.025466592974693305, 0.021078097738819326, -0.10669679842514419,
    0.01882337278496132, 0.058862413049044056, -0.058124614118514155,
    -0.032923123940094876, -0.14802688952560969, -0.028915008134860622,
    0.081302050766412226, -0.061593637220637154, 0.040265631629442356,
    -0.08941586952269473, -0.072313356522123978, 0.023955214697655509,
    0.055548141514759918, -0.010329617418822197, -0.033707225940406274,
    -0.096529263954394429, 0.084154209189931273, 0.097275498045629724,
    -0.036058097964181579, 0.046689384711509865, -0.022209092013457356,
    0.07889137302586452, 0.081771111662608337, -0.068048720465461759,
    -0.068708037530529009, -0.12756385089947253, 0.005733962866187302,
    -0.03311860453378751, 0.15265036264866932, -0.00047451749480140106,
    -0.0078824118428392851, 0.07048029061074168, 0.082370578036207412,
    -0.04337574980912861, 0.0061206743640808137, -0.039741581540962259,
    0.068239833811391121, 0.048008772542421807, 0.0431415370322687,
    -0.050881372583901359, 0.0053346893252460385, 0.021631172429364836,
    0.08511260483298129, 0.084509491739132026, -0.0037001275765222016,
    0.11433906072907501, 0.087186128460695664, 0.10530189348103693,
    0.00786321857833516, -0.08745027243597793, -0.12085827591108614,
    -0.059062148197662812, -0.10384527838197338, 0.046869484655067781,
    -0.014520163336640359, -0.019575694410318062, -0.063185139201757279,
    -0.014992227504920767, 0.13441508345210881, -0.053066501245612074,
    0.047738002870715494, 0.032289403583036877, 0.014770777452465139,
    0.11282698303766869, -0.088849007911569647, 0.022580323036386591,
    0.0793157418981276, -0.101585109226308, 0.13048217262125772,
    0.0017678183979345694, 0.029719870054721674, -0.10504945393847709,
    0.043958437388971941, -0.14041673621178946, -0.10980374357538607,
    0.029296654659855013, -0.023810418610118744, 0.023332823581828508,
    0.047342340738237391, -0.055506223760074226, 0.081951714548670479,
    -0.0039414887094778037, 0.17747649808331262, -0.093557546000412828,
    -0.059257851385638473, 0.0040383991960043853, -0.064045939838353244,
    0.043878797211873155, 0.089607006005078441, 0.098316685400899939,
    0.012037153922119948, -0.0848188624294843, 0.057946226608480936,
    0.064629049324278487, 0.0089704441606168629, 0.13860697619423518,
    0.08017452687712058, 0.055567397713394258, 0.066952832529621947,
    -0.074671136217440967, -0.154675087641654, 0.069029412119595512,
    -0.081600306540741407, -0.045460115135059272, 0.11230931844720919,
    0.071087818202367745, -0.074541642398059174, 0.064404692872829142,
    0.024627550781598818, 0.0511053715144501, 0.030231824832826056,
    -0.013051727579188002, -0.13324344290368009, 0.06528361322238789,
    0.075799651711505073, 0.10324661020640173, 0.075471253944246669,
    -0.054128347821986778, 0.085439572067461514, 0.035602670538381821,
    -0.053683447185738337, -0.042447655170909863, -0.086167723441126623,
    0.049490835970036721, -0.14209042508448291, -0.098059426571296543,
    -0.01785938005335579, -0.039558011718026913, -0.021882298742519523,
    0.09545189141493346, 0.020664316470707, 0.013195430103929933,
    -0.045565904069691972, -0.07001414319433262, -0.024679960462380697,
    0.065759447914360988, 0.030678655203860688, 0.062412440924573737,
    0.071179657803161711, 0.082094172305262655, 0.0024778246071108169,
    -0.0102699311974275, 0.040372579329812162, -0.0075577696646984176,
    -0.064944226511144412, -0.079929103798952031, 0.031662638351635658,
    -0.074474540025258218, -0.054503162137029583, -0.0332107596308832,
    -0.11958184961445412, 0.030613754051572985, -0.085380766143520137,
    0.11839934228771505, 0.073630033012679647, 0.027075683872090812,
    -0.10259717359693828, -0.033079801384820105, 0.0916514033184822,
    0.032517615196070888, 0.00043396138918038666, -0.016703722213771741,
    -0.0838123171815466, 0.048020773902249556, 0.045798563489618027,
    0.10987227781535781, 0.0926199695212547, 0.0627702524080962,
    -0.014291568076001168, 0.05663438461149535, -0.088668494314296437,
    0.0634539458593446, -0.034925755026464569, 0.19671747968198247,
    0.048451860586648882, -0.020474807114957153, 0.02007091014391086,
    0.067988527769045792, -0.066009407768304246, 0.14105118426451363,
    0.1075017549443512, -0.11866354988213286, -0.043695566539117082,
    -0.036655666481218555, 0.13312521342345873, 0.011405258535677844,
    -0.12291981328098529, 0.025992578585616558, 0.023199743265956908,
    -0.0839591759072146, 0.14816995160409402, 0.093598688735609545,
    0.0415766120963026, 0.14624559675015769, -0.0094741944606065737,
    0.0097468129948033045, -0.007113448764848547, 0.05037318440439404,
    0.12224367779407619, -0.080108851469427242, -0.099163187448847862,
    -0.028333189771744594, -0.030737176035983107, 0.0064174954693511531,
    0.12646731442919984, -0.046004665149051195, -0.17660428367804509,
    -0.012239653539430115, 0.060699651853126958, 0.17745517739409131,
    -0.072883370090797109, -0.0729950642298698, -0.051522862574361519,
    0.075401036720170928, -0.125346043511297, 0.020068534001063378,
    0.068149481602399836, 0.082695697559871828, 0.19339789790671924,
    0.10429635751212925, 0.06406766573379305, 0.042155817669713984,
    0.14787678048189709, 0.077929308280981213, -0.10645521911099087,
    0.061402899935743945, -0.0181934639883299, 0.10252932304451939,
    -0.0074486071243517219, -0.056926811546065118, 0.033144452663519182,
    0.092287141991109226, 0.0097779667683269688, 0.069658871680861087,
    -0.031578094611126178, -0.0096354307985390426, 0.056154991468316241,
    -0.062235393691642736, 0.095871061866566312, 0.053807316744210409,
    0.0096902828270673761, -0.042829086693183686, 0.013955748998952753,
    0.033685182987338635, 0.030510732279755724, -0.05416307580942617,
    -0.086767694295418155, 0.10458380715632323, -0.022316851519305896,
    -0.015819932582430918, 0.0010804065696205997, -0.072189953810856688,
    0.037819200458181122, -0.0074499813602534569, -0.078758468545104154,
    -0.029689966298998498, -0.055060908974384662, 0.076977459399760667,
    -0.059221402412852078, -0.058219648765724746, 0.063850669403089658,
    0.038254452075054374, -0.11235614962179831, 0.044468076684317653,
    -0.069796059973069563, -0.050069514472345956, 0.076294045831851565,
    0.088275715591320442, 0.080913550661947858, 0.13609816863374175,
    -0.0077933479902628378, -0.10813940550834801, 0.036878225197354585,
    -0.016181706185509872, -0.00983926794126486, -0.023476240109642142,
    -0.11167072299474411, 0.064706145722822614, -0.0049928502134878516,
    0.064869073160896851, -0.010116677199217831, 0.015136544208903886,
    -0.096799883551231924, -0.040856764074059332, -0.03275511094445617,
    -0.02220686179216665, 0.053044991231928289, -0.11462489589061359,
    -0.15020823218040061, 0.028960954103028444, -0.040808809937465232,
    0.0195267473768218, -0.038428915447421233, -0.0042676743257137485,
    -0.040332453404345263, 0.072865983680936136, -0.089669349013175276,
    0.023557742059658777, -0.09680772523888756, -0.10185675202020027,
    0.098656080019839068, 0.061893355821969531, 0.06070506592036358,
    -0.037970826919479582, 0.08298234320516365, 0.05364837111674662,
    0.0744399812243665, 0.0039918903184377186, 0.0037698482448742304,
    -0.024698445327449085, -0.023955476694839582, -0.070581748334207717,
    -0.13171532032768005, 0.087091210445032, -0.010103804256920881,
    -0.065051873130434756, -0.0855420582348061, 0.097866312861496732,
    0.12941020654161881, 0.048982976896611581, -0.036087114008909883,
    0.052359553600478344, -0.036956424701444404, -0.018266246009873296,
    -0.0099641836166093831, -0.02850928119244903, 0.04943359996865572,
    -0.10249760895750062, 0.097807597547603611, 0.011804760315632124,
    -0.047850281521431781, 0.049799590838800596, -0.009809698826273007,
    -0.048757981081988137, 0.099184416214224455, -0.066223649694532538,
    0.087416379536981878, 0.042621516374495273, -0.034957995413894646,
    -0.12290273838125426, 0.043802380187262166, -0.068665598587375046,
    0.053263534527173452, -0.06566564104922, 0.10653959853021948,
    0.027700117106089744, -0.12281102141724247, -0.0452925347369176,
    -0.0435548518009742, 0.049346652499460839, -0.029223761802505452,
    0.087959265645427165, -0.070531167249625756, -0.050155707461713765,
    -0.008511776669960976, 0.093061398735102746, -0.053605350388042143,
    -0.09519471242597663, -0.015787802166629585, 0.065267789208848723,
    0.036431010062002812, 0.067225614386198743, -0.043577871898689641,
    0.0060486441808074365, -0.0257506078241253, 0.074078245104218066,
    0.058500217246649056, -0.078904082351010915, 0.018224164736222993,
    0.066380905873805768, -0.051467000915290377, -0.11493541234130172,
    0.0685416538852683, -0.0031258391704223911, 0.045740070833547426,
    0.047099856829210904, 0.10749644764433619, 0.038467804871655908,
    0.10818234565421989, -0.047878872348049856, 0.066380995788157288,
    0.0082536645288771686, -0.056970027311377243, -0.034405738490125251,
    0.13418242633145233, -0.053044581772836372, -0.09811009023997673,
    -0.047607418107545062, -0.025407853031281014, 0.07565581837937721,
    0.025238303446161937, 0.021491508296622715, 0.03438120385691016,
    -0.00039602902939829868, 0.12125144371478898, -0.027434908055467281,
    -0.098440964159584213, 0.014895728144701493, 0.061104286794244476,
    0.11800338012918903, -0.16362986521880601, 0.12960926181240481,
    0.095476162216211052, 0.080214627748117648, 0.059958931888752766,
    0.082622859399029733, 0.12850764250555405, -0.0024773857185212359,
    -0.023079900066577296, 0.035436253216938066, -0.089526449558115714,
    -0.056780267157647675, 0.022152625725406171, -0.20054793104526383,
    0.09867416310263645, 0.11568312738405467, 0.04040590014995836,
    -0.049024253078212419, -0.093524276900790168, 0.085308388972194685,
    -0.10687301050341798, -0.13467458082537329, -0.17732363575284557,
    0.045805965660294844, 0.05252417923098969, -0.14862582504869157,
    0.0376614613375545, -0.048669965109111833, -0.020760946587806611,
    -0.0805853472298037, 0.15239891330681671, -0.11094781561072597,
    -0.15196504416721868, 0.033737426352725246, -0.018967009064974064,
    0.12219751600956116, -0.097658684249990163, 0.055285689343928288,
    -0.074951855455943128, 0.026284336933300956, -0.054707615914996836,
    0.0028871476734361316, 0.01102380022341521, 0.03465384240946643,
    -0.0073289869518507172, -0.070924984733061719, -0.082836699956414628,
    -0.099729878176266135, 0.14204652792345207, 0.030885524007933762,
    -0.13320062209068279, 0.0060034622020304186, 0.16373964874430036,
    0.063654633485551282, -0.032421330523094628, 0.14743437046415095,
    -0.12997972456546281, -0.061648201148835936, 0.0024286572215826427,
    0.062892561927119228, 0.14243766822379134, 0.038738513140499635,
    -0.076975972872338413, 0.013219341138902656, -0.015295737175128244,
    0.045593652406675719, -0.094928009136592759, -0.081941582934308782,
    -0.022305558192752404, -0.1359384587917303, -0.20964635243768795,
    -0.15657571565620931, -0.0326856840992628, 0.044865816509335237,
    0.11451520865250513, -0.088313825609684329, 0.04488252761221425,
    0.11568396199298368, -0.034254974542779607, -0.065341264968036758,
    -0.0541615868490703, 0.0094386510544088014, -0.12666088436422551,
    0.0053395105832264407, 0.011071413732058071, 0.12453993411183728,
    0.095893741422153816, 0.088455408650032791, -0.0068921026058501459,
    0.096159147836948844, -0.075582768269230119, 0.077632957756586712,
    -0.086267477583378147, -0.016275923544856751, 0.024863629250026741,
    0.022336630803294354, 0.010475875966749877, 0.059914929415159385,
    0.13533785760554856, 0.013422110958213941, -0.026561197248747004,
    -0.067042251721813162, 0.078760703689622014, 0.031076068803772575,
    -0.035846859974667633, -0.064122156606582575, 0.06917368855728688,
    -0.06454181638564703, -0.068915685292342391, -0.0895150221861586,
    -0.0029465836697930817, -0.06483067366087171, -0.0028933784889214882,
    -0.13338577904508239, -0.015572861285276783, 0.049878416300859894,
    -0.07341526244887514, -0.0090639260403116637, -0.033167214222046305,
    0.038831386052467394, -0.0913728325634808, -0.10871052530436269,
    0.083395470230458277, 0.087921120720691914, -0.1002519695015736,
    -0.052618672705147057, -0.016590236708240187, 0.05567899304181155,
    0.10109859130623944, -0.10905259348924204, 0.073116586411226814,
    -0.03048236206723717, -0.02734091868043315, 0.075970763369887589,
    -0.04735764950817993, -0.051679826884026961, -0.012518859417220016,
    -0.0665960866687726, 0.0097959659729558064, -0.065509794733800558,
    0.0093304216961353631, 0.0662910494068809, 0.098432126765162609,
    -0.047512810681869258, 0.037548628794966316, 0.018777920478157278,
    -0.068778728567741559, -0.093297357224750507, 0.12317584620657289,
    -0.055870833298536954, -0.10146612451884486, -0.048101835025216505,
    0.021889602267951336, 0.020281211361701069, 0.025939121085380233,
    0.06933105990364416, -0.040747498317634828, 0.0074991067149219387,
    -0.090077063007745692, -0.086244414274357292, -0.010208035693761473,
    -0.0071132764606860388, 0.032932434158243144, 0.014080861714343994,
    0.030972544714408055, -0.1008792970158901, 0.062966198931827255,
    0.0014309737349711242, 0.064525818470652516, 0.040253417526415813,
    0.0022003109534444471, -0.10421416068663851, -0.018885388636627254,
    0.02702912578589968, -0.02903463329597308, -0.08046557204171155,
    0.048782700114961025, 0.066680964105177029, -0.046441766197564606,
    -0.078429708459018782, 0.015664984128554531, 0.10622202131858575,
    -0.11473081122031863, 0.091730911288155109, -0.072564410664769347,
    -0.10438516746807067, 0.069710477626086273, -0.0045894499882973977,
    -0.094981028831549311, 0.10991907761895683, -0.1114194467035252,
    0.045792459574219548, 0.060945817791809243, -0.010122815177098678,
    -0.14184263421743226, -0.018063517717597437, 0.041575086818061172,
    0.078991149196505725, -0.082249202017148582, -0.05293735387413373,
    -0.024940548361735371, -0.018185655356335446, -0.028135274967118092,
    0.165453004435637, -0.098460825705713309, -0.065910014584584314,
    0.0224340221138607, 0.054138686604320557, -0.052896731873282053,
    -0.18591641419033386, 0.019819439529102704, -0.026881533953626843,
    -0.068943076247551138, -0.043794647680538812, 0.038116948449239643,
    -0.18147950114631575, 0.093392882185423173, 0.035923921109783846,
    -0.13460558924682789, -0.018572964116512259, 0.11236530300352514,
    0.076336313047197235, -0.10302723856683675, -0.0743987224745881,
    -0.057782383396971455, -0.15402862555512839, 0.07235344722702082,
    0.029171610435058986, 0.0069875556954547341, 0.06290110410254908,
    -0.15976869258953527, 0.039072588663857565, -0.049180162786466711,
    -0.024881146043117496, -0.1163900820290608, 0.023632712440271323,
    -0.014006508475645982, 0.084920234170761791, -0.11327186999472441,
    -0.086575271238516563, -0.075498755850141319, -0.060479352997515307,
    0.0052322218729234085, -0.15169106334035518, 0.056996989013354822,
    0.014643876136371402, -0.058570785669409507, -0.12771272146055992,
    -0.031565048781992906, 0.027648486605859144, -0.16081966895435,
    -0.011687445966789852, 0.075825856942449352, -0.081558190951498064,
    0.077304509461219986, -0.13580781189204663, 0.12801714768138053,
    0.037575747801699096, -0.052367105465048615, -0.17538753443982341,
    0.048693872124678378, -0.048928645913928294, 0.036737043977713504,
    -0.17987835432726762, 0.027378371630686387, 0.038200387288663311,
    0.10776263411891836, 0.10591186616586364, -0.0045484135697533064,
    0.025235418754590833, 0.057625446572049231, -0.025013979319642485,
    0.0054297690250487678, 0.0037192459604718062, 0.067788167094470581,
    -0.017488715924223488, 0.055650432122710133, 0.057541194329673404,
    -0.028250317972563138, 0.051474985659668064, -0.0005079850643597342,
    0.069888890446084775, 0.0058232304187364591, -0.0085995440565852909,
    -0.026980755995078726, -0.029386851641260266, -0.018820821498703972,
    -0.10408791059279728, -0.11575237189697321, 0.01325219205334585,
    0.014773795058697423, 0.02144620250707388, -0.04611683693848425,
    0.073036227812655716, -0.096795295352102864, -0.070868493786024125,
    0.043821255039396934, 0.0780834251640822, 0.0682532517403368,
    0.047038066425631596, 0.0065323786629601852, -0.097613971925433043,
    0.035748872389113749, 0.085766113658395246, 0.043968627461372665,
    0.06235628529707378, 0.10608078539701861, -0.106631915519895,
    -0.051620183749230525, -0.031182746903680419, 0.019404046513360359,
    -0.0183851135225895, -0.041497280239374164, -0.034929830039886457,
    0.064839435099653231, 0.0050169903292162374, 0.022303542675316694,
    0.022110092855863239, 0.055505614329614851, -0.1271131255361003,
    -0.033324087742606756, 0.022910064082277116, -0.042571534405662685,
    -0.086916758294926941, -0.062593146014055287, -0.035465318656094785,
    0.030774953473328547, 0.062542834111759288, 0.11304759077633464,
    -0.0049661591887595223, -0.082295116695969353, -0.087640637461019,
    0.080655529626974518, -0.078574831244135182, -0.012205376044724445,
    0.0083406741306555829, -0.030035042216792891, -0.1218489307784956,
    0.047324241984057547, -0.080262062552774557, 0.045734654366194873,
    0.063530348752304039, 0.054586065750731522, 0.036829102077058556,
    -0.16195205561097475, -0.14298878655263836, -0.030317180757939179,
    0.060470340460816681, 0.08844396159174775, -0.049978223495803151,
    -0.064309377806641324, 0.097895248615467015, -0.008809850721057149,
    0.0631065710110235, 0.036993468148280771, -0.054955675198660424,
    0.04594771717475641, -0.057341669705322867, 0.068779602341132492,
    -0.018853558537489896, -0.030299122182459684, -0.091819872343531589,
    -0.04193710704619065, -0.075937737339388037, -0.038496427273549107,
    -0.025392666023801556, -0.013650653830799393, 0.014984414591315496,
    0.070084762811104928, -0.01812353690341327, -0.14283300216046627,
    0.0326705918115072, 0.024709978737217565, 0.051594214122855371,
    -0.034428364059880673, -0.042982078839429859, 0.08397047646034822,
    0.078365242371995186, -0.041398987110731041, 0.059114179801243248,
    -0.0077233166359524886, 0.045914295462178081, 0.018110569249510555,
    0.011352086522533285, -0.054392978112717573, -0.055750048900934171,
    -0.071718953677090747, -0.15398494417643593, 0.055571130427621671,
    0.032094951158805576, 0.074533379234733549, -0.033893204288779677,
    -0.078099982820687336, 0.0099952935537514845, -0.066172548193029909,
    0.016631331090616961, 0.008287013232018331, -0.015831524126503627,
    0.0017111021558036128, 0.13584455494001085, 0.055964886109076115,
    -0.086919414304352363, 0.0928755639779466, -0.017895482628789171,
    -0.022738176481452418, 0.074141643078493927, 0.0032303123700037455,
    -0.067139184855801254, -0.032408866624568232, 0.0069341859645058335,
    0.10699198750583512, -0.041601147725779358, -0.0812730073439862,
    0.049414982988896475, 0.066102154416917511, -0.0043922553579272073,
    0.03714817626081942, -0.0916604508902589, 0.17379537877745971,
    -0.017219601148450923, 0.015075484667136521, -0.1258954711379,
    0.05110862771451638, 0.0605864183577298, 0.0066257586550273421,
    0.059359898618682523, -0.092016189820669142, 0.083116865548890612,
    -0.0051219176340516854, -0.0816598619887232, -0.11239721011275546,
    0.12625526532841541, 0.0983893502324786, 0.13540842135703635,
    0.062792116548671714, 0.009392187528215688, -0.093311459585901285,
    -0.13924557475945584, -0.019502731681996531, 0.039059294126594125,
    0.15611666784423797, -0.028196285909409775, -0.14398113863586645,
    0.253100695885064, -0.11489260419402149, -0.088903499209929238,
    -0.012719722521990655, 0.090053469785382714, -0.0094375383854213932,
    -0.097206690228910486, 0.016077481558401684, 0.066434966582584271,
    0.051463480868808129, -0.0093407187711660612, 0.085047994777273553,
    0.10969213015220772, -0.070277976559839736, 0.033461686009321139,
    0.028122009389124587, 0.15913980133167052, -0.050975017992151796,
    -0.032777303151803841, -0.063529605211659484, 0.1671531352198532,
    -0.080709767427195642, 0.15157196313644419, 0.11096672425223519,
    -0.13212271371952539, 0.1356750408688368, -0.046054899695530616,
    -0.12651443004168364, 0.022357972425592468, 0.023602459599192306,
    0.060140243268447531, -0.03987020770253677, 0.0035256900398056177,
    -0.059153594205201804, 0.044467957814251266, 0.010868889355668557,
    0.0096949120517468533, -0.029149071322363534, -0.036078989207860256,
    -0.01068668457840726, 0.11069056236161263, 0.14420770899050664,
    -0.023024884039897327, -0.063363496894424026, -0.099465020367696333,
    -0.0085539205222816272, 0.036161818247707166, 0.082722846870340927,
    -0.043175564187178488, -0.12977372187826919, 0.056658604180596817,
    0.03219092839177054, -0.022452764790693639, -0.095255224587977749,
    0.12329586682365212, 0.019198354148893093, 0.05022882701931141,
    -0.014632901591550458, 0.065056154003704292, -0.0975069770221349,
    -0.012694968644123155, 0.012413249486113423, 0.032826067499218722,
    0.05751084676379889, -0.042811325039323826, -0.02546789135014229,
    0.077940039599280767, -0.016097849399623086, -0.016531614995405772,
    -0.11303475240039587, 0.019416728678756035, 0.08160526911356597,
    0.070620649082778458, -0.0957835062030211, -0.04254818762350384,
    0.0748140134527405, -0.075276899966936386, -0.14262063009569445,
    0.024710345037269415, -0.081008316859273372, 0.024177083674739943,
    0.042234951076443872, 0.086907929470228587, 0.0400035802194808,
    0.064909961442137745, 0.0497648830619197, -0.049962013474789159,
    -0.042770912789973338, -0.024741478229861252, 0.11310270369927365,
    0.10020127920587141, 0.15171443444678323, -0.058438014195354673,
    -0.041999867801136036, -0.065644952405244289, 0.0059559335844332623,
    -0.0678822731678054, 0.061922550271049127, -0.028156042939583219,
    -0.076806510024776078, 0.14479788284275483, -0.0748873103679468,
    -0.10038395945862628, 0.043691158803254623, -0.084759647137668259,
    0.11983814005427192, -0.085937101440244149, 0.022004056192506224,
    0.11702040907301589, 0.11021059679534324, 0.072523192637720987,
    -0.04976259188916627, 0.018146178621818863, -0.074707662553086085,
    -0.069823472406755155, 0.090421503337347039, 0.044432817473079353,
    0.066416090667522354, 0.08521092694405627, 0.032451858573908393,
    -0.034868450174792863, 0.060721624718298839, 0.087834466336225367,
    -0.09128026149396197, -0.032381342865407441, 0.019216939047870554,
    -0.022683681946784252, -0.13916093495095574, -0.16707147220237309,
    0.0736363489751529, -0.03699197680596495, -0.039076210120346837,
    -0.094313407339885441, 0.12607148776019605, 0.025151283399308902,
    -0.0687765989379478, -0.011943646111696798, 0.0568081374157279,
    0.01928412634611653, -0.083008703323570729, -0.065086872688261771,
    0.15671192573210879, -0.046667723846633813, -0.0091134760090840726,
    0.054072893861909853, 0.0047453450059871307, 0.042459291560700878,
    0.0095347046432706431, 0.077341173369851482, -0.049895975681546363,
    -0.010177057149281568, -0.059272869844251716, 0.08216451558919681,
    -0.075346073750696962, -0.078459084365922263, 0.095622211174385879,
    0.017382845321356619, -0.043751113689961596, -0.014310917505194901,
    0.033229251520857636, -0.012984759953635449, -0.031565054787587553,
    0.051219711255130064, 0.075273601605703386, 0.060852113082417669,
    0.013250703566894223, 0.079177416924973529, 0.0596755404112652,
    0.062441466788412191, 0.11761507460106074, -0.0644137150814196,
    -0.085541874794661937, 0.13563220506529611, -0.081482396267359009,
    -0.083610848328188977, 0.17502602229774547, -0.016034084873527362,
    -0.013853175465846249, 0.023349560249417759, -0.0913264147711957,
    -0.026236567573279673, 0.04778034286792987, -0.071478480040649328,
    -0.10622114264744215, -0.054446054690982765, -0.2066893191684275,
    0.13081853419835773, 0.10468973564514084, 0.043592190036904413,
    -0.081239975443831908, 0.017529712647890432, 0.043830710045188279,
    -0.065793134663007138, -0.064943400451509356, -0.01108688321002972,
    0.1046209315982865, 0.040882119661518446, 0.091285047582038786,
    0.0078422001912373113, 0.031403970024720375, 0.078357598254610056,
    -0.13237023362546327, -0.11248577650466338, 0.092537855994523341,
    0.18070803093827498, 0.066069362662682124, -0.015944120801073186,
    -0.036500878824606266, -0.0031164527525960129, 0.072813087008484739,
    -0.10121354859215316, 0.054074123171826284, -0.057496224255375372,
    -0.093594744824299275, -0.11315935938865958, 0.012358910814323136,
    0.016670545028922481, 0.071181426364138461, -0.021666485610579711,
    -0.17656465839559141, 0.085965642333646411, -0.10175266153594521,
    0.053355595265967816, 0.043334956958563722, -0.073427196072493858,
    0.17650672012498561, -0.0029704267266018203, 0.12020190630323252,
    -0.028632715189757661, 0.1298360014030755, -0.036297020286153128,
    -0.1058230633652895, 0.064934551838158938, -0.1134159072625518,
    -0.081221630223034191, -0.1368320627996801, 0.16523527033485425,
    -0.052265702088811858, 0.0053120539540280507, 0.052472632807943294,
    0.016813732188282474, 0.11082755860638606, 0.065892554775419637,
    -0.0062883708503677447, -0.12669641329855777, 0.091520179634421522,
    0.07755563030418737, -0.03190454210835366, 0.064080985393223183,
    -0.0049842379717573325, 0.046123465183904568, -0.14234164254842119,
    0.082165568009144652, 0.026147859898913991, 0.12480775837823847,
    -0.018136863158863686, -0.030665497151520629, 0.091128740491761354,
    0.030543510439368808, -0.094014786989313454, -0.072909077858842958,
    -0.0078515275610687042, -0.12113766547311969, -0.18719571824748313,
    -0.051244958231686781, 0.041436399399752737, 0.066587858429640656,
    0.063757161653334157, 0.011622284532069063, -0.1161671492160776,
    0.050422399948398436, -0.06373413266110492, -0.0917850142806533,
    -0.050206359795146482, -0.014607538279508609, 0.044803416036147195,
    -0.091185084729174234, 0.022055681646365843, -0.020508071143903791,
    0.071498657377360983, -0.014511665941012795, 0.059686711989975418,
    -0.028794660814996934, 0.058246406915975671, -0.0015128072336020504,
    -0.19734335149265084, 0.035819835253576057, -0.059920122132723186,
    -0.060236882136912147, -0.12577964835951527, 0.0023259260135652078,
    0.040136517690838515, 0.052765062864861316, -0.073926214588251479,
    0.013081123052066934, -0.00678877691859651, -0.021350306267325047,
    0.064360993910561687, -0.027626004692430997, 0.10243428395221012,
    -0.039257827832555242, -0.044789380161484246, 0.05187817177502059,
    -0.038189657226368877, -0.11185169699281947, -0.034125162118043048,
    0.11309476985735653, -0.11513949001933932, 0.0540681271330605,
    -0.0030855970376979912, -0.22350761265336022, 0.045249051256171076,
    -0.092364859871980648, -0.079874557885476885, -0.077001600486683086,
    0.078607074417784972, 0.071104463153150416, 0.10503450309265219,
    0.05942253661356077, -0.086876671844827363, -0.047016425956510018,
    -0.096157337930410078, -0.013222224137860041, -0.063534590714302924,
    0.080386630739003068, -0.021861621870532373, -0.023327435467068534,
    -0.048887666539754904, -0.037751681895107, 0.011056672287745303,
    -0.13081175329595068, 0.12163430550408713, -0.0098687160348300187,
    0.011278893092503954, 0.020715094881464061, -0.185653910354357,
    0.01467184795945229, 0.01923020565011439, -0.060394969883455052,
    0.083116989766926788, -0.047843205591875534, 0.023440801633696853,
    -0.084456962787976028, 0.071659242379709026, -0.11836113579881952,
    -0.0815737946297866, -0.0042751841240783539, -0.0032661277565060845,
    0.049332741609484962, -0.021464425770949688, -0.071761760972150868,
    -0.022481838439787887, -0.037576738076494968, -0.05118110861298298,
    -0.022275436140946868, -0.12497010707836738, -0.011830919182590565,
    -0.0781761697391316, 0.048455342921985604, -0.014631790078469058,
    -0.057038295528608486, 0.064118309458325876, 0.052772438469851607,
    -0.13839634163511663, 0.069060823527773776, 0.041853092419196665,
    0.094426181332751061, -0.010981704246762572, 0.019671171210663443,
    -0.070096869847302429, 0.038194605946569947, 0.018859485020762672,
    -0.0840262955760018, 0.055836050196939463, -0.071040841156234907,
    -0.13193354968827251, -0.041081322976999547, -0.058265287983490281,
    -0.071075677107979671, -0.090471204634259908, 0.090361411766357411,
    0.13405235674281069, -0.13504133030729076, -0.15989434286814691,
    0.082241928329143815, -0.12467139905852205, 0.069682606690426238,
    0.000584089501567153, 0.099896148021099349, -0.11896162052811057,
    0.047186452870338437, 0.066410092125502432, 0.016245934304615194,
    -0.043470980558873717, -0.065209670651098339, -0.028497297879850121,
    0.11331335442738681, 0.040161827738104665, -0.030550519650121923,
    -0.00540770824795603, -0.050851844676373985, -0.0058316654208823843,
    0.028788070657010483, -0.015374226291060238, 0.046340173829742717,
    0.11078931929505251, 0.083460043374248088, -0.100363718414277,
    -0.13263532384525947, 0.022792036279130585, -0.18937900909726016,
    -0.0036448399917623484, -0.10595260494578879, 0.079422787094768674,
    -0.12478731142762152, -0.074027139401794909, 0.052767948764061157,
    0.068669433163911081, 0.012239423909273036, 0.0033268448942936585,
    0.0095620973739816671, -0.069421044732028814, 0.034172306058727106,
    -0.069013529610505123, -0.0054161788726480491, 0.026930302129489332,
    0.035131212073143236, 0.0026928248468168136, -0.041351704430040631,
    -0.0036857604783328587, 0.047727136769652671, 0.15686949913138223,
    0.082554933124607682, -0.12296963889174937, 0.0066851402392354908,
    -0.22904108750620097, 0.066410538610034153, 0.020387265879917342,
    -0.10505096196351388, -0.10429907191747438, 0.041313841521297127,
    0.038923936825790047, -0.066032474574690248, -0.00881315754670987,
    -0.084222467899749909, -0.053840786140974456, -0.038190212471401065,
    0.050880147532099532, -0.040052300836119832, 0.060164991818812928,
    0.10843912522989264, -0.0070881084935952472, -0.016603154252416367,
    0.054119519893577661, 0.022100811948773409, 0.00833410807757708,
    0.093518486715906832, -0.0865607430301429, -0.021743100151382883,
    0.09762856381971434, -0.051112239682273325, -0.013708625777103129,
    -0.037025696382456091, -0.19986370677948753, -0.00096374878760900477,
    -0.029031797906297445, 0.11564541468635686, 0.10995134949261826,
    0.0697110189830576, -0.16160882006603894, -0.0032992925194160454,
    -0.021692530080501968, -0.075990639765982013, 0.067647800644732026,
    -0.030303240428232646, -0.020940067944572718, 0.018335583644457431,
    -0.044095876991489362, -0.0693633426880092, -0.055592702282384984,
    -0.037321883149318544, 0.0736918667212924, -0.0070221828591656311,
    -0.084821660504034654, -0.035642008399731938, -0.16019218753371367,
    0.16702952595140075, -0.070392124581746526, -0.14137969511252302,
    0.047669309285839477, 0.022960408450663886, -0.027719855829838248,
    -0.0061760826000471338, 0.097401700889935355, -0.11004795807365574,
    0.011945177794556968, 0.0607905218533485, 0.059597460083775249,
    -0.082505039764041013, 0.070754334293148313, -0.03245952275558469,
    0.0041261713457236915, -0.01720909055593129, 0.037335656394265219,
    0.0083894372944757073, 0.037624683406639506, 0.18708257135208819,
    0.062918371290376529, 0.08181581989103863, -0.075225340614083452,
    -0.13206852252457796, -0.053651605555495509, -0.055036351803234795,
    -0.15541228470381366, -0.083829333701397432, 0.067890698041152345,
    -0.041677154518698051, -0.11388794514983173, 0.11435758471037,
    0.025830185057464646, 0.039153564071423945, 0.00056421276635673407,
    -0.043034691433767418, 0.062664578910284943, -0.085922350836144371,
    -0.037290899482044546, 0.069898728229391929, -0.07993258378887734,
    -0.010656213999184384, -0.079503031876292082, -0.12047067020223114,
    0.18743970832012891, 0.060624926091131813, -0.054249831249575664,
    0.0882721842119236, -0.15380442421722645, -0.014025652825526121,
    0.021702388174023497, -0.094962220082584356, 0.087434293069336366,
    -0.071939336185326413, 0.10300744874208177, 0.056470189816854428,
    0.066580654331626091, 0.088602170448854545, 0.10208638140999926,
    0.0688531044078546, 0.0975563815605989, -0.0038170473674904591,
    0.039837278930273681, -0.093247121849817122, 0.039222373275862747,
    -0.095133516139177754, -0.028155227297854777, -0.0280552111130499,
    0.011891704350081573, 0.12081120550214702, -0.087546372758760413,
    0.017924893487638056, -0.054283936122585516, -0.23936026568193583,
    0.041798505299521609, 0.017243060249912123, -0.020579629866389955,
    -0.062029561819110936, -0.11903932732550529, 0.038363919601293005,
    -0.081782617348331157, 0.042985042031668988, -0.10838782713144274,
    0.057152547565420028, 0.011479203855190344, -0.037247851142695583,
    0.0055682706863137742, -0.0626845214679829, -0.075370249007514975,
    0.037426110964112962, 0.094954960638963873, 0.059125693462825257,
    0.00015448443475581694, -0.097874253303898179, 0.11560154844475577,
    -0.0052806228361677015, -0.11580871074245835, -0.06202880136987915,
    -0.027990821486011966, 0.038386760118959834, -0.07344742589407563,
    0.11942436954533334, -0.079826023702808155, -0.028862733702603005,
    0.020234560989404474, -0.026131896818694572, 0.09913741559382086,
    0.10900748793717888, 0.046534233955396333, -0.081119315202673778,
    -0.12291008060844705, 0.074758730534949719, 0.011898288604306891,
    -0.17541834560509068, -0.011150409289648854, 0.077064988410131374,
    0.023539817133248014, -0.046398716634020704, 0.07697466517124818,
    0.15088213445014548, 0.046479090061702054, -0.12753059707974404,
    -0.11708093182026826, -0.1581414894001347, 0.0774004686871208,
    -0.057437217974955983, -0.044768278224775686, 0.060370930159065861,
    0.037199513019846905, -0.04673750157124619, 0.0086082381704730131,
    0.065405739133817045, -0.024732314420307509, 0.074845907060285086,
    0.0506346169024355, 0.0059289804060007186, -0.071542608330244131,
    -0.090642753507546275, 0.038651131395166037, -0.041737350984004176,
    0.053890101441047618, 0.14486841538718351, -0.14583707201526327,
    0.012812548603499707, 0.052675948255053569, -0.1097041681814838,
    -0.03302704293623801, 0.048847548811167721, -0.098355826558949033,
    0.0029004052133058231, 0.029397276176747231, 0.065292358934515168,
    0.01871953255558613, 0.0014800338350300008, -0.13700884987113682,
    0.061924557872994633, 0.12170087756942603, 0.063641085066108036,
    0.0051398273583927127, 0.062064488758512885, -0.020023368024412545,
    0.093976238729935949, 0.080155672453045723, 0.11007789885912879,
    0.067682528443068588, -0.027087439511275485, 0.13001057651566159,
    0.0025754810030705, 0.0706122075630038, 0.07923683015182946,
    0.031791905239020667, -0.010026260238188565, 0.018219827263657597,
    -0.13563140960144116, -0.04784028090105423, 0.0433075852523926,
    -0.0089925183772277054, 0.018418012969104121, -0.099362799535079691,
    -0.033974613590493953, -0.033062977864984647, 0.10610966725467608,
    -0.13064497155979166, 0.080980731809091627, -0.0984530782045068,
    -0.05783853828859014, 0.020568169010701146, -0.054051258037192809,
    -0.13752237262579881, -0.0081765543570743032, 0.065071851792233876,
    -0.052326435144507771, -0.00750253964973403, 0.16227351565661519,
    0.075761869820052161, -0.014690181513807882, -0.034603742317617342,
    -0.018664283324584734, -0.12917082496635143, -0.014284657538291886,
    -0.055852371423671193, -0.074120352581000165, 0.075838800238828635,
    0.082414215724330456, -0.0904992767766543, 0.075330842078199123,
    0.0454531564388488, -0.013433656002000039, -0.084755510281291441,
    0.035625588187043068, -0.002397779229636984, -0.099252633109340863,
    0.095134392428360137, 0.028838854216536945, 0.096135505134128843,
    -0.11312418393497745, -0.048473992805378868, -0.11648213340127547,
    0.078624564378804, 0.075688667193054726, -0.024259635698174725,
    0.077739130916648053, 0.035455168063022229, -0.091618050048769953,
    0.063731906853468967, -0.0518107189111428, 0.08009151438929514,
    0.036661562198411372, -0.032150116150817469, 0.08551187851423632,
    0.10085593309795146, 0.065440718127343991, -0.083445620452150579,
    -0.022420687120860709, -0.050105715669413069, -0.0712195749713135,
    -0.016670694638303812, 0.068920774903690432, -0.037515043228734619,
    -0.043036771233010009, 0.10668395304851228, 0.052717896959139005,
    0.035612693059072033, -0.070145241186280863, -0.045289726184635636,
    -0.036813544354445227, -0.047710108336524788, 0.072237682012869467,
    -0.025221461105274668, -0.005163784573678663, 0.020701584710704844,
    -0.097882019093067221, 0.028830746675679308, -0.060197135005606264,
    0.036025711018306671, -0.076824502986749268, 0.07032775713690502,
    0.044839753001794276, -0.023965185883080452, -0.0571475058840961,
    0.0920985104774443, 0.1038935860649129, -0.058622101226847169,
    -0.017237603136612874, 0.007612661948009007, 0.032705835486302813,
    0.064986815912714588, -0.1003431412749574, -0.103907260684252,
    0.048658772825836957, 0.047211395073734022, 0.047151021429160396,
    -0.10014504235625279, -0.1442288699953794, -0.052947078501263956,
    0.11583356244129329, -0.11417965089562482, -0.05450177766124082,
    0.030015067685607473, 0.014070975182151871, 0.082192524927203137,
    -0.03798745275168279, -0.050196895320672216, 0.047740035217412234,
    0.0085468367326064654, 0.12432141465056254, -0.076992688699451528,
    -0.09110866436548315, 0.15449125352150331, 0.020845336006503103,
    0.066772405284293609, 0.01775780004221986, 0.0425623295345152,
    -0.076945199114835466, 0.11066011655211749, 0.10311313419110099,
    -0.080416787652658056, 0.038187453614897476, -0.10618177162645263,
    -0.068676017299012862, -0.063768300658700761, -0.0016530216773976709,
    -0.030874009810317442, 0.029427538620597542, 0.18053714408732716,
    0.0068854947253404021, 0.0819780962436518, 0.035651308255027631,
    0.0096414993658442017, 0.017875902690410568, -0.049626321665527419,
    -0.066026707704306256, 0.0701764152812291, 0.11125294460324804,
    -0.047401627883191515, 0.028642308892612347, -0.15852434631387743,
    0.074378067462441827, -0.018349596320576349, 0.0807245864551282,
    0.13615191594368312, 0.057879862280317169, -0.07247182999384659,
    -0.0545411546216172, 0.03244678528600909, -0.01853666904892538,
    0.0177113663070889, 0.05589120799002404, 0.039302639030612374,
    0.17335381011266535, 0.033905650090076143, 0.023636344504883649,
    -0.0091132138917787361, -0.074758063863585036, -0.061060576917309713,
    0.0778222110412584, -0.046239505018298072, -0.047993458845692241,
    0.053927133323433241, 0.0080777527468698616, -0.054769888379117206,
    0.0020891973189228552, 0.084528212643768183, -0.11759256717728267,
    0.013540798307296341, -0.042132740750309546, 0.057747798059060981,
    -0.088851191971944868, -0.13647293226846255, 0.023489575449309203,
    -0.06578017285853377, 0.060783002105419308, 0.074239236451690171,
    0.01564508587730563, 0.11503887164741983, -0.0749258007767008,
    -0.0069392568781728838, -0.18323374232359349, -0.0736789443691491,
    0.047970004883109547, 0.06922248756638609, 0.090973716468293719,
    0.1065322073947321, 0.051082466987857525, 0.042041809689034947,
    -0.045491070518366976, -0.1871564775531902, 0.076391605069989418,
    -0.092628043567966709, 0.010273981236945222, -0.076927147242999136,
    -0.11139547252048081, -0.039864174990120953, 0.024787040151135989,
    -0.0718384277034907, -0.0064466522870616537, 0.057784905429539853,
    -0.027539175467941233, 0.0922896298230472, 0.0036709781196493066,
    0.08126247929317211, 0.090605868809957676, -0.069344975697134159,
    -0.020154491145558225, -0.06411264383940915, 0.11004750717331294,
    0.062605794393243236, 0.00764759834219974, 0.021282799294636369,
    0.0805613111633356, 0.019069360034725796, -0.1105420585749558,
    0.0074524754725933959, 0.067525151323566221, 0.11917129227360378,
    -0.061243841716760762, 0.047191562439200266, -0.027577325685305253,
    -0.11289707300245465, -0.045371982152512612, 0.054961835129084195,
    0.0905282899091221, -0.04856717172845703, 0.01521417971782537,
    0.035442589049825689, -0.01604810644334926, -0.068587958267709248,
    0.016608239156928384, -0.14283591567687856, 0.071477671952392741,
    0.076388417239225223, 0.060824984692546623, 0.075884707920970185,
    0.048023188757606527, 0.0010606693723822385, 0.0085521007991772174,
    -0.20307959050500851, 0.12312324551525791, 0.020707904589969104,
    -0.0043497015479882608, 0.024703916726633558, -0.025291997753833045,
    0.058448423593210584, -0.044852491940013277, 0.12366977935657633,
    -0.17851366878799829, 0.11079177257334143, -0.1061960152303472,
    0.017044422748287644, 0.13220875749874905, -0.049693259051696519,
    -0.051301527750712825, -0.074889695621855462, 0.0023135902617319555,
    -0.085324236315473062, 0.010229134682416527, 0.059606890284868617,
    0.0650128285449349, -0.073807436581904737, 0.033454386429453906,
    -0.051357029590026873, -0.10008282095765808, 0.096431582205957767,
    0.023941057496438076, 0.0251027158290221, -0.048055391305603649,
    -0.032164595572731394, 0.13026372098911068, -0.06859429021153822,
    0.017069954162430196, -0.025121657944761018, -0.053755029691076608,
    -0.0018103419435883915, 0.02782925002658964, 0.015421793633852765,
    -0.061380106049700164, -0.083081776689616957, -0.13995022830498485,
    -0.039382692005455668, 0.031201648641099807, 0.046717518527613154,
    -0.00068687943737931012, -0.028282198557228105, 0.075797481042499615,
    -0.021564710599173732, 0.0066931341600152952, -0.14513661684877266,
    -0.036092426369880637, 0.06188377563271856, 0.08278576610053133,
    0.10196794623912082, -0.12572751398330065, -0.037529349771053169,
    -0.066004114898903232, 0.0398688655031563, -0.14256408024526263,
    0.038356811854043223, -0.012420343521790864, -0.05014978264124946,
    0.064968955245622947, 0.12102716402511089, 4.5378794138389812E-5,
    -0.046203069153281116, -0.037979501058922942, -0.002525925655477003,
    -0.064376983014813025, -0.023506942403856673, 0.0043301074064975307,
    0.10883461883941958, 0.13670612348179639, -0.041003384640021845,
    0.0026479262934223481, 0.10114898656274822, 0.04208330595919485,
    0.054418324495921586, 0.13607337868376557, -0.13633599054771137,
    0.0463382954583169, 0.011956944380248231, 0.091446968164983142,
    -0.13888821130381998, -0.020608549488905215, 0.014241232689209257,
    -0.075694102100711452, -0.041013191043952638, 0.0848168118909539,
    0.029331555129469493, -0.12258592881342767, -0.040291347397875051,
    0.062085967564310056, 0.0917385880293743, 0.10935684467535212,
    0.043047391529968358, 0.0060304723103711613, 0.038793752389703832,
    -0.10767604987713693, -0.04959804727013533, 0.042044543420133404,
    0.14875739206837821, -0.11448616601222485, 0.046282963201879516,
    -0.13021612882300451, 0.12552715109759746, -0.06631081292221272,
    0.022888126195807268, -0.060417817182428619, -0.022717723709349182,
    -0.0654374492759381, 0.020709886582675051, 0.035531372805879306,
    -0.063165791514572953, -0.13314740065428679, -0.18310567225389951,
    -0.030761796029466357, 0.0066113652729886674, 0.06076651814754911,
    0.071811943676322848, -0.057504071142836358, 0.097300136052746136,
    0.00651298163035414, -0.089906227179305326, 0.015930178464864428,
    -0.022084630786896445, -0.029663863842665044, -0.025090351282248943,
    -0.079633025297752083, 0.014064175771424716, -0.012978007336528718,
    0.0796448013975439, 0.080370389348810911, -0.0048248067879932827,
    -0.092109891135021077, -0.001801036627405807, 0.028941986297189418,
    -0.0076744939524099332, -0.020094014885705083, -0.14193150257719164,
    -0.025567253058204981, -0.070947999103683088, 0.056888616249575655,
    -0.046431919940062572, 0.091590872753349289, -0.083440576771606934,
    0.084376578136471647, 0.12605260121422454, 0.12332552430453148,
    -0.0037530700579764707, 0.078912127864127019, -0.101642336870788,
    -0.11513498203324653, 0.038917757820692948, -0.018933170610463325,
    -0.071426166104211292, 0.012135205667326621, 0.023183201145041032,
    -0.066121735537272339, -0.033619000643430041, 0.045572703814647827,
    -0.011637629483376674, 0.069616419733370918, 0.024148751157972742,
    0.01940007683207938, -0.19274254802247648, 0.06343270266849968,
    -0.02673770113629053, -0.072773573970238328, 0.10102327597061857,
    0.06265647154379117, -0.0033397866920638428, 0.020838116899522655,
    0.044994518761516625, 0.13303810318477469, 0.18826204137506383,
    -0.15652150435115769, -0.13412744003009452, 0.076870072273726386,
    -0.060218710069637769, 0.0044747320178907543, -0.002716834235770954,
    -0.025424491406096435, 0.031105321504082285, 0.017828158372326972,
    0.11487677293579399, 0.070436164582039773, -0.0011792920572514483,
    0.0826339337402026, -0.15784684150976147, -0.061619839554362066,
    0.058269287894052273, 0.078057940312478077, -0.078748157235074029,
    0.024623926981939007, -0.10353708574435543, -0.030335778998298379,
    0.026091131311164514, -0.15153790905620029, 0.014916154411771708,
    -0.00414925907391707, 0.13851011730320098, 0.013152851891293648,
    -0.080664568090792074, 0.020687194912928891, 0.13855519130263849,
    0.004373171620668654, 0.14338200272385393, -0.027796438737277558,
    0.030900210108158924, -0.018974727874821153, 0.0045414300603680352,
    0.067611007643826854, 0.073186379711862232, -0.14278126965809859,
    -0.034490852409077614, -0.034411656987566881, -0.087545959431789444,
    0.0961181191973209, -0.11233338260172322, 0.049000501908220896,
    -0.00801775173666776, 0.097995634734024437, -0.052949703394476577,
    -0.10733941974896959, 0.088351338461447715, 0.082095661233119954,
    -0.050301844821813331, -0.00079909070823741307, 0.056187674723648079,
    -0.061337618665597865, -0.056105264233761387, 0.0086485887331983931,
    -0.0024733442905582759, 0.13023529551007823, 0.032036991296529448,
    -0.092132698368444121, -0.018948193750964328, 0.042349241086632343,
    -0.020603701369264774, 0.027905805377836507, 0.1811780054039259,
    -0.11635963612426731, 0.0921854602010305, 0.0689653497391682,
    0.064743228286468418, -0.0020858977043866841, 0.05007516042689595,
    -0.068347899180528693, 0.011190153837873357, 0.10143387739173045,
    -0.019418166255735374, -0.0034246206081155694, 0.019021179891354552,
    -0.0551306402825764, 0.083743355288845231, 0.016751134084237718,
    0.11698806261997378, -0.11272805263296985, 0.12572651729575868,
    -0.05339914580530622, 0.05855337933127553, 0.0263947829658388,
    0.086856396042135964, 0.012152630389026538, -0.057783873238316685,
    0.016681262010785916, 0.017070576782818883, -0.063507969252124513,
    -0.069636315285588127, -0.057357072082343925, -0.076479131330471989,
    0.031265410686633313, 0.056498536143647853, 0.063445948628325241,
    -0.044593502623259916, -0.11948256624205658, -0.087003142731419791,
    -0.13616262863477926, -0.071605091964738729, -0.032646797080967453,
    -0.0020565148250132025, 0.093063852273562231, 0.023510104224825273,
    0.07273599429851943, 0.07276471524683259, -0.035615522092443105,
    -0.01181418178061616, -0.042905565224770771, -0.079006207950080717,
    -0.055800371330830864, 0.06442569632551208, -0.10402055341644215,
    -0.0925656845187191, -0.0832380369376104, -0.0032689472359917196,
    -0.11663666926625869, 0.041755568060159724, 0.1620757129718764,
    0.18598023792543125, 0.048609035429820674, -0.14909999848116343,
    -0.1139060912868305, -0.043197808456429072, -0.0890212345563922,
    0.005177943166453999, -0.0053451493029472276, 0.044116050158070595,
    -0.0870306736177933, 0.20051329052226749, -0.0045636615950015334,
    0.078067445911255265, -0.040506553211136435, -0.011279854315318451,
    -0.10748265318853698, 0.11369620134108105, -0.031969038367348018,
    -0.017289813834237028, -0.042622636895404527, -0.044303484282809377,
    0.07107888749198718, -0.024399676349421189, 0.013047631953578163,
    0.19934420522690852, 0.17367624562713693, -0.12383496031436399,
    -0.011754369641867988, -0.062624250644785065, -0.025205303337546996,
    0.013475724434503997, -0.095682383028811963, 0.15332628156402991,
    0.03743454247808891, 0.10071164725128667, 0.056352160244729679,
    0.11318850363925659, -0.054247066118306195, -0.050706382926601692,
    0.053752136286847038, -0.035230246752798663, 0.11205701483850287,
    0.10492994453619232, -0.012875964058850276, 0.0738996798653395,
    -0.023092985919930125, 0.022108177291418733, -0.10958877163018281,
    0.11051920420850546, 0.030265046455999534, 0.036370806028485428,
    0.047524480050401469, -0.051779586452531196, -0.18270828093010405,
    -0.19472214901455373, 0.073676193659993144, -0.079859071810089,
    0.20309844963598606, 0.056566856427178534, 0.10847480904925719,
    -0.012549694594745996, -0.018411153503295578, 0.045202118820993134,
    0.096283005192702442, 0.035563005681924276, 0.096474978354359461,
    0.032058245845818407, 0.0991698304851867, 0.05695701660755581,
    -0.069944613924248708, -0.082988364102931117, 0.052565364584084173,
    -0.01196583591267979, 0.04627823245167683, 0.0011485730573995824,
    -0.11930852966907227, -0.038729531997886049, -0.10190171915458755,
    -0.11461905493720906, -0.11642177612482311, 0.00894774200422105,
    -0.0948312624896516, 0.087379108858099977, 0.0211650344728082,
    -0.066139461887786771, -0.0090621131831618, 0.054649737322860853,
    0.10820049442133962, 0.11306793509829212, -0.023178067846347142,
    -0.10093154393555256, -0.077620482261755608, 0.094077137737250446,
    0.065299943708737, 0.026480588011586956, -0.041250911779532995,
    -0.013372193107109452, -0.0048765612359131273, 0.12571294147789522,
    0.011061204363042816, 0.038795774856913004, -0.050623121939387485,
    0.011420233291960794, 0.021936636437737456, -0.00096302292926227413,
    0.007047340491676342, -0.029133071470012966, -0.11586017200537717,
    0.081580643358686408, -0.074150380437052049, 0.13811518828971595,
    0.10122334990993101, -0.069013843884050338, 0.058569392229349648,
    0.0012187333162529553, 0.073825930919781679, 0.01106173318448872,
    -0.021383914032864798, 0.068414240823194347, -0.06894156279244415,
    0.035365589721932607, -0.0603116620446555, 0.15070505417953239,
    0.11774792191893481, 0.0092570186555198317, -0.038301841728040846,
    0.0073743326288677668, -0.15525051742757304, 0.0068030530644050732,
    0.02343978718617858, -0.0438088954918039, -0.0788157134334914,
    -0.11343014879830816, 0.00017813296438385642, -0.064096538587432222,
    0.14579713945811346, -0.023613546549518749, 0.10748555770184638,
    -0.046227154417527519, -0.042461282138244349, 0.0034979153820311583,
    -0.18050200897559554, 0.05285472965736935, -0.049894705342817633,
    -0.11006526279174179, -0.021483865188087869, -0.047062770178875918,
    0.072860812054524382, 0.021228227572345319, 0.021514558338159521,
    -0.11453008332808536, 0.0777890143346534, -0.10747987258523677,
    0.068271090030926226, 0.0046946401882881706, -0.099296204427862064,
    -0.08807092780875711, 0.0031305665678525822, 0.10449867954229909,
    0.022061130188511642, 0.12208086201010467, 0.10778220022785877,
    0.12747055128157506, -0.0073476229402913784, -0.024410653500658991,
    -0.054865250993296255, 0.024995538438434349, -0.062002615315456221,
    -0.037003787194815604, -0.052066581709995868, 0.051489216258446213,
    0.037753221411272186, 0.063204974652478679, 0.0542133984443838,
    0.13910233740849223, -0.1475558195768881, 0.0815937835579548,
    -0.055604537993135562, 0.02907106624297948, -0.029685963077451052,
    -0.0317852699902503, -0.12844862151748587, -0.023992171707005336,
    -0.031111025479393414, -0.013924714880621098, 0.0072636390371376806,
    -0.026797151798827714, 0.1205384858065149, -0.00052053623604881249,
    0.003366785361759982, -0.09268041756779874, -0.0449908455463204,
    0.055283542239871385, 0.077960162227441274, 0.066208895254555228,
    0.042997328933508404, -0.016631374863354632, -0.02044079473323656,
    0.034913541300652946, 0.018688033326939902, -0.10214308434732074,
    0.16083408262540769, -0.008942782461038544, 0.096685139263027881,
    -0.032780364387080776, -0.020282587098148123, -0.012524538269016281,
    -0.011892119686446326, -0.020985888137203128, -0.061450661242702008,
    0.12931710037088157, -0.027510186480896759, 0.068686010974111533,
    0.019572047572035838, -0.10456859622016167, -0.084475141554636854,
    -0.19883317494639829, 0.0028622166148429291, 0.080543572902802132,
    -0.022653910871908871, 0.0358131203865297, -0.078162413887087445,
    0.027831432989494007, 0.054045176181625659, -0.031550441975965182,
    0.067329154534158234, -0.11411164220821936, -0.024598537859905404,
    0.0032716558882086564, 0.0725985238848058, 0.092893336714828814,
    -0.093363123477725032, -0.0973573685523424, 0.02533308490456862,
    0.11838093192718091, 0.028881317155564159, 0.014572160783622031,
    0.039822465629301987, 0.1386221971596695, 0.031613439801417668,
    -0.0042864854473433182, 0.12479484097941348, 0.0002144622146062553,
    -0.074130262336007682, 0.06406054312234695, -0.1003078067113347,
    0.030936015701197868, -0.0016946769540317332, 0.026777030802632652,
    0.026430481345697549, 0.04316420440301922, -0.095678054156048936,
    0.017183451094926073, -0.15580453970987937, -0.022157959873929725,
    0.018312536489088233, -0.029244108097646562, -0.050944097953796535,
    0.017191059242843882, 0.020409044275186673, -0.019772264217927972,
    0.080792449007406925, 0.039324710948144569, -0.016481719423609521,
    0.063015985621385551, 0.077927840578430482, 0.088537462473085887,
    -0.008334359966091949, -0.026878756979612541, 0.083599905958998841,
    0.048494074057092308, 0.058514237053842962, 0.050096307044041319,
    0.033399662373089459, -0.010133825812544876, -0.01255181414655754,
    -0.10535665948413685, 0.032682974733654793, -0.074668629387044216,
    0.047682573459782329, 0.0085179514023613311, 0.068932736253756233,
    0.010181868999072821, 0.10870858587948268, 0.0016604536455686236,
    -0.025573041133254881, -0.033908749112341027, 0.053068564764386539,
    0.14031675669497676, -0.094207334249654842, 0.0580236910217047,
    -0.039497376540079114, -0.065572345346188457, -0.053036768615899788,
    0.0037514236352163065, 0.02687104452292733, -0.035979951803474471,
    0.0056828703404818688, -0.018518894860957844, -0.018670690224970823,
    0.027049474785580476, 0.066337491625230643, 0.11730988651356723,
    -0.036859447961129457, 0.084507074401524135, 0.043894454880160583,
    0.0418604198980092, -0.11875164735259643, 0.17409884316913909,
    -0.10324655124497348, 0.083805376846687887, -0.056989109916802255,
    -0.0427006265900453, 0.10866686915307802, 0.10825392961118405,
    -0.012014183694480178, -0.00054438824211856481, 0.049108853474300475,
    -0.017050840066077554, 0.058606216228316285, -0.022963867763668908,
    -0.081875672284710183, 0.0066631178365178477, 0.092607882527018737,
    0.016466464184200485, 0.034433940839109639, -0.042163714758608827,
    0.018586081831969532, 0.0074474511926085687, -0.039731578461988055,
    0.088213149956937839, 0.056015184605438771, -0.04311094468095375,
    0.076311724552353341, 0.09776960615572465, -0.0043090401457627995,
    0.0699111379219958, -0.017870331580857251, 0.16391316466345088,
    0.013475038259693232, -0.042083709545307289, 0.088344417233013589,
    -0.11653474831423734, 0.039767685595074244, 0.14026662682511631,
    -0.09066281169866125, 0.0049784259533524784, 0.1237494065976992,
    0.0766818674195382, -0.023125415519621322, -0.12821860673320787,
    -0.047116512924194658, 0.072345595316231567, 0.060603830764831113,
    -0.053232339011515507, 0.0316888067850782, 0.022421935532291843,
    -0.1247759826644937, -0.0005073558645782069, -0.062431205823317418,
    0.096872208898714951, -0.084190229236795616, -0.10464032597290181,
    0.051868856192755441, -0.01029519368506485, 0.011543072310292571,
    0.11316634786768942, -0.091991171241873518, -0.11008927634023001,
    0.07618856954268155, -0.067111018409428583, -0.057431345518096893,
    0.12860618252014186, 0.0164006897784447, -0.0685129947205301,
    -0.075790100060789081, -0.03921378844603432, 0.10276065427843523,
    -0.065398190034761078, -0.017532176299060023, 0.0049108325388161379,
    -0.016595289613710582, -0.064483141615469031, 0.081040006518784041,
    0.11249918725621823, -0.088067843751513317, -0.0060979696627849553,
    0.063645069070965968, 0.036015765879832275, 0.066134262038684527,
    -0.13100131122526615, 0.11764807023184769, -0.074921364923563383,
    0.020201251320065592, 0.029556610878541823, -0.0010236984746275373,
    -0.014807255406034576, 0.077068241265921655, -0.060371692130143977,
    -0.051525660741099683, -0.14253573731630598, -0.030484766501634616,
    0.055896525370941592, 0.075077381013375855, -0.089667432530619831,
    0.025145665636589928, 0.030573217343145134, -0.1316748450216382,
    0.095321449095896182, -0.020664903661445969, 0.036199151829263754,
    0.026598055840108388, 0.0670456080695355, -0.0010537884255658191,
    -0.01581433233035846, 0.055381613049507672, 0.096872807078183243,
    -0.0773570044664374, 0.073663176088898649, 0.091488450699867038,
    0.06748488488921224, 0.0889018879823596, 0.015677755804972788,
    0.098003052472156418, 0.023574702353089633, -0.042905470115039715,
    -0.043373835297761891, 0.020631010593282692, 0.008509108694548153,
    0.070874611225525547, -0.06114517466786689, -0.11446932248202202,
    0.0034034374236353447, 0.014620201866333679, 0.067231618406622021,
    -0.10272662799091598, -0.075001083995965362, -0.019057806791275181,
    0.11381475857471836, -0.075851957796511285, -0.10043636150360637,
    0.095937379872090167, -0.10274214591591968, 0.01775607823437108,
    0.078909149103252363, -0.0704371965441397, 0.02364275198890111,
    0.10054446953322814, 0.047498813700973211, 0.05094528055192702,
    -0.12479787281979855, 0.057746698652180926, -0.016337013716688626,
    -0.07254154380198069, 0.058713905625971861, -0.044189648213137381,
    0.058693700994158791, -0.13369591649024187, 0.0776479083395319,
    0.072989672692881521, 0.022359225620037722, 0.046613988382628986,
    -0.048936475387607634, 0.06949055993066526, -0.073720044259471193,
    -0.11252974055840298, 0.034167000668095457, -0.067456622716697792,
    -0.0055231551839657672, -0.073999062192269274, -0.0042739058594682645,
    0.11464314140421353, 0.044509968502980536, -0.0053849072405037588,
    0.060151696731737585, -0.10751366423393389, -0.084234728725761779,
    0.0588080580697771, 0.081730608600684859, 0.03299049656905869,
    -0.087662490434440118, -0.011972149285037504, -0.006847623209598387,
    0.018813584383068266, 0.091893404657353114, -0.014265260536886778,
    0.00296878306763919, -0.023067018079672406, 0.12788616659950081,
    0.065102070389647271, -0.049748368198326419, 0.023420545208953827,
    -0.014763153244539289, 0.040931671351315174, 0.0365905622052678,
    -0.024568075723510739, 0.034847565661472138, -0.083832190366910808,
    0.0917870816387224, 0.12082966600136627, -0.13121344841923291,
    0.0050610519761948771, -0.036136556143018736, 0.033947981306589214,
    -0.107760432031684, 0.0060684130077013083, 0.078502362201845047,
    -0.17835255318191276, 0.12020152808970717, 0.013682132437179948,
    0.060056024434945739, -0.0008490692876840357, 0.043918100029521706,
    0.068780364885415543, 0.08768650939065048, 0.032937470679503804,
    0.035816014467271146, -0.14677240301157735, -0.014112817639046689,
    0.069681803317756849, 0.053646859706016355, 0.057055150593231435,
    0.017762066517460803, -0.02008865475295378, 0.0079198725536639,
    0.011588896914279294, -0.0438888119087566, -0.031481037244479163,
    0.05335734113804548, -0.081139193470775847, 0.10545066650651065,
    -0.15196923324515627, -0.11650742362619858, -0.023237401878978603,
    0.0780822211695344, -0.022155208379759591, 0.013711201945484211,
    0.049402064659335027, -0.013481434781769169, -0.064322463652833853,
    0.071024312115634536, 0.079601623206486075, 0.048394109721205322,
    -0.067490934533458849, 0.083534878913804775, -0.023213170977893521,
    0.067625467165880845, -0.063540553246887066, 0.04633744609659203,
    -0.0005435326242137497, 0.014741566263755456, 0.069084762278492876,
    0.040085925838917603, -0.054659279480673104, 0.087674957952445176,
    -0.017585889038867455, -0.02949859979034164, 0.012667139340937333,
    0.027634352022043146, -0.083035273007305746, 0.0016896915605201682,
    0.0999649356626603, -0.083599626150061765, 0.13192220674290822,
    -0.0649156309877671, 0.028924943776869893, 0.017358777771199173,
    -0.0754894201979403, -0.049941051554054261, 0.091703521402306851,
    0.082810017055791121, -0.016458516160910371, 0.011639852237442511,
    0.09851670749764195, -0.089118385375919859, -0.10429171860844291,
    -0.055141813058357012, 0.043088505233386719, 0.11139807734752045,
    0.002263035429492204, -0.085856990130360439, -0.02695334776302917,
    -0.010015326484257774, 0.10305794354341935, -0.019565628941445142,
    0.052632928013526876, 0.064012754752000259, -0.049421110778357272,
    0.016310308044812566, -0.0361121834559987, -0.10890439947652082,
    0.073347266699364352, -0.076942528900457177, -0.10660704170633128,
    0.10877748896389036, 0.11332341592599339, 0.036699112534875379,
    0.14192512200316273, -0.079215846014751914, -0.059797106426653229,
    -0.087314272692583031, -0.062307137801746515, 0.11289365417041498,
    0.0070501564928134039, 0.049409546414702354, 0.11204300923089457,
    0.0015510585341851817, -0.1417562442894319, -0.013271061223885034,
    0.079760293450678713, 0.0086078204566987331, -0.0863753174298797,
    0.0041897539348137386, 0.00048877044890144935, 0.12278541164365088,
    0.019328986476805417, 0.068723451541455538, -0.023804495219201759,
    0.01138922358854318, -0.0017930943390554134, -0.00885765603398414,
    -0.033668768916832237, 0.068237556237999569, -0.0040132310026496061,
    -0.0047547801599550511, -0.065218854472405524, 0.075237134043680945,
    0.12712544421926963, 0.0045255294403042708, 0.066176056340280079,
    -0.066737491396586635, -0.061333957870204348, -0.059306255224660168,
    -0.011349182238734722, 7.06488415439493E-5, -0.21941778651178245,
    0.056047196857471657, -0.093535175641786913, 0.072750470351515453,
    -0.055087608130157936, -0.042819133230030823, 0.026961867250878142,
    0.012023660398546984, 0.042807961846189672, 0.011123761524416919,
    0.10698141735795098, -0.0095556636581984773, -0.00477692793603484,
    -0.0735819272144397, 0.010583091475241444, 0.014219424126567893,
    -0.081469637133882084, 0.14416371020472057, -0.04564342095519798,
    -0.021873333717349234, -0.027727320606347052, -0.057375423284666945,
    0.068023148345036408, -0.050209243560249382, 0.012692929047419517,
    -0.01241185814817139, -0.021194204711591825, -0.05495243321632913,
    0.019556168534408992, 0.1124793972068833, -0.084355231262143893,
    -0.021043684963304943, 0.12000579794299007, 0.00902018484693698,
    0.19796488270913307, 0.088786213549076093, -0.082915164534871827,
    0.10376796800438647, 0.024733786605127043, -0.10837750935755094,
    -0.021187734531755476, -0.0082718027380273736, -0.036987368351989826,
    -0.041251547572001938, 0.057587387934118689, -0.055812931220604517,
    0.037836913917018468, -0.035125483623276242, 0.011243483044123766,
    0.12385259587696597, -0.074860920929115421, -0.023460692526171223,
    -0.061390060804443265, 0.085917905022024177, 0.059583949582538515,
    0.025317514045908322, -0.11286989998775614, 0.10624231463186244,
    -0.030194225830244344, -0.0324623839555592, 0.1293524984649973,
    0.028758305037130873, -0.045631906181576753, 0.013454098377173389,
    -0.031012381832033781, 0.13450465540144022, 0.082826414267676951,
    -0.00367966210532404, -0.08988327755347221, 0.020683316587772171,
    -0.056681778404543991, -0.10449937846709641, 0.12310007168385036,
    0.037046771563070451, 0.11632236340901121, -0.11753731659165487,
    -0.071741373712272349, 0.041138403185474293, 0.0042203623840694352,
    -0.034011434174140848, -0.064444514845666989, -0.032643126551870585,
    0.02736652876434555, 0.067202205078415275, 0.098544923140621951,
    -0.029057443974036954, 0.05697046330511378, 0.087014334422925568,
    0.030649729189974481, -0.0033017759300764202, 0.040748186278136554,
    -0.0025708233563231969, -0.04589252396168312, -0.1215766047586261,
    0.0060826186839045889, 0.023162598264820335, -0.051459098433193157,
    0.011160330516565902, 0.0084234786063848, 0.095990110566509579,
    -0.17099312520748797, 0.0221866071437391, -0.046958609672041622,
    -0.0807258475714158, -0.029985123466107339, 0.10441939484557913,
    0.093770764355700018, -0.02500296903465607, 0.090824362711412324,
    0.011675479514231112, 0.055887616000569726, 0.04191672485012244,
    -0.0287352740231298, 0.037154412288215338, 0.081073413183356827,
    0.099656797148728535, 0.09985609301164014, -0.063969036046461467,
    0.094084190448638916, 0.027840137802663319, -0.040023263401300815,
    0.062573501010279767, 0.039451644103282578, -0.071021669416373681,
    -0.00508847631469521, -0.036303535336322766, 0.091862048916170183,
    0.00670993531103849, 0.025221999211338966, 0.038341917395229214,
    0.00476248131450865, 0.025787132220072461, 0.07796423585206938,
    -0.026283711803605454, -0.11898985303437401, 0.040922164545147674,
    0.0097004449088622432, -0.037967118813599009, -0.026905628339462098,
    0.036652768501220963, 0.070292641776497772, 0.0064067091856061763,
    -0.10294179923182685, 0.020533842669341409, 0.04781242202170162,
    0.096743112329112577, 0.021577498371310164, 0.018888479327136238,
    0.00027450447895201711, -0.065840581185277039, -0.073863251659772991,
    0.11809688936022263, 0.019405065700406079, 0.025951404564181504,
    0.033256750120916716, -0.001688349514271227, 0.1432664551477158,
    -0.06546267402544742, -0.0684852348956835, 0.073691378569086571,
    -0.058542531967317547, 0.091975847760138507, -0.045621953948591941,
    0.080809524186464185, 0.0543646141758885, 0.11826797001387281,
    0.10838931719373016, -0.12178493702276387, -0.1343483319428728,
    0.083420659327932481, 0.0672044769529469, -0.071645815034870441,
    0.026338058141658655, 0.046348990352380659, 0.0089954120601145344,
    -0.044048408067918723, 0.018467220935964302, 0.048964589058171373,
    -0.031660976906044726, 0.0891598508006652, -0.031840062122443641,
    0.11569733265024404, 0.092508827196412985, -0.017370855582866995,
    0.011333909943510873, -0.000994822034228643, 0.067348120604543787,
    -0.090396931791077051, 0.13936610577456343, 0.14030862827294083,
    -0.027908589188108353, 0.056748826419761082, -0.13414432311302021,
    -0.072049569564047122, -0.050576702717612748, 0.036803412469117731,
    -0.024257825215719866, 0.0076620877405336922, 0.046781352285844534,
    0.020438798322250137, 0.037066295221450239, 0.0775575920525559,
    0.072854843682497158, -0.094352957663809453, -0.069010928864961629,
    -0.046896890990677079, -0.055620138490629134, 0.035063401286547571,
    0.089878481112150591, 0.012162744731246157, -0.084749988972907433,
    0.075107408908635126, 0.085402312699480787, 0.10534892906661823,
    0.08578137837400937, 0.062386029359798492, 0.0969875812889317,
    -0.16140335526905114, 0.022537501219345082, -0.06146641302297453,
    0.061233765919194973, -0.13041618949858116, 0.0926697845534373,
    -0.065484714117449314, 0.034843378772241321, -0.00874310937987489,
    0.0493201047649007, 0.024734311972389712, -0.091018682741731846,
    0.0021912479943626702, 0.030733093500281292, -0.079724883529009416,
    0.11081672089412642, -0.061903174324478345, 0.040635966382554962,
    -0.098745668156503152, 0.0394474279270487, -0.0546426551598195,
    -0.0915137447544714, 0.0344820728864225, -0.046853118786877562,
    -0.11638278006714781, -0.067250601984911174, 0.054987687760045721,
    -0.090372517969792066, -0.012179896450886305, -0.073671426232885986,
    -0.042754072872739773, 0.077896014318983714, 0.0501904568775131,
    -0.030775781164235055, -0.0752170685644422, 0.10941813844833041,
    -0.1148347149248484, -0.089648547011830268, -0.045081928268238383,
    0.034049152994679414, -0.016757144624626, 0.065894969521391553,
    -0.036515645925678117, -0.028150185298932796, -0.053489159451862521,
    0.10654058914538714, -0.042870965376124844, 0.0022430233811951295,
    0.00792112773612758, -0.018136012215604232, -0.031265725968057531,
    0.0032506200959790447, 0.0621947769293489, 0.076711464796983792,
    0.010807986154207656, -0.033162241046920261, -0.097310613788650732,
    -0.037087490378864031, 0.10221036779699139, 0.0631305098470874,
    0.10418426986565021, -0.031048108963369108, 0.04847554790231736,
    0.063505744234503989, -0.061906106467337983, 0.11554959476326487,
    0.10083827635890877, -0.051356225237474289, -0.10186080706529892,
    -0.046173640490530785, 0.21469223193498929, -0.10717392629353251,
    -0.11929140165740509, -0.16786247836273638, -0.0144874996484618,
    -0.0038149179915615661, 0.11656913356963046, 0.15543494834155436,
    0.0800614500467521, 0.15237668946394187, 0.035941754588027196,
    0.090404887931713071, -0.072120143528507208, 0.033142626187913783,
    -0.037528533018173264, -0.064974010724342, 0.023862007108104856,
    0.071124431748367134, 0.073038724478854275, -0.030209717086285781,
    0.018614461614828923, 0.082035346056965552, 0.10360110465571433,
    0.070683775831793222, -0.052464870095137568, 0.011136414628594639,
    0.031538448427458073, -0.047206674269516032, -0.0911269007282872,
    -0.0715829559783205, 0.028895390802145125, 0.15194836039834661,
    -0.013562634368410225, -0.018149624952894187, 0.060896854625802764,
    -0.11772450209638081, -0.060197719685887066, 0.024390282308154865,
    0.0031164624382091577, -0.066934615642899487, -0.0019227209017335537,
    -0.0075855618494704716, 0.025145292442855238, -0.066744277709212776,
    -0.037899454121739028, -0.020837342477955312, 0.0031476062529573628,
    0.063300133473949263, 0.037472395624257443, -0.0036722995744062239,
    0.12410781886488435, -0.16971813630340249, 0.037665282189520588,
    -0.10656119739751609, -0.016594138433676582, -0.056756224747514135,
    0.01156186110459447, -0.022130408663264742, 0.10981459100350668,
    -0.030191863395221289, -0.00022180730035309195, -0.040430258715983096,
    -0.065880198243065374, -0.094826082804006159, 0.024937544561560113,
    -0.022666982130897542, 0.10158460671055178, -0.041284875056532964,
    -0.032628264031259319, -0.1135980692974467, 0.062381458143076211,
    -0.027892708751147782, 0.095612422969068384, -0.079523133114987835,
    -0.067973560275874548, 0.17697522752071046, -0.098486366181585169,
    -0.031448542028647365, -0.06496567449288787, 0.10256112424212875,
    0.14924112864343891, 0.13567073012674163, 0.031558939831190562,
    0.070306147683913064, -0.029514900806001335, 0.018080849478232523,
    -0.00026318384127827269, 0.0691615179225246, -0.00974865551396659,
    -0.038753760880904722, 0.013748977577330481, 0.0902457309961121,
    -0.029297201011166684, -0.10689873119664242, -0.027520041339404444,
    0.16625267876848535, -0.057246884759064372, 0.10547269259220671,
    0.0011684420752762195, -0.08702565595357703, 0.26655305243373451,
    -0.12026219176058742, -0.071885815662742353, -0.120128445967795,
    0.13189801649296443, 0.0071039820471749645, -0.039132773059098465,
    0.0085608919410194873, 0.027431250818285575, 0.015412410483230901,
    -0.13146105140485295, 0.12333084251680694, -0.024892486951661717,
    0.05015899660783512, -0.0584404397569483, -0.049561237470876617,
    -0.026964869689013776, -0.057623905646606494, -0.11851799382137716,
    -0.20053686466881016, 0.035352440133153328, -0.031157839210736827,
    0.056554738370209606, -0.0599741335859924, 0.078057617796184364,
    0.10232344451139783, -0.2025805719733165, -0.025567270552561566,
    -0.2886620417683996, 0.096302174503375554, 0.023504344813448232,
    -0.045812595923083337, 0.12100885569216228, 0.019977563466823382,
    0.11368247425435753, -0.035017941742189, 0.046008654695035026,
    -0.10355442368142333, -0.097774961358218948, -0.019852729604196373,
    -0.094725340545092, -0.043575077644770713, 0.10680429507878862,
    0.07095349812933395, -0.15594303417591629, 0.0405827975730849,
    -0.01562873394958527, 0.12543783502472011, -0.010647616111943582,
    0.020860237335496742, 0.24604203179137871, -0.1904992401695334,
    -0.20221332124074021, -0.22219338359875213, 0.22164626684625469,
    -0.027485723011808023, 0.011835976567988524, 0.14368355590519125,
    -0.077406986589707072, 0.097461720409850017, -0.07085763761677645,
    0.052970930854782342, -0.111964836143574, -0.0073449422315058962,
    0.0010631683987780403, -0.12726221845533847, 0.13452211200581857,
    0.0648249237883846, -0.044264010731822893, -0.18295284006401552,
    0.072139215865890477, -0.067403221756357323, 0.15065407482746881,
    0.0683666181406581, 0.089225527480411862, 0.23309935408071386,
    -0.087968490734022145, -0.14762331091783454, -0.24603293353518554,
    0.017168903391827847, 0.0818908760781857, 0.035230930756218339,
    -0.0083651305199807149, 0.024625072701353112, 0.10993197668250874,
    0.0018861837070128901, 0.090712159326016117, -0.091192770523024658,
    -0.07334248076947808, 0.0816584334257458, -0.15496620526476257,
    0.089502881214365, 0.0948298619342309, 0.047960219078150575,
    -0.10211421196364716, 0.153813850097003, 0.081142379499655914,
    0.021662079887107114, 0.035805009932715293, 0.037510987181662923,
    0.27062665612198816, -0.074641321428490115, -0.15913855485622552,
    -0.2440798619171472, 0.19266067927436836, 0.10093239092729149,
    0.11971425597811662, 0.01427351562704242, -0.015049573871198344,
    0.020233629696327492, -0.11424278821050782, 0.14413353647758384,
    -0.12353562842156292, -0.053011388834767095, 0.025358068408947561,
    0.044012181936837591, 0.16154607587205475, 0.059442085858411958,
    -0.10151489520880456, -0.25966774956430583, 0.16419035465844406,
    0.022035816774335557, 0.14127785487857145, -0.026466580889031952,
    -0.0021915754723871523, 0.14266903277239781, -0.1309207697903991,
    -0.12907137562674179, -0.17727421564055024, 0.23189078264266832,
    -0.063884021519887452, -0.0020446659917504307, -0.068707721071691472,
    -0.027817084819207027, -0.066474799175857968, 0.081653746833916352,
    0.018161180802461936, -0.025056455804255192, -0.060743365433017095,
    0.0025051511100173608, -0.14519720125916538, 0.0033451855128536481,
    0.088672185193646336, -0.062833095694516936, -0.20040491257529233,
    0.095703455168690249, 0.019881524812501043, -0.043905359460281845,
    -0.045173880940894917, 0.11632981077908641, -0.049960875393884586,
    0.034302696188254184, -0.080066167012467021, -0.26627273356605258,
    0.016593957689623268, -0.096761834743205322, -0.046653927826625252,
    0.0736000536230119, 0.0628775510753526, -0.087737606469583021,
    0.055650517241794387, 0.0690384582679155, -0.11491807546115461,
    -0.056378868339211831, 0.077125377944124926, -0.019480322279861368,
    -0.10350238711801044, -0.033150275007562131, 0.075408777265031118,
    -0.016044891178350496, -0.016384842240755811, 0.072175465401079442,
    0.0066241746172255294, 0.11222970850686194, 0.011964200898153031,
    0.15873459112741872, -0.025384627515942813, -0.11418800714888611,
    -0.28035923539138369, 0.14295539476302174, -0.048319422815319438,
    0.1139159649143283, -0.065966583301657555, 0.066553727673082735,
    0.12009252230540726, -0.13059185416661465, 0.010815116608531954,
    -0.042887676934400924, 0.066885454671294128, -0.039388724495697192,
    -0.097143176537426129, -0.0766547735192734, -0.0676543407049611,
    0.011655480549284624, -0.036931710605597454, 0.10025339842057238,
    -0.068914666268872785, 0.021650113527727045, 0.049218735247926554,
    -0.0840970073311676, 0.13083774712443624, 0.016903517294904222,
    0.012772577717816192, -0.11026876002379572, 0.08575763518272253,
    -0.012545033763602297, 0.0705318761653281, -0.068564287502780083,
    -0.033328950426531286, 0.11704541294303782, 0.045792493458067261,
    0.019209098689308365, -0.0022635164040160716, 0.11256752223455858,
    -0.0016572867021360958, 0.033490362021795325, 0.024852419995556443,
    -0.024441227986552457, -0.039417566764747093, -0.066662031593499607,
    -0.014537958273692175, 0.052480370586361576, 0.033836794854384546,
    0.09526315687878463, -0.01119783532186139, 0.16803794954206236,
    0.061654403660182058, -0.0714498470934669, -0.16636829193328265,
    0.0048862557430551712, 0.12515897196649187, 0.03032632409476831,
    -0.056777455864453506, -0.0663971181443388, -0.0757212711291776,
    0.0085731125270917686, 0.085361339267870262, -0.10050032137821571,
    0.036726022567709064, 0.012135453556627627, -0.10632595144180791,
    0.032904521952171591, -0.0070895478903912259, -0.07980927450462208,
    -0.17322516012299349, 0.11980648689313719, -0.076456214450119672,
    0.10780078535686211, 0.094174689870119413, 0.06539203670742734,
    0.15432653906868224, -0.0050313069729375727, -0.0046024617535535325,
    0.016946301101933139, 0.094711762864479687, 0.0059434552777173225,
    0.051239159366351456, 0.10181416367832234, -0.037541735123283904,
    -0.0055348954204742533, -0.09063295862648349, 0.0842648206221414,
    -0.0022990069393755367, 0.0602398915984565, -0.03723377049746663,
    0.0687154372905099, -0.011399665930224094, -0.0099618819308538858,
    0.084081872091996482, -0.093097718825202735, 0.0071498388059026939,
    -0.030121479774795679, 0.11010598808362621, -0.076423515028182148,
    -0.07815916081788403, 0.030238258276430778, 0.0426901010945491,
    -0.064563546217186574, 0.072662157224697474, -0.070006917734635715,
    0.10491696435796347, 0.079757182563851184, -0.053860353136660946,
    0.042525618112768317, -0.043889543296037704, -0.03603447708580268,
    0.038131052572479722, -0.089067399903500877, 0.075884402230322362,
    -0.026078593242582361, 0.036163104032931222, 0.16224539516239359,
    0.078729708278511334, -0.020403168713878858, -0.074057143475473111,
    -0.094307492075113381, 0.021211904744060373, 0.060665025367756378,
    0.029246674364479731, 0.040553466928162994, 0.16339153474431084,
    -0.014036823883576757, -0.032481435459310322, 0.068495923136487807,
    0.025434132645235065, 0.10326212733758387, 0.091600044516407159,
    -0.08654861086774035, -0.015495129170286899, 0.13064126740451726,
    -0.034015641762413444, 0.099520305456761979, -0.0424380649398964,
    0.11967022580145498, 0.0071276202737203635, -0.04802851991612106,
    0.10810054151162724, 0.034342523073598336, -0.087918977843144536,
    -0.00082381309146590674, -0.11211463012171169, -0.0152106117777744,
    0.18357654194287354, 0.0060442035189492045, -0.024673213390160206,
    0.026255623170518012, -0.047793848306867073, 0.0311352969290325,
    0.0505216187755854, -0.012096306939958371, 0.0377495368310393,
    0.053243115749977338, 0.065706419939084562, 0.055545710234116689,
    0.090587091050104165, -0.022529540732080782, 0.044290631984974529,
    0.11285295371893114, -0.0927604643205863, 0.0888132350151243,
    -0.093258131526169588, -0.0081488468752063635, -0.068732123308615542,
    -0.11020945707916549, -0.059640457299047621, 0.04652177134710072,
    0.037351895437428076, 0.079912682523045328, -0.0565158129857139,
    -0.032332338248926562, -0.072937368853486881, 0.067782691544559417,
    0.10146391439623771, 0.16479757305788703, -0.029347030314031866,
    -0.0667140000436974, -0.052597007153464256, -0.099124960360932546,
    -0.023431327785082563, 0.031196229182936182, 0.060385970532157066,
    -0.0857229506905719, -0.057483669820625187, 0.0043436948872897889,
    -0.0016275789607196895, -0.086195193721640612, -0.11492646184185459,
    -0.042235491475364824, -0.037171254472784555, 0.030926587941754829,
    -0.032805579858195467, 0.027444243877965496, 0.050440306371293611,
    0.041445553098256906, 0.03835690597833679, 0.054286131815178794,
    0.035117047221531479, -0.0445565093382426, 0.066471091901476556,
    0.065879854055712922, -0.044048847796921378, 0.05489912838916676,
    0.066568875565544847, -0.10445613890753608, -0.12325510579617653,
    0.13302958744618826, -0.080413372836559791, 0.059200687606866774,
    -0.082158847594472811, 0.086125486784711616, 0.051653996285419987,
    -0.0047036512841677862, -0.084847977369417835, 0.020824263415836659,
    0.096986090082634549, -0.045488655548168735, 0.040528817363619858,
    0.032990833256260149, 0.078182830923263918, -0.093926338981699387,
    -0.060489908621927782, 0.1396939654754491, 0.0535444273684985,
    0.27165564743748527, 0.01145497890334767, 0.040963006206118042,
    0.0275570135385197, 0.023324779135795237, -0.05781677834138086,
    -0.0072672883674156676, 0.04712833831250024, -0.082183670120872118,
    0.087792768024571283, -0.08501086399872565, 0.058855895390947023,
    0.08158309889367879, 0.019017154952418305, -0.0071132928842227265,
    -0.10343002958277389, -0.029590684681740809, -0.027936727961333726,
    -0.0014823848195740341, 0.052004840478268019, 0.010794941352687949,
    0.018961377412588392, -0.058844494841835, 0.14093462484443731,
    0.09424794145729444, 0.21698187209325467, -0.07932866789823631,
    0.05255344116286393, -0.12188760374037373, 0.0490058281825055,
    -0.082769278078121289, -0.12842274842860826, 0.077473558413513,
    -0.022769135585492605, 0.047043734699996079, -0.083463974287525264,
    -0.083523969103152254, 0.071155638135290855, -0.13686407469310374,
    -0.1209859636024419, 0.020840448851851594, 0.060172633676348806,
    0.028655136744824061, -0.073380735645541068, -0.010681348798656025,
    -0.035736352867718646, -0.10379714189145323, 0.050874174897156073,
    -0.020823450328332219, 0.1835386813632903, 0.074527423819470209,
    0.020044460649186732, -0.2352649228218491, 0.046937964927683332,
    0.093967031485197347, 0.089349664215228788, -0.086732651968154537,
    0.014753514274077202, -0.048871710525447878, -0.06684569281151917,
    0.12579906308886149, 0.10171536712165757, -0.14902272254115884,
    0.0056468616496056509, -0.02275669054708665, 0.095274799406669,
    -0.053324122015772232, 0.20129251782984975, 0.02798499742597739,
    -0.0756421177846142, -0.038742328798242104, -0.0039701172106757568,
    0.047687609996628182, -0.080064859973443245, 0.0054959335763915809,
    -0.042723644328469278, 0.055075218527403616, -0.12834881010924787,
    -0.035093548571023564, 0.18617493538218549, -0.063690735419114144,
    0.049388222883120489, -0.0077144454737163286, 0.1299126837847871,
    -0.049590662770823114, 0.0079106841685881463, 0.12653862285103964,
    -0.10486155133530067, 0.083696249200524223, 0.0022515203142870412,
    0.039482406766565704, 0.049407660236278142, 0.10435628916344261,
    -0.039941675063402023, 0.041943689892070042, 0.032808341940543821,
    -0.052161794227151038, -0.039844249002452696, 0.076463030113304936,
    -0.040299296230425809, -0.015032054437558244, 0.14316604944600858,
    -0.10945040748683643, 0.091275438416421509, 0.0763974575669177,
    0.090461701475883116, 0.014003325263963919, -0.129211885125851,
    0.045747005474008305, -0.059572925603142347, 3.7985505149280081E-5,
    -0.083892057288648778, 0.026245925094585752, 0.03389285815684831,
    -0.027880754410079728, -0.032630581502959263, 0.014572936972840856,
    0.11212221989018696, -0.044133827789548628, 0.072487442263756641,
    0.066901125150526736, 0.050864857943891208, -0.05468003742076194,
    0.014376254031070847, 0.030064672803961325, 0.022516212653085992,
    -0.053278613548557049, -0.15060338981492119, -0.065561839904519012,
    0.13091887751962034, 0.040302319064737691, 0.053973215530527793,
    -0.12485185202354006, 0.036436453858634379, -0.068120312516696785,
    0.068190853462323744, -0.0695592349138122, -0.063450710264445417,
    -0.059256062367130359, -0.12447343937285577, 0.044214854852860093,
    0.014622196202423695, 0.05153332279092581, -0.015078930556424902,
    0.059993013615939984, 0.02694083790384556, -0.01087393034806082,
    -0.10126376132615537, 0.070311986278495678, 0.019574095175942788,
    0.065857736491424429, -0.015783472472110559, 0.020023065540763614,
    0.061560009629719234, 0.0071116810128661005, 0.063283131271121576,
    -0.046965330786816015, -0.20433513462652717, 0.011651233400074738,
    0.060614747543745504, 0.0068056676182630359, 0.084925962675269875,
    -0.0554295127897015, 0.051008902275521642, 0.0634538310047429,
    0.026566696546445147, 0.037153278254994475, 0.096223289600713732,
    0.025779008096729766, 0.017695263619979421, -0.01446183467715792,
    -0.038701239363520691, 0.0018638993014050967, -0.037329670420838568,
    0.045596134076466906, -0.018977765849971646, 0.083622348209448624,
    0.03164141944194767, 0.14248249560014678, -0.012949280265464045,
    -0.07448901461004423, 0.075064038184024753, -0.13762392203047072,
    -0.0376107007611702, 0.040220155322447923, 0.099219970150897771,
    0.093729199786688241, 0.0022487374615055666, 0.095158155598549884,
    0.1048527147759854, 0.0078442425680167512, 0.096102429454647462,
    0.034797185664343852, 0.090783277747941524, -0.022407053005645532,
    0.049798540495233141, 0.046525314447312463, -0.09675817670973326,
    0.10035547635617005, 0.032879317496972746, -0.06958736192091311,
    -0.099242115418689825, 0.020794428594751321, 0.21484160781425424,
    0.11427814223038837, -0.0565107946993021, -0.051702760408561414,
    -0.053383768643895345, -0.11743023547503141, 0.064653915801663561,
    0.051096509380898936, 0.021962953810007624, 0.021420847096757942,
    -0.10780388766103435, -0.010460232975152845, -0.067566590155912709,
    0.011889888003973238, -0.030392470429704537, -0.026595256009090105,
    -0.0039240514153634368, -0.041622402422063443, 0.027243749026286602,
    -0.10151449184922429, -0.0220834581352437, -0.076003096795736483,
    -0.093336446864639419, 0.03809321379873324, -0.040356258596147734,
    0.090944438456670509, 0.059268627189223037, 0.037697642694372438,
    -0.06390060780325485, -0.14138060920134637, 0.011575999846897772,
    0.0071611787618227453, 0.090753608436302924, 0.032065996122486673,
    -0.02702839913605893, 0.028451123973707731, -0.067864273077030357,
    0.10337506346218346, 0.13076674437615207, 0.041734414179311528,
    -0.049553596739771937, -0.16932424137850574, -0.019221587477810418,
    0.010860560247920155, -0.074959379892727107, -0.011121979845967972,
    0.057564271380493866, 0.077387537857879482, 0.023214383220710174,
    -0.092664492237662835, 0.125503567042177, 0.056282733335477945,
    -0.059054412209249979, -0.079888720151344017, 0.054903849229404361,
    0.057907747115350322, -0.042641104409894028, 0.0598803918565714,
    0.043236862803040392, 0.022677423972782072, 0.04075480483067604,
    0.029052685921748679, 0.054666615023280955, 0.12327164003297802,
    -0.016208688690045218, -0.087091694557525273, 0.027470685072159707,
    -0.07972576435053004, -0.02697349610821247, -0.017247514824013484,
    0.026384504425129171, 0.073623406330761282, 0.077769847439710146,
    0.10867883067467503, -0.06442955025651706, 0.039042126917070472,
    -0.030145553443282017, 0.0019761145274377213, -0.021594637343856964,
    0.049854039037204048, 0.0017344716006034654, -0.064297001040888715,
    0.014936692703699531, 0.070965456484321954, -0.090558219671078286,
    0.021961548955902174, -0.12286780726154291, -0.032768177571245095,
    0.067829134986967132, 0.030852781142696326, 0.069731286177930188,
    0.040996475215727836, 0.0064410090984042189, -0.053765445605323564,
    -0.092277589205359972, 0.066006415480942576, 0.001794583226640124,
    -0.06773930742416033, -0.070446852450285036, -0.09350728904681381,
    0.10249797232160943, -0.095736055946447671, 0.11585750519785534,
    0.0042432584197294636, -0.024918818792230204, -0.047206887717156962,
    0.054985022457260717, -0.039907479452992639, -0.075667481968448844,
    -0.056227603393479243, -0.164156999252383, 0.0812564178228348,
    -0.015611620462748523, 0.096236171897492812, 0.01884500242258498,
    -0.010904524582199777, -0.053457047879227684, 0.087244749958439949,
    -0.042335447395047188, -0.065074935639872419, 0.084634145965500951,
    0.12724775003360986, 0.079496265686754386, -0.042822740445657939,
    -0.080203707950400271, -0.06650975399781256, 0.053993546696216761,
    -0.04584059689707868, -0.00791381689685524, -0.05205459736778352,
    -0.0718142952840226, -0.019926916816560964, -0.028591781066936144,
    0.00963746068453611, 0.11292805170830018, 0.035883650953213928,
    0.063544185507103237, 0.022727507648738807, -0.0013282376988775798,
    0.068607815919587353, -0.013038449914373813, -0.096345471181086162,
    -0.085012320872823732, -0.021105153483211445, 0.0062003112832657772,
    0.071724586526151227, -0.004588579449866007, 0.0868229861979655,
    0.022023117151750635, -0.15767000840836573, -0.016439480809064374,
    0.080037389055065078, 0.036710400628427307, -0.085154195477971914,
    -0.037676438120176084, 0.020568735548723058, -0.051304561438198809,
    0.017034501887937745, 0.00389758642826617, 0.03335911498426157,
    0.037009270064623359, -0.054166246117048872, 0.005035909026375047,
    -0.029386403190001447, -0.063613474245017662, 0.029117062598169249,
    0.039885093344560994, -0.074989117985062428, -0.0839961423416548,
    -0.011476233268959956, 0.012678713192228967, 0.089524728823032279,
    -0.092797393013553331, 0.16057703547928792, -0.056275344046716649,
    -0.076487199301322625, 0.07521312733682177, 0.11501560492704743,
    0.0065691051871124458, -0.06234183965236724, 0.047585826534839837,
    0.024251484073300859, -0.079838730560893093, 0.051537738283318452,
    0.023169446721363708, -0.04758986096555793, -0.094999859045200946,
    -0.046617050118398472, 0.031772350409204467, 0.081941994392166081,
    0.060252507745379609, 0.044966570098569476, 0.11403256437717965,
    -0.089041681482061014, 0.01741130369969017, -0.0616015240725775,
    0.048216080098738165, -0.0089010838056891653, 0.024746154432802467,
    -0.0090353468933738745, 0.0072761816646373456, 0.089570117690338111,
    -0.080856111745963563, -0.068779601802929, -0.093715414837540992,
    0.0017337597588186907, -0.033842373895036033, -0.06281244250516424,
    0.091244690935884359, -0.048378877530476837, 0.11498764851476362,
    -0.11901596529082505, -0.028032045394764973, -0.10604177702993975,
    -0.03709099114956551, -0.020231871557124904, 0.027610737421793465,
    0.0065734255044205435, 0.038945659607730151, 0.032342791644389843,
    0.030904293689491741, 0.063714383278456091, 0.065788437958535423,
    0.0063271962394446423, -0.068811083996906747, 0.012929999196370697,
    -0.08064551190540635, 0.073594283278227465, 0.0813372061625946,
    0.01005379691937958, -0.090482948015462861, -0.034737667822331515,
    0.12219718026222239, 0.057419016564377146, 0.12691711880971851,
    -0.075364213513709408, 0.023345661535650687, 0.034227369650518667,
    -0.10294631157739835, -0.032607245363648875, -0.083236440328564615,
    -0.060559620123184568, 0.090220648089584465, 0.104592123497976,
    -0.015110194147032154, 0.011121159875430485, 0.0059699221093116508,
    -0.023298616537256935, 0.1219414689690296, 0.01385712451032531,
    -0.0277314535104149, 0.0708462964379422, -0.018812385794757382,
    -0.0004356266591835407, 0.066848864700344846, 0.0571250093783363,
    0.07062486347309177, 0.016886194494525497, -0.10077369823640685,
    0.060871765944099661, -0.0076022200878201641, -0.030059159755852959,
    0.054931612617204216, 0.00961767168189845, -0.0020600338529857508,
    0.032611054704671481, -0.15710680028620369, -0.060313430802039082,
    0.059740804231062573, 0.051576977838748747, 0.078432183659904814,
    0.026229042075938607, 0.18510886757957634, 0.035744383913853039,
    0.024934486998845727, -0.054777214814298106, -0.030049071615947304,
    -0.091366195198991515, 0.011705701109068685, 0.0038844003466805667,
    -0.09465338555335176, 0.073721246094460513, 0.13136190878361481,
    0.079864703239984763, 0.14871506867108336, -0.022198171195866961,
    -0.11612837618148389, -0.076888327666096018, 0.015371743518874263,
    0.051641712166752417, -0.059290043207639323, 0.030236213985328563,
    0.062841859355839289, 0.0053543623884570717, 0.088899988497050358,
    0.06644449255906662, 0.12859439921626625, 0.039436401755921308,
    -0.097842396823626776, -0.048328077883993154, -0.0433419137091565,
    -0.084977962709504265, 0.056016297858133654, -0.087632731811134748,
    0.0096073589354009857, -0.12387106381682077, -0.080040275076467507,
    0.076002261587281641, 0.045743294401153108, -0.03474420027336135,
    -0.10167285772479362, -0.11701734356680332, 0.079846726369264154,
    -0.13719141697053139, -0.056998607074266204, -0.034703995025414471,
    -0.12541492538157456, 0.081913565844697972, 0.0065797929422010118,
    0.079816885964230366, 0.0036426152229458017, 0.11446079160818855,
    -0.010498289020458438, 0.13368015922132084, -0.049253229709180633,
    -0.00018973772676358241, 0.055390799679720111, -0.090886415535910023,
    0.049211991179161828, 0.01556737986965984, 0.034345550934253018,
    -0.046337976383309575, 0.10411377663506119, 0.10157686853723961,
    0.025766857917116578, -0.13160966851719622, 0.026465151005800686,
    -0.071675427141795658, 0.025837232165967672, 0.10736855515032941,
    -0.00082272912957720142, -0.10677862236025802, -0.014900247537825248,
    -0.0332246825322173, 0.15817564749210933, 0.087618358747672209,
    -0.024741553046775194, 0.14149688693538753, 0.026762157248562946,
    -0.050983444130127689, -0.081021372166553723, -0.052010956741203408,
    0.032252471903110411, -0.096505324844755117, 0.01527859898000138,
    0.026764927921878272, 0.0487502886002149, 0.0206393471175858,
    0.017616389755931598, 0.075436290439874987, 0.0026902343249918595,
    -0.003756943613349295, -0.078286298755322767, -0.13424624804988763,
    0.092820536036344867, -0.08485581480546682, -0.10787621995330719,
    -0.081467368382524372, 0.08915863577539665, -0.039444319253472707,
    -0.087420161532786339, 0.17506865935250121, 0.022162513612152122,
    0.078907293978564622, -0.053746851688008808, -0.0747102129619765,
    -0.13877344923727863, -0.052271156667541591, 0.0056266553951848609,
    0.024945396795692684, 0.0711408777164244, -0.064150680281407607,
    0.046976883532769569, 0.10162662682308585, 0.0998753541204797,
    -0.076123929498200987, -0.057391298170436311, 0.08249612579801878,
    0.021293705426670237, -0.027365162120265307, 0.062658731094017456,
    0.08745546507863701, 0.042032817033515323, 0.049242470402184046,
    0.0683434391733588, 0.031495001242520561, -0.063215342200136984,
    -0.040554186311465991, 0.0661793908958999, -0.014062127442091418,
    0.013696293924099458, -0.11839875382850829, 0.056940590790545489,
    -0.11187623117914189, 0.051888351338357383, -0.056099300094117933,
    0.053113975160118815, 0.095044264282172775, 0.02086082316984398,
    0.14756089753657597, -0.038555213408322492, 0.017767285723103814,
    -0.0942507397699073, 0.014720459171241941, 0.033430300844265411,
    -0.067274194883645069, 0.041640011319801835, 0.018372956048024466,
    0.024441154654584133, 0.14255501488265757, -0.0939494944468613,
    -0.0193037367259494, -0.0054611372213216793, 0.079743004198708362,
    -0.0033436080984662097, -0.067632468062583412, -0.067928820312905341,
    0.10968140220005264, -0.031956006906650028, 0.068406561429087645,
    -0.032385276526769945, 0.000596689252428698, -0.03271987511697097,
    0.0087610111066933286, 0.067344490643898108, -0.011235200480941553,
    -0.11383168704666639, -0.12064452544975621, -0.0054891720726640558,
    0.02638158000817754, -0.031363133461650212, -0.0049122745979249711,
    0.020530312986471084, -0.040825850754987049, -0.019659733629116764,
    -0.053171431378220772, 0.15420900768228002, 0.019126869617021206,
    -0.0096090060413838441, -0.12993106143980573, 0.018186509444543045,
    -0.14939298421605479, 0.092670107014502137, -0.072253700718325348,
    -0.048474657174691106, 0.11662582601109529, -0.10388571734243633,
    0.055195503197544918, 0.10312034624084135, 0.13117553059713508,
    -0.076824614071939121, -0.038864283756374636, 0.064828573238590925,
    -0.005630148653529345, -0.12846078258069385, -0.0073833769961086015,
    -0.027456436719036244, -0.098100213790436819, -0.047759869437891463,
    0.10013753684408638, 0.067299105706395884, -0.0083460592459915842,
    0.092387381112614089, -0.014502416573872147, -0.012823697499709963,
    -0.12440946673887827, -0.11672052909291232, 0.0968459202284057,
    0.013062046227183636, 0.033369657463623519, 0.0011589545259012468,
    0.097950715105666136, -0.019442414413460524, -0.099129190918793034,
    0.16237817019938128, -0.0548944948019502, 0.081659747644918693,
    0.044068976768048738, -0.0075380237859504866, -0.0729626105324892,
    0.060326503473988352, -0.10895977874008532, -0.04562352297352934,
    0.048546491922041385, 0.027053758044359406, -0.098170197220147484,
    -0.0019929325541872289, -0.043622585427350043, -0.13594742204906854,
    -0.025449105784829409, 0.032574472717564085, -0.16280479956984278,
    -0.03554137062442872, -0.073159436025687224, 0.084219968030189815,
    -0.029657404180155854, 0.014905285080571292, 0.11074824672592684,
    0.095659360203709978, 0.1495260150431495, 0.032080477810895382,
    0.053318004029857417, -0.060596991795085917, 0.020012242345856461,
    -0.05614096335353453, 0.09895173240500385, -0.038529901482143823,
    0.012304884951474963, -0.036338471146159679, -0.087391370687256373,
    -0.0035511644422099881, -0.085976722904677436, 0.036909972891379754,
    -0.10188013437832906, -0.11023803976517804, -0.040608190099912567,
    -0.14409727033959108, 0.060224512341141019, 0.020837814985770739,
    -0.031370612848569485, -0.060401795442171329, -0.024331785794572042,
    0.073093213515609184, 0.045698852481408155, 0.078586033095308552,
    -0.011576209384807745, 0.032457701515970341, 0.026352203204860709,
    0.046588824192420386, -0.10499483840167192, -0.099115157658615158,
    -0.031545805086631455, 0.039043920217075007, -0.05148476552869162,
    0.0677499233621813, -0.0907620423409771, 0.066228118743125078,
    -0.021417316707219577, -0.090214061778476892, 0.025607866396233164,
    -0.12570419044617095, -0.02857935273503, 0.03896379502669186,
    -0.04110002883269135, 0.009322172740502635, -0.097769903748904041,
    0.090262845138441891, 0.013944271517785607, -0.099508735590717767,
    -0.0092650551660298317, -0.0016405976919076643, 0.025022219404520128,
    -0.038948831727301347, -0.079490435955058239, 0.065278919880776651,
    -0.081529599223348168, -0.030108349287340807, 0.059352736696126167,
    0.0065996865977063232, -0.063468253278208486, -0.089281652962421174,
    -0.048085812247541264, -0.087771488939203793, -0.1046987735715238,
    -0.12201231201819755, -0.021952290952036966, -0.11159156815324141,
    -0.0067858761321839935, -0.022793426698285203, 0.063513271463002452,
    0.074804396105629126, -0.083485417371159568, 0.082570679791112891,
    0.04784795031131079, -0.060690905479026287, 0.12201044591015153,
    -0.098360480637943323, -0.11927273259746586, -0.074399896553770745,
    0.050840933875608729, 0.0791948880816799, 0.0738519721160359,
    -0.019241249891916671, -0.086610957523964541, -0.056959658167364209,
    -0.080004714504021732, 0.097657048949378, -0.080732545334946046,
    -0.029568416771175689, -0.10773813129629126, -0.1303570973309516,
    -0.14666990604862651, 0.0404252784762388, -0.0804435825376877,
    -0.087254573837638821, -0.048477355693316668, 0.020093713807173477,
    0.013696732193098346, 0.085336342234168763, 0.0066028955010623,
    0.07161802432294645, -0.023916260552794142, -0.061742993983556337,
    -0.042571834394489874, -0.033034611965792993, -0.10456658658842853,
    -0.017208937607371605, 0.080093823167517383, 0.010630666011506225,
    -0.018170285759927639, 0.026579694838653779, 0.15015159725992955,
    0.034964298026205771, -0.050057306075508685, -0.12197591262645913,
    0.01720969152765054, -0.036823770502126672, -0.064201949487015589,
    0.0055834066823368068, -0.066330057019959893, 0.0329535610219898,
    -0.053950217933426685, 0.077144511395146331, -0.0051905983813535861,
    0.11576818041485235, -0.051140474531996938, 0.022584067051905455,
    0.039646205569123336, 0.0089639632222446187, 0.032194807949158244,
    -0.090361376650741829, 0.027755250845591363, -0.092767680536707142,
    0.083614129135080789, 0.1174847386847285, 0.076958729874568241,
    0.058121643250833292, -0.092777970734611859, 0.059803707880131354,
    -0.063952954998129252, -0.047777636612467769, 0.039656816474746032,
    0.008485525570324599, 0.01587154570436055, -0.055287500060873289,
    -0.059015412247317052, -0.028386437135189707, 0.00904074747844698,
    0.11773884373202495, -0.071941566892310446, -0.012848675858136266,
    -0.012734972553198396, 0.075677378520102132, -0.1079660520996598,
    -0.085896196622475468, 0.038977787423556655, 0.033426991990161532,
    0.04987774308150969, 0.097503397677724576, 0.11927476107541196,
    -0.049631492324792838, -0.051399500443879725, -0.080175740409537552,
    0.1076291079851777, 0.010842545926065617, -0.096685711248225725,
    -0.084555316592424878, -0.099453453791757768, 0.037989464259756418,
    -0.020319142418917958, 0.091213071504423412, -0.041481978190993071,
    0.075286132795697708, -0.10234220880135539, -0.090826500378633074,
    0.073982338703998063, -0.078189394911802171, -0.099206934671013186,
    -0.12476136887945334, 0.0077076270762773983, 0.046891609597858923,
    -0.046865847613045054, -0.024406608480701038, 0.073338897597729991,
    0.065932851262629183, 0.076057723536817973, -0.069634006718777591,
    -0.11481120111655269, 0.023627800009005471, -0.07386776455526485,
    0.016139916212219826, -0.003572271048005149, 0.10492802132688502,
    -0.068655812517681783, -0.062219632226018722, 0.054284595089203407,
    -0.087819462320269548, -0.022667070643622132, -0.026106989853082081,
    -0.056008523358390273, 0.01558784086644475, 0.048544323263483416,
    0.00012595442569043088, -0.10018774656896567, 0.010919872929267027,
    -0.075641619494576928, -0.042895680421813943, -0.034767165304902876,
    -0.016859887449055543, 0.018804875735003581, -0.084028309030584059,
    0.021968890110751545, -0.076468348917047332, 0.050457390348776478,
    0.005769880060277917, -0.016530788371141913, 0.032709700686039136,
    -0.0927374980992231, -0.11605893038225361, 0.077289249485815142,
    -0.036048016381630507, -0.10107661406231037, -0.013052606793307562,
    0.077509948591426847, 0.018893778987689711, -0.01675281344163683,
    0.020439739505622015, -0.042671484863159422, 0.035429937386794952,
    -0.057460599691253722, -0.0653471379360739, -0.11870836935969666,
    -0.078153072992471193, -0.020174338300641532, -0.088799215735752349,
    0.061028073676274677, 0.14938521018682552, -0.09088845079405343,
    -0.074142527224243637, -0.04912140160439394, -0.070245985003427269,
    -0.10932707258606175, 0.067592205348148041, -0.11989563539239077,
    0.12897055667959509, -0.08492037451682706, -0.079246838446437678,
    0.053551609068579926, 0.068409562974317564, -0.094548596682973038,
    0.035502645187147942, -0.092343175358300875, -0.0582253235065266,
    0.093356741478734157, -0.018602114336982278, -0.0071677075924142112,
    0.044689064894793351, 0.031235225588838848, 0.13578973223241536,
    -0.10538194352280643, 0.0064511167604571068, 0.10412769387541151,
    -0.022532116234951955, -0.10404385077255328, 0.065443775418860609,
    -0.12090617800593544, -0.033676767137840409, 0.077046619057930893,
    0.06417973169358103, 0.092624299465285942, -0.029752186814989225,
    -0.033066047179895773, 0.14108533927037945, 0.026425594024075627,
    0.047994450093673847, 0.0045100557332880273, -0.070656099152252766,
    0.057478585079276862, 0.037379909839443747, -0.11128096236152796,
    -0.06812241476817292, -0.037795036256612853, -0.063694155506609312,
    0.12442929854884759, -0.021855096497693075, 0.10057494765005884,
    0.0058352550038897385, -0.078614395446401808, -0.084089076866349338,
    -0.090903915134940727, -0.1875010674900866, 0.010549217457015963,
    -0.015102455973838975, -0.12048260278525581, 0.038277728481824022,
    0.032559696209451212, -0.094722764024682674, 0.11663959411778312,
    0.060763952847271957, -0.026119823386602119, -0.17395250940204826,
    -0.0496026451842921, 0.072045743764605333, 0.036694590740985113,
    -0.05055450357793527, 0.050238181003041615, 0.0031807870675457602,
    -0.0078530959139660721, -0.04884511542317, -0.082140778819974364,
    0.033649239770449008, 0.17454910636088095, -0.028582613373572985,
    0.019962020647607943, -0.035171006658369593, -0.10786449301540602,
    -0.10568916420257987, 0.08139870650684973, -0.0048869061511598805,
    0.0073415119011720669, 0.092404548321410443, -0.022524947179538166,
    -0.029688938232069393, 0.059100802140111319, 0.051268465409058321,
    0.030350528307692429, -0.050689510300319367, -0.068477010599664781,
    0.0677567229472957, -0.054141467558198791, 0.0070403129223938713,
    -0.076760209995660522, 0.097553161320350787, -0.061329804057872979,
    -0.032937006052348047, 0.019724064327438062, 0.12269849741274769,
    -0.014036667978481961, 0.020597610406432303, -0.0224819109138554,
    0.029658233375363805, -0.0882616745791212, 0.059381195698830179,
    0.042426229496066135, 0.082150903583776511, -0.036424693527198036,
    0.064135290338249482, 0.13425777347273121, 0.0098170703568780417,
    -0.064151281693521744, 0.0038059072043526761, 0.063433965975867368,
    0.12992447475311941, -0.07176163815066082, -0.10708146478408638,
    0.039203508026945263, -0.097995308880735377, -0.05109911221600362,
    -0.0136836709522967, -0.17445592156458178, 0.061654976159718163,
    -0.00020593365473123011, -0.037484882109106346, 0.033311548525446981,
    -0.073841153530595463, 0.05566644531528734, -0.13252302885676259,
    -0.0077833240300905918, 0.012445639132398961, 0.080646700226578313,
    -0.069076090280264416, 0.0010804316855327449, 0.13858164574029649,
    -0.038422536613873889, 0.13569384411311808, -0.15918128234861256,
    0.063210633665293989, 0.10342422568478421, 0.10978960239648507,
    -0.14456152672096989, -0.0742753332659723, -0.10952755536687236,
    -0.044815931550507809, 0.1115239562564271, 0.013198242626840924,
    0.074707595864337728, -0.0019936415886025113, -0.056369368304209376,
    -0.10643852436004676, 0.003445587296132716, 0.0093680869937465515,
    -0.14346428890506371, -0.12270634480014936, -0.0463918621557412,
    0.045357936074438734, -0.0064466388849297694, 0.04261227204806925,
    0.19278154898737038, -0.035743883666322786, 0.035115091679902261,
    -0.143408393310413, -0.040896798153560315, 0.09497750220627639,
    -0.025530412127467376, -0.067780790144947742, -0.025499373155375239,
    -0.11578260318437987, 0.058197025553271615, 0.08332481120609396,
    -0.074331502018359127, 0.11620346906805334, -0.0052279029104819966,
    -0.018104355903992304, 0.04669189642431365, 0.025568960529113557,
    0.012227741379474952, -0.0050309770166446256, -0.038757251891904904,
    -0.083496464878937207, -0.046985375991382042, 0.11125667364307205,
    -0.11506183508657267, 0.018953932966630789, -0.085676400773212,
    0.020863688203934527, -0.084755694295501144, 0.08039146717442977,
    0.0074559516536744485, 0.091445997497329165, 0.018330154874896618,
    0.062489366215692871, -0.02779957052233719, -0.02930304864379972,
    0.0025088438254564386, 0.028990150329755968, -0.040118818157130476,
    -0.057035476516252653, -0.047759943101278422, -0.040171047888756625,
    0.12877492028873092, 0.066513670809954017, -0.025943537897633036,
    -0.0040493664701623461, -0.064418681856520429, 0.049892526154541567,
    -0.042820441114702373, -0.0049687466057913689, -0.036684501135168995,
    0.031301557473691614, 0.091623400166802857, -0.088651550789279568,
    -0.0813005974421501, 0.095772006935041121, -0.03240548573851057,
    0.023861870907905459, 0.1037284010506927, 0.06570603231336504,
    0.054593215949403813, -0.032675880111276895, -0.033757362230990066,
    0.019054458239523304, -0.021169610561163257, 0.027331932974788729,
    0.01427379679100081, -0.041319403738802815, -0.048126716032679581,
    -0.15299865461782769, 0.10758901673253832, -0.028079880921495288,
    0.095672241859601714, -0.02021734675454041, -0.070015015867467986,
    -0.038767592125914255, -0.087446373609728928, 0.035799078695430094,
    -0.047827386316784279, 0.089126774645206311, -0.067674921605208285,
    -0.043455329561693172, -0.0718245077632281, 0.016265543453588067,
    0.072787494057419036, -0.0807757230053501, 0.07013644424501371,
    -0.031377767904835874, 0.0016025208885141447, -0.10780979534171962,
    -0.02295489899091635, 0.012204706173464979, 0.061749853666022973,
    -0.051722600267127911, -0.051959250753784623, -0.0029954433505194082,
    0.012481454095460672, -0.059887949695833984, -0.014030573936256861,
    -0.016159289913373471, 0.14311444878598084, 0.016244939399512218,
    -0.032935760034632645, -0.090143367442905742, -0.029461707720227315,
    -0.070577217971564563, -0.15007215074484978, 0.089917725247417313,
    0.052528883775677736, -0.02251023017274845, 0.01131602100040135,
    -0.053072792099998434, 0.093600314326046458, -0.13157895003261905,
    -0.024605991085351327, -0.0073421144609672941, 0.13428752406444863,
    -0.029132574864189121, -0.0570746059135226, 0.027020619081157285,
    0.0023508338840735553, 0.065657989212947993, -0.03553041752813077,
    0.03632352702106318, -0.014242228191323246, 0.10263941149319833,
    -0.06391623313767282, 0.065426615059944043, 0.032189875725105281,
    -0.06812002651689289, 0.079411878644117834, -0.2239061219418193,
    -0.060673035476351195, -0.0591231575403196, 0.072355484007826376,
    -0.093339992674474209, -0.0031547339919373715, 0.03720778307118601,
    -0.033691403916603233, -0.079289132374116611, -0.061732924261069341,
    -0.010458743304418741, -0.011721324190264159, 0.072141075672496821,
    -0.17484892753340003, 0.010544295856987558, -0.0064637341999078416,
    -0.062718298769177463, 0.018788139032647609, 0.0066625197436912193,
    0.035616305448941406, -0.051124171618414385, 0.076457232606004455,
    -0.018885984395872607, 0.014566711928443665, 0.09981968867869262,
    -0.13849107885634768, -0.11879305311173541, 0.063960530716725361,
    -0.014023478441683874, -0.097808359573629586, -0.070860589252852768,
    0.093207469761302647, -0.0089169554031263681, -0.045556867080848135,
    0.067558622454469738, -0.014471342008435771, 0.099321957315219131,
    0.024796234649585438, -0.13185107060822679, 0.06193623126134213,
    0.0080519294184626528, -0.11736998120270432, 0.10128097225517034,
    0.0730071955911872, 0.15415480059111, -0.054231151292214876,
    -0.011786253435010174, 0.040978802577037218, 0.12460034477642487,
    -0.0062898286316695117, -0.0043621572286371346, -0.039082582402955084,
    -0.069607969588276433, 0.039229081903492363, -0.0034124220894885854,
    0.067260387907628616, 0.046294703194112413, -0.031884333846833313,
    0.077997066269570814, 0.1140044679302222, 0.11405469666049879,
    -0.13469530874654598, -0.04989880861912712, 0.077978026322063979,
    -0.02500511186815663, 0.0038794726663030615, 0.13788860717901047,
    0.010047190390541532, 0.03946722853669582, -0.21466622117741765,
    0.069319018813208608, -0.032512248485830689, -0.059282453932850122,
    -0.11192372209369233, -0.084119636876039086, 0.025962429846113241,
    0.050679797754204441, -0.0773707087166751, 0.078201233774468151,
    0.0974819021790948, -0.041119841697191059, -0.06134269530479057,
    0.052328891558427369, -0.013621110836733542, 0.056076724886087267,
    0.016760414356003343, -0.10462142741859116, -0.0788682303869826,
    0.16893514348020316, 0.074723582993594, -0.010292528881500432,
    0.21374767322632035, -0.075963500019855162, 0.091378647212625369,
    -0.1271617155730598, -0.049042567762052694, 0.061212562218515815,
    0.070419697938775436, -0.04336876301843165, 0.052968580172004238,
    -0.0078995869737433864, 0.073440535472220569, -0.092763907523338116,
    -0.014991095832996102, 0.13182080026482493, 0.092861487000966622,
    -0.032005324325237686, -0.11007835963198837, 0.11096385321281335,
    -0.048770740010562384, 0.18244200048651738, -0.081933498113700667,
    -0.088128971613283688, 0.0026531714854077025, 0.030606676123807984,
    -0.048488120257355466, 0.18935458745457792, -0.1122755556385555,
    0.0592715105233685, -0.11588596642673113, 0.036414742706328884,
    -0.064321052720554259, 0.031288926126915931, -0.095944284591451739,
    0.062433940809117017, 0.16653213009487991, 0.117636606880539,
    -0.0619354056513399, -0.029267289328561066, 0.019192837245054294,
    0.001314448406849446, -0.064339079592425338, -0.031778266782588743,
    0.11453484888662589, -0.062919748012308777, 0.0084587565671743782,
    0.012321946332881209, -0.052157258740151716, 0.045335832727588357,
    -0.074912269154296426, 0.068544074823006354, 0.02989246294575407,
    -0.10132178935838945, 0.05114756089740477, -0.011760752165983119,
    0.094953821911673175, -0.09051279694028036, -0.02699967554731884,
    -0.046048597879205427, -0.090487299123769668, 0.12197740534530943,
    -0.024465820615890345, -0.070589290867329985, 0.048276584677379553,
    0.013349282396805946, 0.027548825852457298, -0.01690343074362476,
    -0.027090358263087422, 0.051463680850060464, 0.019692913458063739,
    0.025343212613812605, -0.0012639636516976792, -0.0045870271161517527,
    0.052803320852233736, -0.056449516157285107, -0.069823662113087381,
    0.19580316004057302, -0.089902276895007266, 0.075035039227459244,
    -0.06671617622866953, -0.048579390331786085, -0.079953053365427518,
    -0.030973848529670497, -0.051995149614929945, -0.0263108004371451,
    -0.052211963274746476, 0.0084730227438705244, -0.074565231153406866,
    -0.0592653774891447, -0.074292251756320343, -0.021299781753139294,
    0.031344665832769639, 0.047671039030289762, 0.0980809526818498,
    0.12321120567104321, 0.13174849139056613, 0.05773095748348054,
    0.039953486319616226, 0.13529097895967709, 0.081782098932585159,
    -0.069383621703236364, 0.039497061885732349, -0.12108415855786826,
    -0.10457626858479013, 0.0044910110993367563, -0.046469397776897257,
    0.051775590102934789, 0.08051616579650088, -0.006841178973266358,
    0.022678025265489645, 0.047740138548394609, 0.10150020891965106,
    -0.089613411649893046, 0.086628887928209469, -0.072860876843208883,
    -0.071410940057609035, -0.10525666911605308, 0.052316838889429722,
    0.019917942292430164, -0.028608840685153115, -0.016855813257422265,
    -0.0097623222992630175, -0.11625007482305394, -0.015833158080162824,
    0.033130676930067486, -0.038596516509908085, 0.083142160464359169,
    0.041940636414991232, -0.10467071047994285, -0.11457330079552475,
    0.023652205814366316, -0.10107719869042138, -0.045892735488241847,
    -0.0635683638875652, -0.078952305951165577, 0.097057468665230254,
    0.0667527077288257, 0.1046571038243969, -0.088008082801479842,
    0.079596260891362874, 0.0047577548750263885, 0.099149429894958327,
    -0.13209551383086388, 0.02284300627742716, -0.059848187419938671,
    0.13268101974130414, 0.030324121642791451, 0.062258955197849353,
    -0.027047441568998371, 0.037041675007458412, 0.039818151989486288,
    0.030103276285759786, 0.052356762294616388, -0.014234526603580142,
    0.014013223768674227, -0.088539361140414122, 0.055494167275182943,
    0.012847223884370795, -0.086809486192041513, -0.0081370552272988783,
    0.0045113792072833713, 0.11519149845520114, -0.025473572860367347,
    0.08819814978997316, 0.080206484535682229, 0.0033117428712541464,
    0.0474046545742387, -0.022462815509340792, 0.0067373770214360891,
    -0.059176145478847926, 0.035156518701633672, 0.031574590758864145,
    0.045738332895995562, 0.0925777770041041, -0.032469190202565432,
    -0.030979421628998562, 0.15643361573985207, 0.076750918944220536,
    -0.11166374102204296, 0.08328727439554208, -0.03167427582689266,
    -0.067327377437007688, -0.044530810067877215, 0.071923914597902774,
    0.0608064039207282, 0.051798650210379327, -0.028305375166272004,
    -0.10108718151459298, -0.0018417938989492015, 0.025990843858993515,
    0.029059607729941515, -0.043839379935086915, -0.0810708136171482,
    -0.067899134265260758, -0.045734367690279484, 0.077238828423468187,
    0.11644827872459312, -0.062369018227034854, -0.026323962973259472,
    0.0808495616199349, 0.12184788209992868, 0.12747548336683751,
    -0.090536835818592773, -0.10149323798505078, 0.052901215443428184,
    -0.025056896180133154, 0.024992454900702305, 0.099580083156730878,
    -0.053295333426480324, -0.056247997979398258, 0.055632963751452019,
    -0.0552314149286291, -0.024071691958460369, -0.028598724451230489,
    0.095120752030322955, 0.079724098107960481, -0.035338736466488926,
    -0.11004172391623833, -0.059919773652816762, 0.0017391050090041751,
    0.1263359321836019, -0.043049872068937234, 0.097222036367523523,
    0.10421851744058265, 0.00010804576847246939, 0.13983433235304568,
    -0.023170682236260627, -0.04636224674833659, -0.017845952364806655,
    0.071259752941528587, -0.066700311321137754, 0.074490460799607985,
    -0.086350450909696133, 0.098310584896800862, -0.036528694854717804,
    -0.013732792069851193, 0.11615277652746686, -0.028004341235610259,
    -0.0059806373447007623, -0.10235737772446182, -0.048171100289965713,
    0.02326127694936863, -0.019648715606019062, -0.052213590314945268,
    0.02640241829934302, -0.056154298907796094, 0.08049787536788551,
    -0.045214600641305273, -0.032554371579476625, -0.0048569789697345172,
    -0.029359465502081114, -0.058144140897885423, -0.060381354402421789,
    0.074224974976680666, -0.067569718669299381, 0.019482496981770531,
    0.099713448145004421, -0.019859464599625887, 0.019005767903079257,
    0.0081653719609157665, 0.017935836160319352, 0.019773270505621807,
    -0.030374362896494655, -0.0011450576450074685, -0.099999410283969581,
    -0.043978797146817045, -0.0316494410971159, 0.050095917506253453,
    -0.033449321516177265, 0.10253733943663357, 0.0054041009127561105,
    0.10745735596227912, 0.071043530021365583, 0.10133288983366164,
    -0.057257658627998281, -0.0017518683941701355, 0.089819087821217641,
    -0.10457468333718128, 0.046948721318516663, 0.086620148356126678,
    -0.0095496495160574176, -0.0052395522435148409, -0.11049704923247866,
    0.052686697446255835, -0.046572260713036523, 0.10033364687622133,
    0.018420542911932881, -0.033856301751998226, 0.031914271355954683,
    -0.045860162212763143, 0.0897048220848364, -0.13001269011693997,
    -0.012086184287564401, -0.083644430137626791, 0.078970233695248138,
    0.081775480593638344, 0.089966976357956432, -0.0015580390965564505,
    0.0067841233987561145, -0.0369689127721429, 0.08163854419574415,
    0.027229533047790761, -0.010466357685851989, 0.055012212458536942,
    -0.067096579891535085, -0.020610036881363394, 0.01477771286351701,
    -0.0675562402583266, 0.084385863858772128, -0.00285944114797226,
    -0.031235657483582615, -0.10286327463623744, -0.0723483336257213,
    0.0852975883720876, -0.099293304087097439, 0.076579824516508632,
    -0.071324711759694792, -0.14957303385192852, -0.061096103762934825,
    0.10292660891847795, 0.0266495383096394, 0.11790074300034122,
    0.10390714436774706, -0.00867356179281463, 0.0049417682016421934,
    -0.0747600868394424, -0.036487176466795009, -0.11985799534047881,
    0.11499167669838552, 0.035127277650094914, -0.022639627182030331,
    0.068191537206651262, 0.067891775015415282, -0.043852128301960745,
    -0.011130304060626758, 0.11196378856240732, -0.058220954246858171,
    0.00047646218140217587, -0.0965527205188054, -0.061619432143917047,
    -0.10814727615200606, -0.0420205623762359, -0.0069436506608926817,
    0.041425357138811778, -0.043943870291376461, -0.064973736561340881,
    0.064812758157941519, -0.028581183520668029, -0.0032972409214522313,
    -0.035472006540440207, 0.055002364905347066, 0.070191428309970078,
    -0.12441023308472167, 0.037890471614980645, -0.032233265719713265,
    0.088222018414623848, -0.024046079237929618, -0.091925468077972333,
    -0.085053199175581157, -0.039106068560215236, 0.12790025673453451,
    0.0038566384978717797, 0.0046932856780152335, 0.10535456252082818,
    -0.048233467348265141, 0.095385203205140587, -0.0720226575729286,
    -0.10165237391095419, -0.1390036056670757, 0.0937344302451981,
    -0.017389930364105913, 0.09960522719167228, 0.01301676838873804,
    0.018995495232650546, -0.045321270373952657, 0.046363517205516222,
    0.12022268203806961, 0.067075193955984144, -0.021246595423715195,
    -0.028323987717075165, -0.049908332305908423, -0.072143910661830832,
    -0.020778011656583311, 0.0604012939961881, 0.032008479265590965,
    -0.0012955862005156948, 0.048153027407840304, 0.085968413168050664,
    -0.037900278044418645, -0.064474409749385064, -0.042598678744164925,
    -0.040345339222114564, -0.12553007888783954, 0.0063666402868976235,
    -0.052058546544818278, 0.038211854930052323, 0.056331181528603967,
    0.0398818541713879, 0.0573409955742554, -0.086213089470247931,
    -0.054108396063462523, 0.13442324557481278, -0.0939597142986847,
    0.054824900942694509, -0.11031631667225776, 0.0296349607401916,
    -0.034302698422231978, 0.088954458558846081, -0.0481867044523466,
    0.069359996726826342, 0.077221941086725324, 0.00916990528392023,
    -0.045511688432653574, -0.053061196958108327, -0.018663486682255065,
    -0.0093004811279749685, 0.036749250091303524, 0.025262460649448863,
    -0.13195312712066748, 0.069073977303137676, -0.030162971676235478,
    -0.061967352547685019, 0.048815817495620029, 0.13046404160985078,
    -0.028032151667131171, -0.05698527206541331, 0.021245707074405134,
    -0.026425034968548262, 0.07990395061964374, 0.053104347344147165,
    0.063431121737428153, 0.0947741258052701, 0.0363805595445818,
    0.0032556173132457429, -0.04875880267185715, -0.081384764144342966,
    0.08170154835968485, 0.0696101284613645, -0.10524255146921796,
    -0.065206304605062729, 0.023014854901154964, 0.016211112429152144,
    0.021016262297385836, -0.095146861269688854, 0.06938723055898538,
    0.040905420778310747, 0.06907473075386103, 0.063412296044376842,
    -0.04687851294920143, -0.00046008144189540329, -0.045273548676422082,
    0.083837220181638375, 0.03309237462008998, -0.095843349653074561,
    -0.043256004381786631, 0.0512338204083593, -0.017624300664321781,
    -0.054812894010617293, -0.073828667589449087, -0.0023706948219059864,
    0.027318680393600362, -0.0468516055261051, 0.061806588982319909,
    -0.079510446897456691, 0.08199641886338814, 0.012617145233008996,
    0.11071793068185902, -0.1371122412584152, -0.067289467356220461,
    0.072106145592345142, 0.070257479437812326, -0.10888673945874264,
    0.031428751125906804, -0.031655264854307544, -0.090636990417529081,
    0.092574546434501956, 0.031385863825972041, -0.00022143863713094082,
    -0.10018615836745767, 0.063352981172572431, -0.052296840962419669,
    0.063817757939805445, -0.00098075066227499012, -0.065463912072386221,
    0.073736052536765379, 0.020586792203184011, -0.047034733960909042,
    0.017363196411171612, -0.099986207723781681, -0.078973559343054528,
    -0.038820878021065888, -0.050440645355815335, -0.072757851140609869,
    0.037117055191934242, 0.087722336013750124, -0.070630906213002248,
    -0.039978831742543394, 0.080961183136908449, 0.094810362500725789,
    0.087725086586383172, 0.078243769416866421, 0.067981362183874461,
    -0.07335088938594593, -0.08780224036302918, 0.0014678308310458526,
    -0.084395142431103437, -0.044226297486433017, -0.062538065878447152,
    -0.067109581213804975, -0.082680677577492631, 0.021243526504620497,
    -0.0663261278190617, 0.0060410656689859968, -0.0847136628958843,
    -0.0015851349239960823, 0.044514867649849951, 0.0027750927334211123,
    -0.033988473995143841, 0.025274360296263506, 0.097750432915124155,
    0.0727363670272232, 0.06141416848973253, -0.046993653847979891,
    -0.045707775242342069, 0.015169300489870995, 0.029839705674683178,
    -0.03741133426435652, -0.059711180424111568, -0.011830530005444283,
    0.023942730321650906, 0.063836178293558463, 0.024828814865064785,
    0.085044641894129788, 0.041121891274015394, -0.074531521877864562,
    -0.047511250427842683, 0.0528548749597111, -0.024317106472227189,
    0.022726024683629761, 0.12528745302224278, -0.11791644619671882,
    0.098082599293355027, -0.15944739024705507, 0.0030532785395363865,
    -0.0090889507346813975, 0.027895695117401031, 0.001460605694434544,
    -0.054291843463058161, 0.0082249658748121471, 0.026433788250270183,
    0.02510530280179403, 0.12889450636252625, 0.0781222788581658,
    0.09504125179188995, -0.13549523814692843, -0.0826285248681378,
    0.023123008870259854, -0.09729441136555958, -0.096867601998579758,
    0.063926806005163511, 0.014704478599469765, 0.045045751312703872,
    0.079119520586222514, 0.015302209485631052, 0.080952542546195966,
    -0.11309440085759039, 0.042048900680713881, 0.0014119387632447597,
    -0.065719048946604949, -0.018485360857617789, 0.090697777509228139,
    -0.1097324060943892, 0.066807670878151815, 0.1148290271931767,
    -0.00024670243638252447, -0.011370199859372031, 0.04564032299328441,
    0.044546793849963857, 0.0331051344490591, 0.029702006745169533,
    -0.086538399638970726, 0.030048622428871914, 0.093346291003530812,
    -0.026432494884067726, 0.073829112499010571, 0.087721357051178173,
    -0.0741962826798127, 0.012802763385848985, 0.038772474903348272,
    -0.047752845100132578, -0.11622954561927569, 0.044922433240880376,
    -0.15339572295642412, 0.088603364214664249, -0.10277149598063846,
    0.044065254504662928, -0.033408339954673918, 0.074504606934698125,
    0.009216529970324799, -0.029682904729316818, 0.019688871277149324,
    0.11494413009289731, -0.033303559372757953, -0.018338321059367314,
    -0.0057794508178436238, -0.0629304888607583, -0.038065123087396062,
    0.087575845548803141, 0.07648575147289452, 0.065406582356829154,
    0.05881245912540535, 0.1003191383325516, 0.064748279287675056,
    0.036642684781566168, -0.072362096004482387, -0.033146139622544056,
    -0.027203950911122255, 0.011401285407629934, 0.084600897745134768,
    0.024231728294487137, -0.026974506345886641, -0.11174524981321544,
    0.002465255693233017, 0.0035513021788759437, -0.081207169743351515,
    -0.0356821370274726, 0.064605164773738455, -0.026529599735767073,
    0.064215906151705457, -0.043695745070858279, -0.059766965275843242,
    -0.026722805218125256, -0.051355316279735552, -0.050547982009918807,
    0.10707420002323668, -0.02950176248470858, -0.01612633123545917,
    0.0027738446754581804, 0.01007692067299404, -0.012014673335065493,
    -0.01794785876955076, 0.10476050087558869, 0.041879189551373562,
    -0.019287890720031581, 0.038537208276081855, 0.035100246739309518,
    -0.08975804388607149, -0.04003295725700614, -0.076038365143953845,
    -0.060702743317170377, 0.073557961288288093, -0.096556298434633037,
    0.025372819744930549, 0.042900584370460487, 0.0031013956963362567,
    -0.0535407656322242, 0.08186542089922258, 0.11187956399896667,
    -0.009615543441005384, -0.044287581479909077, 0.00836883351108079,
    0.019219109308963114, -0.041152145429640935, -0.036923617660849541,
    -0.0626229057350663, 0.0670133529959182, 0.10371864684844662,
    0.048039305658618414, -0.031553394630141285, -0.033505542965967111,
    0.058654397079409823, 0.094474854392869193, 0.1211725263329249,
    0.032981692048537632, -0.082603320799867458, 0.025851715257775795,
    -0.11902272453847669, -0.066777167909696733, 0.084897937096308274,
    -0.065848362423570533, -0.017133384877688271, 0.029415602827060076,
    0.037412231624119968, 0.016056185364526569, -0.0089855788982417563,
    -0.010739503783687744, -0.050196807814430214, -0.0092879475830394478,
    0.07417765849778582, -0.05041552399613658, -0.085598606140066313,
    0.12155218063115716, -0.059794659534951972, -0.041085703534391331,
    0.058354646780839237, 9.0470220399516555E-5, -0.045683310790220109,
    0.02124974798657769, 0.049546837847292816, -0.078527228045838782,
    -0.0512136192169475, -0.0079817223767750869, 0.08880482559007781,
    0.024352966806149529, -0.055237496345958606, -0.097060021201203245,
    -0.0067308023875160316, -0.068062584037015914, 0.057851804489957123,
    0.055092091863936564, 0.024500402716162349, -0.047400413560796766,
    -0.011244061409753342, 0.06021362552534755, -0.07000182204922524,
    0.068044202000877033, -0.0095211798962948086, 0.026187235644239186,
    -0.052532249389586533, 0.00646948557435158, -0.029119541218245681,
    -0.037675610081717395, 0.039271465969912184, -0.044689952100074481,
    0.0039514929004218734, 0.0807115549563116, -0.07515092189667516,
    -0.045599041428692776, 0.030740526472468749, 0.031227060877049427,
    0.045119741026049112, -0.056468545444618858, -0.026858235824090717,
    -0.029310594077951085, 0.0447732699915826, 0.059614915813179653,
    -0.02273764678831525, 0.089458923205083626, 0.069870229110740062,
    0.11708911052578731, -0.063545745279262808, 0.00092389067944511,
    -0.10939340791577142, -0.010300152141043338, 0.024412219746945886,
    0.035902613410132837, -0.039600692790208711, 0.0014926199056943187,
    0.10899372844436037, -0.06920136376482787, 0.1020779458785874,
    -0.086352572029919028, -0.074894740709275986, -0.092833755821929986,
    -0.033793397315778274, 0.020660771029587421, -0.081935397195976062,
    0.078062629883035514, -0.008277362886824121, -0.068102056769725264,
    0.036707732783760279, 0.092288643331033482, -0.039885436014224285,
    0.10143859457910975, 0.083636898795998352, -0.018012115431903456,
    -0.063227126021018917, -0.073660742372065838, 0.069436379804318785,
    -0.089211011955494066, 0.0032959951894563338, -0.10122063944206137,
    0.056465856932541469, 0.12572225727839059, -0.0568788085846567,
    -0.0084709903316266336, 0.06574238585540583, -0.0784733493619259,
    0.073539715042449147, -0.097905991816814961, -0.096475570592481047,
    0.09463232830785398, 0.077622887335787955, -0.061514733020276394,
    -0.079239560670853471, -0.030447510156269283, -0.0730797083583879,
    0.084165170348348611, -0.026222029005316224, 0.071065126562206288,
    -0.048004721137024017, -0.0078732114760941344, -0.12216292435837585,
    0.020852346528844379, 0.035744865418734881, 0.057688514183302939,
    0.062012490887115371, -0.062092982848291456, 0.080431760353130655,
    0.022911259212559782, 0.11029156289683145, 0.08271795009611782,
    -0.089271330323241124, 0.037490985890869723, -0.086349606230495424,
    0.066307032163506627, -0.029514449564056425, -0.0049521662899345287,
    0.076856567170449724, -0.0057421003178084219, -0.1402610021286331,
    0.02055001240612455, 0.0055634293806295781, 0.024043828306686735,
    0.091532699918291952, -0.00013985161525752871, 0.012644398424276587,
    -0.028255709071325893, -0.083502094545333888, 0.089618109597787779,
    -0.0033284847201042788, -0.036784809587044241, 0.059304281866139591,
    0.13138717386105145, -0.030544233080480206, 0.11784655191690517,
    0.075512216479737521, 0.034669461174031552, 0.020719895702007871,
    -0.05282763855503754, 0.013813656706502402, 0.02944302104082756,
    0.11097528615916785, -0.10769388772355577, -0.046954510817528786,
    0.0050322949390681606, 0.11183538370593378, -0.0267415353289785,
    -0.015822793064964206, 0.017704581057118546, -0.070747420212049342,
    -0.05737586849995014, -0.147908701060955, -0.029028526099876717,
    -0.098173800212681184, 0.14291097416977566, 0.10083770698446574,
    -0.038026449464017412, 0.015358537631672895, 0.0618795365614961,
    -0.071930409857935876, -0.063860344800560312, -0.082220293097269165,
    0.0052440368376943693, -0.012287733140218795, -0.04304590595953408,
    0.061315193518505173, 0.0050676827809753048, -0.10125037115466749,
    0.03607100322392693, 0.024689018255286591, -0.0045873912686321518,
    0.087264523892452969, 0.057062998234179263, 0.067694601263812479,
    0.0064692745287579477, 0.051851036475352386, 0.04405323453499866,
    -0.036635969732331991, 0.016217406512678903, 0.027607971748945116,
    0.07493530406412717, -0.10979982144197345, 0.12191306116621069,
    -0.032507819435121384, -0.047771237970759564, -0.0372189283418054,
    0.084041472629384967, -0.01178293052259354, -0.14365638650139406,
    0.0079579117092739883, -0.091186503313416128, 0.090699239865620271,
    0.00856551547945115, 0.080359471394132312, -0.079811097931099265,
    0.066527382086376249, -0.0064215951651010314, -0.025169398824223838,
    -0.038862037065182382, -0.11527323421949451, 0.011483545784348024,
    0.050773970896468061, -0.026278336602131663, -0.068037185815713455,
    0.14921809626514665, -0.094279560959917713, -0.095203192843670945,
    -0.02104528769961472, 0.072938901066282716, -0.0051903751329862,
    -0.024895709370352317, -0.07555420753984711, -0.08940978010846834,
    0.038497808886512837, 0.094105305877501641, -0.083333604140010981,
    0.038632451735407233, -0.057319923239397212, 0.0535024855855509,
    0.037691794979423862, -0.0026526401301333641, 0.041525201545405774,
    0.096813838608695219, 0.072048835091270649, 0.034021052474429658,
    0.11176958192391057, 0.077224296218659991, 0.063912959582835355,
    -0.079690944840214245, 0.13831417322926617, 0.099609046669012519,
    0.055211008462054852, 0.094213086533977142, -0.064507862331422722,
    -0.00032653459316281933, 0.11476309948125119, 0.02603532902979281,
    0.031501331031395477, -0.0041804781966844878, 0.001519351450662331,
    0.087719508816892264, 0.036766386312211644, -0.037862748761896194,
    0.038363014882238686, -0.018458690481848113, 0.021294098796111161,
    0.10310841190939427, 0.05008415505087848, 0.0869257251508826,
    0.028052190437529403, -0.03651022996970029, 0.024351708147264561,
    0.041049049282301367, 0.011722803813243077, -0.018159874564577152,
    -0.061451655365784466, -0.062385656199633814, -0.07045740373940855,
    -0.071829922765970985, -0.091973708080508892, 0.0029055210163479264,
    0.10296887610851814, 0.013067350902070387, 0.0026875124968309847,
    0.095786653985348885, -0.08444384543371411, 0.11761725531597661,
    -0.031075179469023675, -0.0064757082749530067, -0.039442383029737946,
    0.14273772493221953, 0.0063605503324972055, -0.00788428461560532,
    0.072834143415507188, -0.041020617390782561, 0.0616183855506666,
    -0.012779946394488552, -0.0075863027261113564, -0.012417767322512204,
    0.098290014254484692, 0.046640970796724454, -0.034301731124088353,
    0.045551432447516034, 0.00583527401214954, 0.052806059945592038,
    0.09293019126904152, 0.038487958635741816, -0.052234968687201476,
    -0.050078593101623596, 0.010139950313280143, -0.0072858839116572028,
    0.0953915225254056, 0.060296787568664315, -0.090158639686946568,
    0.011923529739647838, 0.027361946056228676, -0.016253824669513368,
    0.0810761638209367, -0.0488878528763215, -0.027445530514877359,
    -0.094321461482850949, -0.10618320907517999, -0.058120083362454417,
    -0.06154367074939314, 0.12193094455589681, 0.065948192183865051,
    -0.1208387267992866, 0.035662533410023241, 0.021016186049686435,
    -0.08638235866519306, -0.036853547810020128, 0.044413456539395421,
    0.058444745048042417, -0.0014485863857241427, 0.027593241244953558,
    -0.026809292791374107, 0.010607678258073039, 0.075119653282593055,
    -0.029327693178855127, -0.082925226475428382, 0.11111992332951211,
    0.04504506132492226, 0.049506379855202128, 0.046544157962739342,
    -0.019942664265019481, 0.10890887521691016, -0.040682114918096909,
    0.039281170782728629, -0.025350027708617235, 0.0010842499014353532,
    -0.05345879627523295, -0.11859377172894703, 0.061417791280195408,
    0.0048559141111569424, 0.0512806294596827, 0.023716677968275951,
    0.022846116937552952, 0.082074460289573534, -0.0090137156511408637,
    -0.013273502562198301, 0.028578022842314327, 0.010383703930138854,
    -0.018568050337936938, -0.062378851196651895, -0.11713532971910069,
    -0.056474546986192857, -0.0390097948522566, 0.084542175572577025,
    -0.036080879355119257, -0.016702176770414745, 0.040416765278726979,
    -0.043363577245939949, 0.029768209895222966, -0.030768522933348617,
    -0.029333355051081325, 0.0022035990909230838, 0.039569528498656525,
    0.098850902227121271, -0.075431408626599056, 0.041621413005378652,
    0.0037515899680225953, -0.00981313672898496, -0.013246647185057995,
    -0.049136687559988589, -0.022480633162364011, -0.086390687699490321,
    0.024701031835790824, -0.036740477342198166, 0.01035223351203627,
    -0.15159096468716915, 0.01053903554688361, -0.050999242980486775,
    0.11349515343424081, 0.10013888930503076, -0.055312672456875378,
    0.097818554099823637, -0.11245579871210164, 0.088688183013324068,
    0.096361856702220527, -0.010497749175025372, -0.00035121225665317587,
    -0.12080186996319942, -0.085643233706298019, 0.0169124919743947,
    -0.0037365660670502371, 0.11255562485121803, -0.053686360449855877,
    -0.080400844839246158, 0.017830547376729441, -0.076777568346565586,
    -0.069038302047616254, 0.14645190472633235, -0.031776242095285331,
    0.010906097478346095, 0.013631230098713896, 0.015141034782468601,
    -0.05246209027668982, -0.013120863477205145, 0.043328281903665146,
    0.063990360900638213, 0.088964629178238275, 0.064414210156651067,
    0.093412533499195427, 0.08111158789765302, 0.12359618412613339,
    -0.058305142893056439, -0.098070611771139585, 0.10457947418194885,
    -0.05408325708247632, -0.054987427494373325, -0.042650578417069575,
    -0.063855889461633633, -0.042048602979445009, -0.12533433867411897,
    0.05373203892800988, -0.032353258553984125, -0.032560631242474228,
    0.044400104108769073, -0.10992515074500911, -0.059114440054065284,
    -0.054119402611902553, 0.053575102499924705, -0.068813969878988218,
    -0.081797142993256119, -0.023002154712871314, 0.011285160534940492,
    0.020002259900982446, -0.029634427931679395, 0.10901367427026412,
    0.029433253755315261, 0.042615926466287868, -0.11286719590433709,
    0.01460279012639383, 0.075363438730907173, 0.084034240655177547,
    -0.0402171034969234, -0.062706543953274532, -0.0629345870463738,
    -0.070180098185239417, -0.072723446814197859, -0.012555306187821877,
    -0.035773265089790361, -0.031947803367983391, -0.0060341886673417836,
    0.01388472936744619, 0.054089105175110744, -0.055042289732978235,
    -0.052911885529099034, 0.027673215464740802, 0.0967909526966236,
    -0.065731979508311222, 0.0055690560160972192, 0.048174071330210413,
    0.0440119858991173, 0.070829931501946441, 0.077884380876193621,
    0.032264443683844193, 0.042591815879512163, -0.016342133896564127,
    -0.00902163642450959, 0.04123078393242538, 0.0809955884277611,
    0.014238348650023561, -0.088767239084377919, 0.085788862102629551,
    0.025330981900702484, 0.01691131413273891, -0.078288953586215015,
    -0.0635856670670664, -0.041994643867106878, 0.0458101572949191,
    -0.010256311907052257, 0.0010637193933361547, -0.0443822782823427,
    0.031471279243340027, -0.036608226778102104, 0.0092774440284281237,
    0.10236103038260191, 0.10541537498354346, 0.030328858732604283,
    0.0057439659773236111, -0.033857588873745049, 0.017709601586270003,
    -0.051334535805339011, -0.00837708445451557, 0.0834672026057656,
    -0.069670523445881649, 0.047780325499260548, 0.035847893114379983,
    -0.057583163362256336, -0.056340452493678521, -0.015612887662531074,
    -0.061506591850807805, 0.05334240803233984, -0.017743344878794171,
    0.072158190751901732, -0.016631718490227057, 0.017735432382567709,
    0.029253541176616694, 0.0791008802130571, -0.039546497878869213,
    -0.051399763771561018, 0.082008583804401763, -0.027881828521384471,
    0.059165337355359733, -0.096889958150262731, 0.00061087620113905886,
    -0.05887651007087763, -0.1321183043050225, -0.11723924972973729,
    0.10718023102066927, 0.057379293375925372, -0.051743578567239809,
    -0.064046784459290726, -0.068834498595613511, 0.070169677145139955,
    0.077545725631898488, 0.031783516193741326, 0.028807711344593603,
    0.026001539450436668, 0.022751002495875267, 0.0071033558261124853,
    -0.132527828411571, 0.10901035153804525, 0.036607578110864042,
    -0.125772170495019, -0.12207051904297031, 0.052282138474791261,
    -0.06309578213167602, -0.022402147588507813, 0.067395858488278115,
    -0.10027807841266065, -0.0054864889667290357, 0.070954274774326365,
    0.032812986356164815, 0.052789578064848658, 0.16285734370182972,
    -0.10939447148439574, -0.076562015285762244, -0.19363843743504189,
    0.08992388124643029, -0.1365625586774819, -0.0337047467165698,
    0.0462083890432665, -0.067279340844988822, 0.0078238638603982773,
    0.08750505527507324, -0.1275241663453375, 0.059825477940216136,
    -0.00975919040020166, -0.0019974744284841552, -0.018032104908785547,
    0.039029676878835677, 0.084111900424992947, 0.08949608979650843,
    0.061263720367236228, 0.020612589545255348, 0.052498844449894909,
    -0.087368511335979476, 0.061186470928786832, -0.023221035274202651,
    0.16590179042921846, -0.20456938565378777, 0.0992267277250943,
    -0.15013851639181972, 0.071923872173962913, -0.12392304975286801,
    0.057569464298726843, -0.065545709106426056, 0.028746239859692449,
    -0.04582823298058622, 0.019469665425801749, 0.013684313299419985,
    -0.044453030348792125, 0.030518316150499335, 0.0062241560869407964,
    -0.040054372727068625, -0.012491945445883612, -0.054640402308471656,
    0.070979698878620517, -0.040927893479397258, -0.013757892224965212,
    0.081196672070825732, 0.038436789099671763, -0.0698898172132885,
    0.03962207969829673, 0.14722489945330761, -0.22605850156247911,
    -0.095885538216872734, -0.044368224059145471, 0.031866948273275207,
    0.017909831700879644, 0.0038135202286692766, -0.0772678317925243,
    -0.03557545082744356, 0.066267991904220641, 0.0883891646230483,
    0.019201031806507497, -0.0796022995330677, -0.089873577370996063,
    0.046438603006226369, -0.12311927405527956, -0.022659883098430193,
    -0.0038910184780094792, -0.072757542904691483, -0.019653888308371139,
    0.036080631294865925, 0.0078752078758389243, -0.10556050896125553,
    -0.092744082204140613, 0.047945460618811352, 0.067997360875846027,
    -0.2146107552791619, 0.06965806302349796, -0.1387266894203095,
    -0.035790609133242647, -0.14214568744983433, -0.009183890488382437,
    0.096598154413560219, 0.028474214007581513, 0.066155078291850189,
    0.013754708315081481, -0.16832039863381482, -0.024265430919334252,
    0.089069854074806942, -0.11136497402382588, -0.0768593955984912,
    -0.075172480073234627, 0.091993458844292164, 0.047705322407229044,
    0.073891213655863111, 0.048453992865393244, 0.059612283524705996,
    -0.067220597010041419, 0.032073907024247179, -0.076987735695774509,
    0.05296718533180312, -0.12840514966566388, -0.04645854659927115,
    -0.0025297424899052312, -0.064994138786156314, -0.0080410061640829745,
    0.08512539543308334, 0.034314668034526326, 0.027572633949232508,
    0.0875265947901405, 0.096676255448464837, -0.13897392987941884,
    0.003598377501760707, -0.016858192343826742, -0.088445208720234231,
    -0.023829065379372419, 0.00010262143402357638, 0.09741504843052981,
    -0.047328156244913072, 0.056614740006573253, 0.0012410291792653025,
    -0.1019586238417433, 0.05283469980476492, -0.058017924591285394,
    -0.095480367364053173, 0.090386800931920086, -0.25540611535817809,
    0.098048318797762976, -0.097942069448264557, 0.070411983084426658,
    0.0270440403802423, 0.057733963699439367, -0.087501841516673978,
    0.002427875919800157, -0.0479645120291468, 0.00775958662056086,
    -0.017036424940720947, -0.0433064510624739, 0.040697472086149988,
    -0.023964094374015889, -0.039610920218634861, 0.0899827784692009,
    -0.089168457542444374, -0.015438034737674603, 0.10562609008726037,
    -0.049892835139990807, -0.066845841846430581, -0.0087817770000134868,
    0.046609570543808883, 0.021306940495990495, 0.082967670188183587,
    -0.21225775450146581, 0.018738159023511256, -0.13657462276921764,
    0.03571323326916697, -0.051546118568973689, 0.067763324530440525,
    -0.036613725999389571, -0.021162315038726363, 0.079218955582959674,
    0.088026792704980858, -0.099738021457897091, -0.068037222222395125,
    -0.032041126056649424, 0.057365237835871156, -0.13367896018903921,
    0.055015669363599431, -0.077278635447627031, -0.071171185744542786,
    -0.00056979492538012787, -0.099655884918787213, 0.073154280708824876,
    0.015423503950667264, 0.0257373904442049, 0.096660107403704273,
    0.08500077766985778, -0.19504236180192422, -0.046926361895638223,
    -0.14474531520143458, -0.00712987232972505, -0.058035195649070337,
    0.074370893158898943, 0.045806996581449808, 0.03430129184517642,
    -0.03806107047178664, 0.015075663967035859, -0.14868873182931255,
    0.061574104477916732, -0.053103428639265635, -0.032969609021736693,
    -0.1218228920396226, 0.015932998142838641, 0.090746611851683867,
    0.04306606766276299, 0.023850608743938691, -0.082801911228627692,
    -0.065643529132844811, -0.087995008545766945, 0.038401593154503713,
    0.096336871204749167, 0.033642508764326957, -0.20864342704561092,
    -0.08315513415160064, -0.15015430720125736, 0.035638546296217113,
    -0.061747476333748615, -0.084077720613581264, 0.0408080835449434,
    -0.011885141849608268, -0.017495055527573532, 0.024096629166202466,
    0.017225196786759926, -0.078736893542672909, -0.0585595696645441,
    -0.029349306042191669, -0.0604419929643188, -0.09940550962003207,
    0.026163987160054167, 0.027001685791651433, -0.057215006324294812,
    -0.035856504612387687, 0.082116783183709824, 0.026419367833397267,
    0.069743635803514323, 0.059139390753940736, 0.14837550130102445,
    -0.1714668096240333, -0.0333383763398457, -0.09055578632872148,
    0.094809744730060153, -0.066588480383550114, 0.045148704135199245,
    -0.028970557592411971, -0.031656545130548858, -0.01019165145014371,
    0.0044329394881454116, -0.11264942574403145, -0.0795945299628742,
    0.047344147438098151, -0.0078323718935445381, -0.14775311746222866,
    -0.059499360939781185, -0.0052148127713399252, -0.097676733638326518,
    0.026375591928247087, 0.065339142557024554, 0.030766548552331487,
    0.076924965847858934, 0.012665683625040182, 0.054225691404447024,
    0.064696312803305178, -0.18204694386992279, 0.054690648904376762,
    -0.14572665260040363, -0.00523529218278621, -0.049516072694252393,
    0.070377108252366358, -0.057399051919325185, 0.0841255216255906,
    0.011834821128057692, -0.032191047352497386, -0.080692192621550321,
    0.043782949498008761, 0.024251777239978844, 0.054850912434370756,
    -0.035620255814996844, -0.030064336257538495, -0.019046395292088944,
    0.027447308807896149, 0.042857782077947784, -0.047596999515958062,
    -0.082912181840072416, 0.017126592121980352, -0.0040361582614422409,
    -0.04700086357748421, 0.1078088606478016, -0.21469426617542411,
    -0.058568922194885048, -0.11758935821238828, 0.064317943299105937,
    -0.14014153623324938, -0.045531767039990588, -0.035143037066392491,
    0.0670856128880029, -0.066441914120670409, 0.028033318134672976,
    -0.178712476416796, -0.059197838701486621, 0.096208360297582882,
    0.0036818232651557232, -0.18932206943785385, -0.076580645739295572,
    -0.030641607042076111, 0.022617289531171508, 0.0513980784097807,
    -0.11527420252860053, 0.095124699869019808, -0.037356677222977988,
    -0.051795985778640308, 0.07679851351875705, 0.2077563799389863,
    -0.182810417663962, -0.044450416587669114, -0.06473456244082991,
    0.062452698858051617, -0.11771589145086754, -0.097776104902818045,
    0.068352431650189935, 0.056203000873532395, 0.0124551092780494,
    0.00596682315038568, -0.034750720759871165, -0.011055650536204423,
    -0.028214211378664672, 0.029002905491760916, -0.15141712648873418,
    0.025933226815054645, -0.062613022761080869, 0.078786975489418778,
    0.042360938294330984, 0.055711569056631112, 0.1000774419297424,
    -0.025423037790209907, 0.034161018523847966, 0.038331622578321095,
    0.11119656125657504, -0.2076576877745489, -0.10165022869421927,
    -0.091435967903995344, -0.095820071975034435, -0.10858183380615626,
    -0.034122229174053345, -0.026285780781960363, -0.081634288268640179,
    -0.052057363204475154, 0.11121613412699474, -0.14091213576916589,
    0.0524221914615076, 0.08039186390926456, 0.039604763595527462,
    -0.06772575256080024, -0.066893198510911092, 0.077309071683689071,
    0.033267109803918261, 0.028780554208739959, -0.064216780916243152,
    0.079767721886432788, 0.073424145919706751, 0.10073567142194939,
    -0.0965320648219565, 0.084885722793533, -0.13924607110905535,
    0.06898018079403552, -0.08396781969401497, 0.077833822453201487,
    -0.045447705358715569, -0.036009760778079929, -0.081277452174235265,
    0.00029129606726820275, -0.048180308141681664, -0.091535354953573192,
    -0.17672420907706907, -0.06471347185571108, -0.017235864913100203,
    0.0768362532824857, -0.13069456986394637, -0.049027716001168668,
    0.090848421572268426, -0.061138850725245004, -0.078937900436992475,
    0.057356060894967476, 0.038443720883889358, 0.007597443736066873,
    -0.065446822498670162, 0.0032291057339098221, 0.20277295711803334,
    -0.24733651863432574, -0.081646833750220846, -0.079057225278869825,
    -0.069154592775615864, -0.019167902387079477, 0.01273402912475899,
    -0.090392764784569868, -0.090867836978540714, 0.0597472304980511,
    -0.03089091508870213, -0.127014977705064, 0.0918205126545357,
    0.10399106392721333, -0.081785702272867342, -0.036193813892571543,
    -0.074799579707666722, 0.015111034033222278, -0.10316678738266924,
    0.03188220983240523, 0.064485267996502657, 0.018703555983915758,
    -0.09616431051579756, 0.020081002194549554, 0.077723424337202876,
    0.13413471789498418, -0.11769895257044734, 0.057213160757610987,
    -0.081075712789944659, -0.074953922446012886, -0.044093317811437951,
    0.042198061219257406, 0.0737333481149369, 0.097033884808805357,
    0.11726820349222779, -0.028884537659759769, -0.13295952984270523,
    -0.049215526696526235, 0.066768042047514853, 0.05541771170561418,
    -0.15782777687783256, -0.094243344507591031, 0.043980560034240009,
    -0.081050259312059822, 0.074406534699113541, -0.027210671056030974,
    0.03139982706837683, 0.028299198274261667, -0.047406715402755505,
    0.078702107569014121, 0.17520585244410808, -0.13515546491104216,
    -0.0016939340185293057, -0.11782984572228579, -0.0012098289510448612,
    -0.10185537544473744, 0.020633564220221667, 0.0020451062807648733,
    0.0091058457760844133, 0.051155085655865976, -0.015574144318112914,
    -0.0436346351177097, 0.072852632128028477, -0.056398652186284905,
    -0.093410365058260975, -0.13582262162018829, 0.052229299074597557,
    -0.11299169595788454, 0.050256032064875673, -0.060722463808404389,
    -0.026265810250359654, -0.00360959923949518, -0.053477263276134633,
    0.015532735136504466, -0.095544969518691861, 0.035114853607373105,
    -0.12594433676813158, -0.097239198131438526, -0.089053253586847361,
    -0.039452536213400023, 0.0018086261690253129, 0.0793947883029934,
    -0.070403327013372125, -0.0058092448754471651, -0.079269121048446148,
    0.090385371034110748, -0.0038654948833185066, -0.041528628632206313,
    -0.0799997720887867, -0.0992892690672437, -0.15973222024003275,
    0.0033081356919397609, 0.034462504241858823, -0.08483932152630444,
    -0.062546307125171161, -0.016418215316826752, 0.065430373907681139,
    0.027525843245864622, 0.026724704747158271, -0.092524319316393475,
    0.16449508572504892, -0.16558040891959483, -0.05136606360363586,
    -0.0890028327103958, -0.073157764691601748, -0.040475158244955019,
    -0.0710877424545719, -0.022247306371359323, -0.089377593179169046,
    0.016199820246011545, 0.055370842669619162, -0.17446586936685024,
    -0.0061525256209845744, 0.02652709007687103, 0.056906993096954135,
    -0.12711556366637802, 0.0081384364474159539, -0.039573532468375673,
    -0.050079636600081044, -0.0355782689622765, 0.0281641633448567,
    -0.054366281166795254, -0.013103950542451941, -0.070663550371111217,
    -0.0022438427462081944, 0.0718843102153883, -0.15433816209261106,
    0.00870612360499168, -0.089799327913759261, 0.079504817239354944,
    -0.10822054596352179, 0.0339570322516555, 0.059769031797995045,
    0.0038993352412110905, -0.085052950587983248, 0.022685160151063494,
    -0.049570102369351339, -0.036069986263968574, -0.05370438488196088,
    -0.026014307332784072, -0.074058494753210247, -0.078857235581486412,
    -0.0091704425630513651, 0.057236830300798791, -0.051878267458294582,
    0.082848715612930682, 0.027032241565293821, -0.080496453545802565,
    -0.023806959365494856, -0.075873213089506356, 0.17382213854420495,
    -0.11810481696587626, -0.096964145356056644, -0.02475576013727681,
    0.076045964878379224, -0.11530241034399791, 0.063907988367315122,
    -0.0022430905059737018, -0.043498825245313774, 0.00092903764815432271,
    -0.056802320418125142, -0.1562709412951295, -0.081813796104840825,
    0.093161438722377893, -0.079688521703169188, -0.21236669838941691,
    -0.028047764493382289, 0.051752881564001339, 0.049412383024429719,
    0.052698120408131127, -0.0061441479783354812, -0.056736303638320419,
    -0.066446377764043565, -0.0904357670406836, -0.013058800845555323,
    0.17780197626425251, -0.20195064854969, 0.067726711375055829,
    -0.14926248655646338, -0.060314710160168629, -0.020728351511433232,
    -0.078581994312983822, 0.0814199331790621, -0.072958345988687029,
    0.088892830807417708, 0.031643315825424907, -0.14053394714614387,
    0.039778243733987, 0.054058214989473066, 0.017417345913671136,
    -0.19975773166146, 0.0558751771974688, -0.0316936354848822,
    -0.043856853429062148, 0.099551692295734059, -0.032969603449620889,
    -0.071064718039138677, 0.010365803263889408, 0.0696566184583732,
    0.0062206614405550965, 0.14068678859379669, -0.23306345572792445,
    0.015472931132670606, -0.1553268868564108, -0.013537302304332064,
    -0.012928706458194949, -0.07479193566668231, 0.067744090679222171,
    0.046564345811545893, -0.086612501153479585, -0.081853019543522171,
    -0.10573802152374685, -0.026621064249845641, -0.10110033524543034,
    0.0856467950956702, -0.084209689126772874, -0.02775464616098889,
    0.08561820042431173, 0.00889462634955832, -0.077088845178541518,
    -0.06469420327069085, 0.04311968727074382, -0.0706677901612185,
    -0.081161082392521525, 0.021887381785126597, 0.12617567616956987,
    -0.058207289048521883, 0.049928656670310094, -0.10341199674192036,
    -0.089661135155371149, 0.056184549928710088, -0.1029365006740626,
    0.078749804775412519, -0.071633746465382578, 0.074362122814658385,
    -0.059317741836047093, -0.07313606824375897, -0.041843282309496722,
    0.043875622609624722, -0.085475367582584158, -0.21788780820601414,
    0.052433690468050666, -0.067770776092536317, -0.042952182432412445,
    0.021309014752587729, 0.0770113030649608, -0.046487768431560966,
    0.07366956191459105, 0.038606846452662325, 0.023187029801884935,
    0.07940926014675137, -0.25008257227733494, -0.044327799525853188,
    -0.05810502463837193, -0.0008670644139860378, -0.13058409500051824,
    -0.097267282311885375, -0.08645938850151319, -0.037146508547690006,
    -0.07683743474070813, 0.050998783672941007, -0.17614738061049617,
    -0.017677662782356926, -0.092854400404615553, 0.059792672829474314,
    -0.22082492833435857, 0.087748864663104539, 0.037397506089135633,
    0.022477013860944618, 0.053497827013712, 0.068965674022303289,
    -0.086106182667241932, -0.060599594786319079, 0.066310891781136139,
    -0.078730030861380529, 0.13912815723877947, -0.25351770626945319,
    0.072727403603554619, -0.032079395039148549, 0.076604014623198172,
    -0.061669196009288545, 0.045759975211186826, 0.084067302821155709,
    0.10176404587893244, 0.079695598204419071, -0.039341043411806741,
    -0.077638455838376544, -0.020956481470084963, 0.091777940774676908,
    0.032608872834190616, -0.13886933053685746, 0.10540163179720866,
    0.052550510379159268, -0.061662341071352232, -0.042246662531179847,
    0.022760616832065067, -0.019651533566793635, -0.0089916969300673413,
    0.083679369943755758, 0.055735067684493926, 0.16153349763594543,
    -0.19590752769650691, 0.06806096180613655, -0.13264515156823781,
    -0.038948332425658878, -0.024250097105692602, 0.029929069163418098,
    -0.011049884471999866, -0.036930252328108218, 0.053846908791254741,
    -0.0568226411029829, -0.075144713296467311, 0.054589110869150477,
    -0.071713205153617066, -0.062279134476548891, -0.022805601954061158,
    0.11019616386729293, 0.058510735103727535, 0.030104154896758446,
    -0.041622932064410596, 0.027935856702341451, -0.039825011266900759,
    -0.079955133608993548, 0.090230288801727579, 0.079554556956539915,
    0.071414817650547871, -0.25131433751031851, 0.013477499363614687,
    -0.054926191182140517, -0.0191699460532776, -0.042624976059942067,
    0.011400668155049519, -0.089291182792030535, -0.038388180360434912,
    0.05889358263104235, -0.05918182854454164, -0.17608723713467742,
    0.06895479527617468, -0.015105148089092864, -0.028269168527371203,
    -0.12915389910437153, -0.088603804503238154, 0.055640648651347616,
    -0.030785861889037338, -0.034584096962383, -0.025811990894228719,
    -0.026024743688955212, 0.07931160745055002, 0.033180465463165089,
    0.058793083363956895, 0.13632842865607417, -0.062008807854888423,
    -0.0075541732273992157, -0.0032385226714009108, 0.025625928215782353,
    -0.077623294488238542, -0.0044878049698474226, 0.095312500939677566,
    0.0079826187619137113, 0.080834803109600367, -0.0098426934955862435,
    -0.022083525043661324, 0.093271364687063207, 0.00024396965662854816,
    0.021092666204094564, -0.064768033690329019, 0.038403214514090532,
    -0.0877510430917518, -0.043525921447538592, 0.059065491091025275,
    0.066194457361815326, 0.0721892075880157, 0.055459035287661461,
    -0.057146594736928027, 0.085018010624538648, 0.19875175261287614,
    -0.21957742202558453, -0.10565243403932632, -0.078818021431154711,
    0.089591392325172228, -0.1036986918597321, -0.060508554429364286,
    0.088521018623980943, 0.091822225911252442, 0.10112265519771617,
    0.0820407953183825, -0.097407365792875122, 0.01411742514664237,
    -0.032954565300127754, 0.061777516065827383, -0.021043762381955457,
    -0.075127635546557034, -0.11411730947590369, -0.0016044998085804874,
    0.066583613057331542, 0.061265008877833961, 0.045120316208224889,
    0.030786810841712489, 0.075247649329035951, -0.00020378384064633653,
    0.19421725184518018, -0.18918620698203031, 0.045716582806446707,
    -0.1088705943497012, 0.074824117668941925, -0.072600859111491237,
    0.05913446423903812, -0.033247145802715081, 0.009297246491875473,
    0.065028230007006721, -0.076038248091850974, -0.131419355473854,
    0.082389716340897548, 0.031922354488448344, -0.09047654362113805,
    -0.22109172742057126, 0.091208363406030168, -0.089067544622973546,
    -0.034182633697478558, 0.084035426404405283, 0.076787930475814725,
    -0.0065584406305149246, 0.061238951169811186, -0.10171220884132384,
    -0.0916316847779836, 0.033972826420456008, -0.12273033565263439,
    -0.1070100859972823, -0.090161615206830484, -0.0219602630612378,
    -0.1126180242210796, 0.016018597559625779, -0.0657663633792313,
    -0.10166762057349107, -0.00676089820298549, -0.068437057792855319,
    -0.14790255643472436, 0.009590290633837182, 0.018453873106629732,
    -0.052456733612056876, -0.12525352633576342, 0.042820948513425584,
    0.052808116566542045, -0.00089016085403475684, 0.11537457014905515,
    -0.079067986949848165, 0.014694861829869312, 0.044903082769367365,
    0.013668162477844659, -0.045029994014300571, 0.082037538169965382,
    -0.17806464000457189, -0.029794950552328652, -0.19069594319547709,
    0.049457654224967527, -0.089133954580327732, -0.052791927945522066,
    -0.053867061249476413, 0.00070857620438233011, 0.051028582142781088,
    0.048036221448189469, -0.093703671008414618, 0.0086275547241813667,
    0.050738638686635189, -0.10027518635605848, -0.16157027233314097,
    0.072102975905440625, 0.031164852520592149, -0.0962385000813457,
    0.018651431583406559, 0.079205902902419523, 0.10129083359222349,
    -0.04180467349600183, -0.078726179078554143, 0.0085937244419044163,
    0.16701250683955926, -0.087747274623838509, -0.054201507567190409,
    -0.023733729061325044, 0.019855556380253665, -0.13621151266293535,
    0.01055436984125166, 0.018076789064904966, 0.054051175292839641,
    -0.043876581165930593, 0.057404146055730278, -0.0860913984335287,
    0.027012222191484733, -0.024144308792668535, 0.04927682601016635,
    -0.03366868222642299, 0.012706197579235278, 0.023582047863238687,
    -0.044419330386060267, -0.081062161138669458, 0.0078775216209630988,
    0.062858476528145232, -0.027956715823652445, -0.094996288753627714,
    0.095748355888515546, 0.023718258811179411, -0.16753218061711364,
    -0.016808582941670064, -0.14722945400281165, -0.095458583881188622,
    -0.12062272625964936, -0.070581721760568109, -0.0704655645044376,
    0.067072117577639409, -0.070027674301547341, 0.050316061017320481,
    -0.17357472703500015, -0.050730068603602976, 0.070527542270299143,
    0.044277122058946017, -0.19319599804671833, -0.013730701534007114,
    0.069098642013479858, 0.0287146578390523, -0.037574328641937646,
    -0.082012755295244474, -0.086067833695678581, -0.015852989732015352,
    -0.026820087124869545, 0.022538721721755597, 0.084451547026132529,
    -0.17009048436778731, -0.10601906107061583, -0.16674445094162235,
    -0.054403387559423783, -0.13438740188143991, 0.026343729648783589,
    0.019158410095062153, -0.0956050669352993, -0.020420464349144785,
    0.0038678331601580988, -0.16575670825820968, 0.0945991278074576,
    0.007651438970682824, 0.0634151363659922, -0.10797679042456258,
    -0.089793728648612042, -0.11467700724781976, -0.0889193821911609,
    -0.0035778192873237033, -0.018139223736132797, 0.052403841922517111,
    0.089876015397423625, -0.013108979193842929, -0.028385149315364292,
    0.21572051026769529, -0.18442276416059253, 0.022316617477203388,
    -0.10818005064916288, -0.023383166393959084, -0.030722634786676955,
    -0.049012298860436808, 0.067518186741442318, -0.050066947667909589,
    -0.064591787763123493, 0.00063696277824558346, -0.0739560163474831,
    0.072314888081561265, 0.01796088808658276, 0.0031588609652114462,
    -0.14051220336670459, -0.059541598010471743, 0.05947070945265967,
    -0.051524588724372766, 0.034105131391606945, -0.015686882132020734,
    -0.077284168150264232, -0.10552669793532291, 0.066139367017129108,
    0.081962313772860229, 0.039204689635904823, -0.10495134962710716,
    -0.059831882432495417, 0.0050625934970516765, 0.0023929359517013697,
    0.028510899694400165, -0.090752050637650586, 0.091606395906543445,
    0.012986188850041968, 0.055539877267069764, 0.11120506891644838,
    -0.11666244763588476, 0.020806914756882729, 0.034564082911788023,
    0.080767176668698523, -0.018946680411119955, -0.015035824074383796,
    -0.12093080024546116, 0.028735814478853306, -0.068525292360232248,
    -0.021038796762414408, 0.076700083705681474, 0.0695613776097222,
    -0.06938440734152751, -0.057284879976118766, 0.17802060015138943,
    -0.20791615089997278, -0.038653412784618674, 0.011390633715639933,
    -0.060623274413481636, -0.079886440665693156, 0.059759269902781867,
    -0.012425939033857376, 0.08749657292274704, -0.045172045572195209,
    -0.079945639932822318, -0.015568296714813034, -0.04432881286183301,
    0.055902494663736479, 0.08423577509130252, -0.1024067276754986,
    -0.068031684159571, 0.0669923755724123, 0.046086738224625175,
    -0.054772367552132675, 0.0054492350099023977, -0.019171382106615103,
    0.057239540480675567, 0.055416240719182532, 0.0733183123458182,
    0.19673746383058272, -0.10310909017702777, -0.089339882644710586,
    0.0055020286334687305, -0.022829060144981525, -0.011603411917096546,
    0.037027212967211426, -0.085025306895751537, -0.080522137044277173,
    -0.088834899750541513, 0.097528068893069059, -0.16020794156674481,
    0.0703283372031344, 0.015385048836903337, -0.047159971004604874,
    -0.1570080044133646, -0.023307680424691495, -0.090573144014832629,
    -0.091995887227770426, 0.0081938856448436, -0.0776076906183683,
    -0.069858132931145386, -0.0953632227274424, -0.031193225018025367,
    -0.067016776042056761, 0.15705943488265631, -0.18965956453527652,
    -0.1022743916948564, -0.14909961986458684, -0.086934623210876721,
    -0.13421811019996177, 0.041136334335769804, -0.027760279126866464,
    0.071420722261586286, 0.10896258217895673, 0.0056666539941100207,
    0.0043431184017449194, -0.0074292741705768248, -0.033721972095685893,
    -0.055234051807086668, -0.20470043363261614, -0.055256471273129958,
    0.030924822458141432, -0.034903999181076666, -0.082364085107355711,
    0.045385083603982558, 0.0066629038611418952, 0.098959455401453053,
    0.030973511721854374, -0.00584724553350542, 0.023953213534263967,
    -0.061626452958811258, -0.097383850688806756, -0.16158330703042231,
    0.020879238110753217, 0.02799892895832173, 0.075071651389069419,
    0.060550777131937038, -0.093912610539121935, -0.0845572096578934,
    0.010611644030116519, -0.16901467536323792, 0.046526385116844267,
    0.03907495858946243, 0.085170361896979643, -0.13628347716900371,
    -0.058723554836313432, -0.022031073229185925, 0.081300170684016,
    -0.0012038921310343865, 0.049904489642918388, -0.0744924526300803,
    -0.054040754102679861, -0.0052310528812713752, -0.057061209545809649,
    0.14593061305549745, -0.22134308265612368, 0.075221256664903258,
    -0.080185015549506924, -0.095253782160860653, -0.032047707405920528,
    -0.03729332612895727, -0.0010151213441412647, -0.06116859354309883,
    -0.010165544679415264, -0.038732804225436436, -0.15301221314220109,
    -0.035870430230549977, -0.035099155297804191, 0.029489836093651047,
    -0.10673626706564666, -0.062692316760991518, -0.006088064442058244,
    0.033083094357083391, -0.026732415609794957, -0.070224770241280279,
    0.0982727106009063, 0.049531795044882129, -0.0077096679759520144,
    -0.057900233727048715, 0.15153054172320313, -0.11258979287014786,
    0.054659764632104986, -0.039036724199997305, -0.021097351490029736,
    -0.129209390608209, -0.095413311488622921, -0.020881650905618127,
    -0.100823297775123, -0.090675734743916825, 0.041211796714512063,
    -0.049939016083758836, 0.078118817068268884, -0.064870430900163326,
    -0.012206838025288705, -0.039065919916065991, 0.097361067757047989,
    0.032687579984006, 0.083216261865003888, -0.063220753408912034,
    0.080593145636557853, -0.048538747302705389, 0.034461752539021319,
    -0.075714003910284475, -0.037226042087896122, 0.22187250089312502,
    -0.14477501999466316, 0.086973054283879359, -0.17875074524911383,
    -0.089459719603658283, 0.062134178777929053, 0.00090914600373389633,
    0.021279850652516516, 0.07560960590474812, -0.046770444833482867,
    0.055008165128706023, 0.0091128210869239248, 0.029350870907480925,
    0.08551824929075301, -0.10742499203824254, -0.09614680579515629,
    -0.0678112463159718, -0.11167420956360062, -0.10607211088667426,
    -0.033415828463925046, -0.072525703518212345, -0.10293147874547307,
    -0.0032160765132002687, 0.0020874360587670917, -0.05978118149262783,
    0.07198368529624935, -0.13057735762792072, -0.0037023255285230021,
    -0.15332232087575387, 0.0046987909235301963, -0.048293113148414051,
    -0.090949138453931128, -0.027828595704619458, -0.083289288400697381,
    0.0048564407256057786, 0.075921460051099593, -0.13240920063460621,
    0.068207123570995981, 0.04637552767553519, -0.01237381307518403,
    -0.11037330644871182, -0.0028323530610598452, 0.033383477267191965,
    0.056489506920438214, 0.058879766353106433, -0.093976118293249936,
    0.079142715130069874, 0.069651368693769117, 0.10416536084775777,
    -0.00776006908477229, 0.14496218664384344, -0.24424960409315205,
    -0.021593163050589954, -0.1587792308283969, -0.096778715716844432,
    -0.024853500392026807, 0.053814110474427135, -0.026381109583807075,
    -0.050236622941661119, -0.008429604898500264, -0.054637066393811905,
    -0.035810642444979404, -0.0038127746426168778, -0.085916600845277455,
    -0.069128793707482483, -0.20372869822953568, -0.034257756578660419,
    -0.064851521621214, -0.010829358478818331, 0.0037774432208509752,
    0.085189431810390778, -0.011622735130527412, 0.030543800136815191,
    0.0363819911830953, 0.032933569196216948, 0.22039375897897792,
    -0.17970834964145857, 0.056658474882286772, -0.10477556401897227,
    -0.018125623124961358, -0.0063076529350422393, -0.016314604970002828,
    0.054250886439491261, -0.019326323182990039, 0.052824378699759374,
    0.047777828578728532, 0.0026187138674830745, -0.049835066916963613,
    -0.052344670413859533, -0.046285261868982096, -0.061514085299449475,
    0.059949882397448112, 0.073236972763588967, 0.062114958058800962,
    -0.042016491940833178, -0.077213323370704065, -0.06557910561990643,
    0.017201908449425724, 0.1059845792820279, 0.028112164299318104,
    0.059245900064962123, -0.17966066812991124, 0.085033271486637058,
    -0.17083342566548945, -0.0008530897306992277, -0.085669381069082368,
    -0.021044555033015951, -0.031414852936485639, -0.072926949115478548,
    -0.035977660372966715, 0.003556218104642342, 0.019221738024021068,
    0.087235805990143162, -0.02786162708174706, -0.10620662148044215,
    -0.019148870491873728, 0.069101250072581777, -0.057765633435271246,
    -0.023087711091146088, -0.11039300591240819, 0.004182166158785805,
    0.16786910472047517, -0.026444249757081265, 0.00894668567194536,
    0.14474215469048141, -0.0898043197460378, -0.080784123298589069,
    -0.066283584246154756, -0.025552970667154257, 0.048842662427543482,
    -0.10221085525324058, -0.020057118956708159, -0.039411862082889146,
    0.1107210403411913, 0.00053323201272833143, -0.081792916044482411,
    -0.017070684080711721, 0.087957582343921328, -0.011723415893555831,
    -0.10558190742464904, 8.9658039983205441E-5, 0.00025467420140174433,
    -0.025687046676982586, 0.02091661262190498, -0.09643259492182131,
    0.12539653825323316, 0.15725326928176475, -0.0782011746139142,
    -0.063465691832229651, -0.00013173395928393102, -0.021063095131858833,
    -0.027812917094537534, 0.0015603873020667675, 0.027852337850886068,
    -0.042279994588805013, 0.024858968240634802, -0.040153884298146418,
    0.062668867353430247, 0.11004221364685431, 0.058130294013628972,
    0.058923446719193133, -0.125762843391757, 0.07538614553180964,
    0.097441929923514622, -0.015982673970449685, -0.017989011577370175,
    0.016835977169182639, 0.023682240608416592, 0.092587858007910084,
    -0.088366610655378222, 0.15022026388667875, -0.024500689717971893,
    0.021504784070698491, 0.054128211011681852, 0.045608440690591577,
    -0.026727046470906936, 0.00046244846034813034, -0.083319546468936814,
    -0.049173645404067483, 0.071264026839572142, -0.097030308510196714,
    0.0454167605955168, 0.078555068533263259, 0.0065205433614733913,
    -0.06623905569224818, -0.028246562166389516, 0.053578399737031414,
    0.0201636435400787, -0.075609074668585574, -0.012672969454469012,
    0.014817331647663062, -0.056870635243130331, 0.0013653494622168942,
    -0.03795727529641664, 0.021561051335294824, 0.0415482288819589,
    0.029582423955090462, 0.087274579735265922, 0.051959156527596716,
    0.037685345429150127, -0.13202429534113935, -0.099789247174977252,
    0.14579635807297345, 0.034768361766251379, -0.024161810929342296,
    -0.067088265408527012, -0.034391491201537117, 0.10344514414885768,
    -0.015202361091571383, -0.10872988840844826, 0.086001032024085225,
    0.035777701049208757, -0.094091421155576338, -0.039024184082749012,
    0.00026343321031114533, -0.063833669548454028, -0.088060469712390538,
    0.023024499683001132, 0.17260018574705857, -0.015844430355122435,
    0.048724241880541877, 0.0833118331633012, 0.01550047267417195,
    0.094666053516168844, -0.088097973236276578, 0.005587415782137355,
    0.047348199316555074, 0.12006167343992723, 0.073894735112085011,
    0.048150416673060012, -0.02021576024284872, -0.038696903851964906,
    0.065896961879345961, -0.10956965349282484, -0.12303067418397021,
    -0.020059008399713456, -0.013386610494494404, -0.020519749122544614,
    -0.037240380670078677, -0.026361682890321446, -0.020438622779600183,
    0.029459974517676516, 0.04520974410765087, -0.026264209810443903,
    0.026225160263412241, 0.12310021479986248, -0.054759710644442086,
    -0.00068508551285431977, 0.071610158671706253, 0.081724298874100557,
    0.0032340035646896211, 0.0829828211861009, 0.018302102994329592,
    -0.065920310691067782, 0.069375078181905067, 0.0039204408330552826,
    -0.053014325956693462, -0.11213229888734377, 0.075176232327813522,
    0.051841661512422192, 0.0807265643979636, -0.056562825237779425,
    0.047205619674259548, 0.045030808137945459, -0.083080548090819953,
    -0.020405640678155222, -0.055474191759161066, 0.016181974230771969,
    0.0941951602306524, 0.098974182218584575, 0.013791320324457351,
    0.092462042945368875, -0.086759847748005284, -0.026877257301808018,
    0.024787235527459067, 0.060823005508982286, -0.060877777112053826,
    0.043157324241605247, -0.067413249523475174, -0.039725363234714831,
    0.092766714737287717, -0.033567471371741923, -0.0875515860894308,
    -0.022713862085878354, -0.048063026661474426, 0.092108808663718025,
    -0.10870526706717634, -0.05132614025289061, -0.0018585236891041478,
    -0.0030530152800005103, -0.00043873576023661291, 0.10483022938387643,
    0.00955359076096196, -0.03047630608202976, 0.025902334088081524,
    -0.096893889848797876, 0.014298946504109754, -0.046855138632144591,
    -0.10054731732816945, -0.072244105991897858, -0.053504054337998153,
    -0.1125206545441618, 0.038397336920323849, 0.094125473992275388,
    -0.080203147902445787, -0.058418394795709705, -0.053943949483631265,
    -0.0656594862279712, 0.05562841216183409, 0.072706164589633041,
    -0.073934349145629477, -0.0654082171289905, -0.085425001311408955,
    -0.0096016908779562263, -0.047007959383386019, -0.054963640199330345,
    0.03255602663110465, 0.022493019384470077, 0.012739329425345197,
    -0.013695148591164004, 0.095950862009649793, 0.148912484356095,
    -0.02708346956561725, 0.097588213897829887, -0.0711385295420664,
    0.019695753832653203, -0.13831901430460233, -0.020963129975941238,
    -0.034016479298901829, 0.070744887179474789, 0.0959253612786032,
    0.045687943581850805, 0.069827821576251, -0.018772933105797623,
    -0.02221576350268192, 0.046486468559942269, 0.025017605188488834,
    0.04382696511197811, -0.10506947752937325, 0.13001245460595534,
    0.0046541258746823347, 0.054900972544621451, -0.067073034339099391,
    0.11396988160355045, -0.050191437455009764, 0.084716689883856361,
    0.1294770103719923, -0.051344113469626411, 0.049638923755348383,
    0.024826541467066372, 0.0310232046976186, -0.074952099365334632,
    -0.0022014965431816154, 0.03577093399965809, 0.012936097892824221,
    -0.076923742241898949, 0.0968455775680304, 0.08898147826761825,
    -0.022389743995853265, 0.031844722122707343, 0.071816047183201,
    0.0809880408958715, -0.07721773589113741, -0.090822449197741184,
    -0.045144544011717719, 0.0758466496267197, -0.085492576626749278,
    0.0079486299475309916, 0.10233082699675994, -0.039342599457096832,
    0.13785368407531057, 0.0762215739236298, 0.02460832459141615,
    0.017921607340925221, -0.091468731269028783, 0.072038394131681657,
    -0.1204298982860337, 0.057773119795324332, -0.086123208797966,
    -0.018987283506003406, 0.055627788758709829, -0.017810001574383866,
    -0.059320768718653376, -0.074633955318913772, -0.0058059343856512909,
    0.072183548117137883, 0.029738592445029608, 0.022225745478608425,
    -0.0024552602641685823, -0.072874620428823852, -0.055897144578320485,
    -0.07442811319682692, 0.095148672584780422, 0.059904081749053886,
    0.05269840913136583, 0.013994840803720588, 0.044472822329460891,
    0.053008970390765346, -0.066270764855042, -0.063634201956649719,
    0.080620230002141, -0.10514877559364702, -0.0064728228150582245,
    -0.055607613957271866, 0.090345254550754928, 0.061375203658615547,
    -0.028662118599138361, 0.01899701846272641, -0.0679472560439966,
    -0.13300116002674192, 0.029728678419634485, 0.092295528350502976,
    0.04360300135474162, 0.086065203687238481, 0.13584776590790135,
    0.021442914530026877, 0.016636818777948426, 0.078791094061220174,
    0.13015638413527841, 0.0017268860534976776, -0.019825289675125705,
    0.048003460680661907, 0.023010222516300305, 0.10967147534286914,
    0.02793386949858841, -0.10857622223549526, 0.010573073089384809,
    0.10908089252372082, -0.051616015857229851, -0.050044492475261416,
    0.048091566900603171, 0.061608546600703508, -0.010945038215221289,
    0.0086314660698851523, 0.014120521024261659, 0.10745098891262299,
    0.059386120810842623, 0.077291235664478333, -0.085295751427837144,
    -0.038716713651657873, 0.015937586179953507, 0.039912197462514586,
    -0.09427119487591272, 0.094132570621259445, -0.0065849836612407809,
    0.0906899322582063, -0.043886507522016546, -0.0794094486446964,
    0.078224015616030693, -0.052445411354222544, 0.029365562830983259,
    -0.082930721757143624, -0.032880751452821516, 0.0018175642783210743,
    -0.026653437776291939, -0.079809618474812175, -0.067418274284287483,
    0.0055346176754556536, 0.10172546675968673, 0.014551315470877705,
    -0.059207184251228978, 8.8391966342404264E-6, -0.068440783311932513,
    -0.0655108283702856, -0.060165459215942955, 0.026916604703927344,
    -0.0036384806826009544, -0.02620595740390402, -0.091640746491775657,
    0.077688531305587158, -0.021446234109859779, -0.0352877733812213,
    0.0095702299824908781, 0.083095021831804838, 0.010474433169003997,
    0.017847858894179044, -0.080600004416077731, 0.14036646947564438,
    -0.018025238032203305, 0.12467961032498021, -0.073213728885998919,
    -0.024284117434964191, -0.076034322049898309, 0.019134384913441327,
    -0.05675407347770163, -0.048369052531799683, -0.00881970796581851,
    0.12769308314423244, 0.0809860990391537, -0.042976508166910919,
    -0.10402966423530666, 0.034356882100620587, -0.029427106182679203,
    0.0037351754899395246, 0.0076676757033234226, 0.0927338333774882,
    0.075485955477615455, -0.0836841140410695, 0.046558195558014839,
    0.021636205730914355, -0.085619744408822529, -0.087148048535548445,
    -0.0084488198079244181, 0.059278549255361544, 0.043919185883959759,
    -0.066278014882632671, -0.051515007641750037, 0.12683026917572685,
    -0.023371988168856276, 0.073203677873830975, 0.0734743478757149,
    -0.12689160645844588, -0.0673480687404724, 0.068568426751199937,
    -0.038633652827024877, -0.053952976402745885, 0.000811086442313772,
    0.13530817567087169, -0.0056682530308268288, -0.12568712740428242,
    -0.036932887736642529, -0.025592535354334922, 0.047316112923520365,
    -0.11619883931673013, 0.015210982807351657, 0.0053302859618131948,
    -0.019323699567270879, 0.010891244039260296, -0.042443064057187063,
    -0.07396811663787467, -0.044034117933236611, -0.12638726276203818,
    0.038382003252431213, 0.11041879099829839, -0.10561007899623853,
    0.10492949558575523, -0.030145778190081619, 0.010989766844449186,
    0.0016950601548408641, 0.023146935845952343, -0.08641936330273213,
    -0.0616552108309306, -0.012426230884427082, 0.099875227273149958,
    -0.015182848104728742, 0.066032209728334623, 0.029110166727067854,
    0.075085632019858545, 0.053446081219492944, -0.04142300445056149,
    -0.085148371589095731, -0.10063742926546028, -0.034238395639511851,
    0.0295011850325316, 0.0097628401248745014, -0.052967893190459213,
    0.031810950479895718, 0.042657163758404774, -0.10602198010005733,
    0.039069281030544835, -0.052051553321715315, -0.063156780000681922,
    0.1385201978600458, -0.12378158060802313, 0.14570222086116513,
    -0.05200345337131565, 0.015677570497586203, 0.10742092280926654,
    0.20877308673648556, 0.0120013426431235, 0.030021405887639442,
    0.010595385250452175, -0.03679366727022202, -0.086771056289252718,
    -0.09778333728428483, 0.038333122993072608, -0.065568159768041423,
    -0.027052724252070205, 0.02202444685962927, 0.065170634895390239,
    -0.067460567799245016, -0.033613482149727904, 0.086843753210644456,
    -0.13540504004835469, -0.047113643231512368, 0.1059768818292123,
    -0.048087321800268971, -0.040875618568024893, -0.0068139420619070124,
    0.0065118024675061, 0.066223566580124779, -0.065365338323942243,
    -0.030394534968419151, -0.0087033045532745913, -0.0840308406433109,
    0.00556070305583967, 0.11649707122509123, -0.016846599776130965,
    -0.0065530474601455582, -0.034368675686732048, -0.07860189942479065,
    -0.083472701997357235, 0.040049165496365308, -0.042858186865502731,
    0.07577972121464463, -0.01093944748250506, -0.036273823688107588,
    0.10882147534890924, 0.026790113791595408, 0.11086374389035318,
    -0.0033001435520879827, -0.040635272883169378, 0.13033609994149323,
    0.071465895491261117, 0.027750269780764926, 0.021709058179273343,
    0.074374799281796383, -0.050604958794900082, 0.028018629298904547,
    -0.093275466714383762, 0.042388773550894029, -0.010860289635517164,
    0.056629841963372361, -0.033469038680748811, 0.0043339342410433791,
    0.0032659988330701667, -0.002289718141878061, -0.0720712963163261,
    -0.061840786736062608, -0.0264229478650805, 0.033177958714697205,
    -0.099868478931664673, -0.032852975610465449, -0.088157397418169664,
    0.036245011055550475, 0.026748297322428782, -0.0024921457498540997,
    0.087499328652635225, -0.073327681307249551, 0.055256486614199553,
    0.060317399835693772, -0.00023336680133634997, 0.014462020775455295,
    0.14864666835117607, 0.0020591588541303048, -0.037592788059493426,
    0.11013293046950186, -0.066648471228270847, -0.039241053641073109,
    -0.052960849793520205, 0.026655607699090866, 0.052437756254722759,
    0.020152392596415179, 0.11012534440979699, -0.0067448899049565711,
    -0.0733498916425201, 0.059166448096920281, 0.01099959815483669,
    -0.041754205820402922, -0.018103092904058166, -0.011043598408268964,
    0.077185103841250588, 0.025712331233319355, 0.037994717759351586,
    0.042709320389658592, -0.00019222767671374654, 0.077352716537467864,
    0.0755800534032633, 0.1078119144659878, -0.1043770768638811,
    0.066390182704355191, 0.022830847756027575, 0.090029448562271241,
    -0.10112991411125979, -0.10192969256392294, 0.0499860837782901,
    -0.02108027094854496, -0.011454265512744309, 0.10325557973288595,
    0.060490561122403239, -0.010451972163461812, -0.09634446380221616,
    -0.063420326792303056, -0.09625074162537671, 0.099584920632781335,
    0.01627155281153177, 0.0229400426673326, -0.055244556145427275,
    0.062731163633973311, -0.053064901496016711, 0.0027561941045949803,
    0.034169787479584469, -0.008750594526132081, 0.05435745477570425,
    0.01905820548762507, 0.060006557100402196, -0.0082007940224019058,
    -0.056755504406792084, 0.037784217146702138, -0.023844698300332007,
    -0.097481181408899512, 0.036070020250225349, -0.097998074939956173,
    0.022809832510203468, 0.10589609552182543, 0.090400253213062554,
    -0.10606143837633965, -0.071235394218855386, 0.10348098513168857,
    0.084925983972924085, 0.079143751674538451, 0.094111855538084765,
    0.12508240922923089, -0.029037629345763726, -0.0040525130459713047,
    0.051097383844580041, 0.14114843167541358, -0.023898122724768149,
    0.0031197594404671338, -0.13562372075651757, 0.12436381351621097,
    0.095336895484570777, 0.067082404197974788, -0.051311727954360314,
    -0.0012687910307463781, 0.0778943460425423, -0.079482517218068136,
    -0.0085940178487892288, 0.043792755918324461, -0.037714333309729932,
    -0.047606423767966928, -0.057503529979040083, 0.065448516016910846,
    -0.042965523707583574, 0.019633180624751, 0.0040231430731308207,
    -0.037200336543689948, 0.0064747912111191843, -0.057409125550033711,
    -0.08190450893489172, 0.051679853587038922, 0.12877999909513649,
    -0.059506985655232943, -0.076862149409970978, 0.0026042524600715811,
    -0.038073207328019588, 0.16464324799408617, 0.039520863137645967,
    -0.011097695279030295, -0.09911262141445662, -0.09099712651255612,
    0.076762786304881411, -0.019610134314819606, 0.029739664491547926,
    0.067481200968465382, -0.024380711232874462, 0.051977414408713521,
    -0.0609607539450797, -0.058641334384736371, -0.045422580840512553,
    0.032648485208703518, -0.047652628647695518, -0.035751040065451857,
    -0.054181103553531791, 0.0033787191237556872, 0.041819810335800123,
    0.052230478521699507, -0.016445663470034122, 0.11737234140304512,
    -0.11920064832026998, 0.030387627691873295, 0.1283870517716742,
    0.050911818570388082, 0.023414470512435566, -0.079185702836111566,
    0.098099053055120525, -0.11702783150862774, -0.0059602533983938695,
    -0.036116672438570231, 0.020362803283784318, -0.040550861417150641,
    0.064987896955207861, 0.029630161615575107, -0.031336501770418829,
    0.0708452042188807, 0.033849575835872316, 0.090259360492514318,
    -0.0099942276975948062, -0.09587239447223074, 0.0634155485642785,
    0.0091611069549716179, -0.021104582429088831, 0.07755532266825986,
    -0.050475347703780982, -0.016416896290734392, -0.035522341790683011,
    0.0737230331490697, 0.0048344451318594831, 0.055108476320234343,
    -0.098059211586225714, -0.10115884987948852, 0.013423750143941452,
    0.021922913368285883, 0.071781576367585614, 0.031853737524740931,
    0.018353080507740181, -0.03879879981160772, 0.059618903567416781,
    0.053203606458414446, -0.099247007151541486, 0.0039879293939163313,
    0.022812499593821974, 0.04483119713611574, -0.031011120208059254,
    -0.0098573867527540181, -0.087852680321781465, -0.0043590700810806141,
    0.019280357535203282, -0.0706246232948712, -0.16555163457110891,
    -0.088037334507487422, 0.15101618446431711, 0.027367708795308004,
    -0.096469960486251463, 0.0024365480408641144, -0.033467167831689446,
    -0.053570210611921826, -0.013743182835557597, 0.092748592214806483,
    -0.073263796672206047, -0.0483368071161642, -0.097008811059094077,
    -0.00640454141765754, 0.0070407090198853989, 0.066917771529024075,
    0.038806538832907155, 0.00497931081840359, 0.016778614874999393,
    0.016896012935325094, 0.0011998700725102092, 0.067606860528442447,
    0.039464176635763855, -0.080561778986755442, 0.062966735383901476,
    -0.023125233602277674, 0.17118509062521695, 0.14485178253110137,
    -0.032893047467075068, 0.019170470397609017, -0.054887452430501839,
    -0.029085140382565447, 0.03946901807947048, 0.066101468146289144,
    -0.033372365491779778, -0.075372619130677693, -0.050424407602978755,
    -0.08160389813074774, -0.054326408397688167, 0.041315649963871381,
    0.044914750966311465, 0.078130901442133666, -0.032432058969619287,
    0.05256351969392186, -0.039272690687848409, -0.12784722533701082,
    0.072205382753207856, -0.008831079526995092, -0.010072311963270637,
    -0.07671761081144611, 0.022820311189512485, -0.0081695702554369851,
    -0.0010360152200248945, 0.080812488430764814, 0.054767092340229549,
    -0.11746088981505259, -0.00397411812002522, -0.013981411509757938,
    -0.021061109116589691, 0.015698741714570964, -0.051227940911311061,
    0.024989773182394651, -0.010014266912758927, -0.058356815208599408,
    0.12153971598695862, 0.069522313155587059, 0.0754367729117052,
    0.045605046129939854, 0.087766262040517712, 0.010180658597572688,
    0.045314985064196733, 0.0075982620153659912, 0.027914601958362609,
    0.015173975659790118, 0.10536146625615385, 0.015546523524150334,
    0.14545391702479565, -0.026133152014748019, 0.030336519033889654,
    0.0842651343307245, 0.027479479143999508, -0.028445701069756517,
    0.014843756160238034, 0.0021379243403674194, 0.037794186691418229,
    0.020889003192498062, -0.080651811017624225, 0.067501236827651218,
    0.026310517367474778, 0.040932381669719485, -0.047023845305219691,
    0.094653910594954871, -0.0075252881758449313, -0.039421743047495239,
    -0.014144019586313332, 0.095152328039125753, 0.063304925347412819,
    -0.11589094172675542, -0.0068502758007764706, -0.028131891557477289,
    0.078245390849174423, 0.0049725770606488728, 0.040817503657429623,
    -0.01109933834252169, -0.075634768619081888, -0.056781164561171771,
    -0.043117799344872455, -0.071876721284266129, -0.034275064382101449,
    -0.062819685393578642, 0.039229020104770078, -0.0762523041859534,
    -0.063719240300068744, -0.061406676169267968, 0.065827215379053,
    -0.05071116450296579, -0.07462644646675598, -0.055044641098231026,
    0.070866563952978412, -0.011524401330987876, 0.016956460385007133,
    -0.04678271326021375, 0.0690593288148079, 0.043346707928682629,
    -0.068444919689339134, 0.054451813550560321, -0.060522530886798757,
    0.0768474451058731, 0.019209158554480788, 0.076904059401722291,
    0.084573669340996971, -0.091273743475016128, -0.022560203341717516,
    -0.095936310771451414, 0.0030347724721574484, 0.08504919162067226,
    0.016497774827465731, -0.00060328015387212163, -0.00049084108723650524,
    0.031059128239664408, -0.019283552979798415, 0.065378644104472514,
    -0.01897066386388167, -0.02497988106650674, 0.036133435827166882,
    -0.0060311718665793978, 0.080775406358010657, 0.033835807967891644,
    -0.0220984908098021, 0.09870159709341865, 0.072263058082758042,
    0.067016777535173655, -0.014902744406395971, 0.0094214569620562089,
    -0.048781369396022213, 0.017837470008899233, -0.0729671418821785,
    -0.11850874296320336, -0.065976064566504747, -0.012227136584770327,
    -0.037716821904234268, 0.0033164333820753641, 0.026221051398296637,
    -0.030836717236525236, 0.057407911363591559, 0.07142813910215827,
    0.098641012586006216, -0.079065489032031, 0.058365014590582465,
    -0.037459153360908957, -0.055488385559404649, 0.089383694618352147,
    0.056638571385471632, 0.12549006196219056, -0.039709444685502505,
    0.086290930246705408, -0.026617712130904522, -0.058233558591677032,
    -0.016576842873013559, 0.0324880967864117, -0.082852851213358933,
    -0.046042543730762449, -0.069022041198400275, 0.0020062042839140842,
    -0.011616139509503505, 0.033032481293319149, 0.010531689070149699,
    -0.035972406233580133, -0.027145563903320891, 0.0642328425371302,
    0.037649827903472863, 0.095924782712473677, 0.020009599093584202,
    0.0054560953926822628, 0.047596883377946417, -0.0632156228408495,
    0.0087599263854224937, -0.057482219617563717, 0.0032424577645329563,
    0.026644133406491226, -0.049787332492512382, -0.017068682304695219,
    0.002868980978427328, 0.018054421256043951, 0.021115047602483551,
    0.047446452313307914, -0.11733738689715663, -0.062183691512628508,
    0.019413127818794455, 0.093172144599358672, 0.073674778351244488,
    0.068830981805479044, -0.084235410087566132, 0.055029189110049691,
    0.023091416895337911, 0.10444955814522044, 0.018196567943878566,
    -0.046231095299663072, 0.053365245900797074, 0.067605418741243054,
    0.072222479457990471, 0.11121802435691673, 0.1015312462263014,
    0.010547522294386061, 0.1346619875364313, -0.12970453241288271,
    0.045355317999587863, 0.050429519253072326, -0.017438591945265432,
    0.053414751020291584, -0.10170248222915033, -0.058197921546987962,
    0.0030601826530435357, -0.062536804199190318, -0.044632533613377517,
    -0.098601291235376268, -0.062590949210663868, -0.06990221003571806,
    0.029550168708782069, 0.087598489894035639, 0.025725988498151518,
    0.036082720307011089, -0.060788748388795374, 0.031505713459468287,
    -0.093908404674150181, 0.1428777988746377, -0.07661415754554729,
    0.036652121625601469, 0.046215989443679127, 0.072084744103326354,
    -0.012304260961838263, -0.04852187687290737, 0.0383764025959252,
    -0.10879479787045948, -0.028145000615159257, -0.057349445441414536,
    -0.047717760017318346, 0.057801314316267088, -0.028929885531358727,
    0.096877944578753331, -0.068999874216152057, 0.10384510186758401,
    -0.11394062280286478, -0.09318291605237515, -0.117634624231947,
    0.0076825752478961685, -0.027429435342420809, 0.028532305297890078,
    -0.070353969599174726, -0.030593362747774307, -0.061303454230153563,
    0.036836612957871, 0.077071074061883724, 0.066658509502002083,
    0.076977050660336915, 0.10166476264506365, -0.10420013046074472,
    -0.0428364967856214, 0.023045617861523537, 0.052841552348253634,
    -0.056212566370430136, 0.0061498798066358428, -0.095196485604821288,
    -0.022667557634933194, 0.069743705995792743, 0.050889237138366468,
    -0.0065863975516356251, -0.076596834293208724, -0.0724565302080996,
    0.10718762582746516, 0.094739338747676663, -0.025828914282303047,
    0.043435283967834359, 0.020238580467427873, -0.086731750356593543,
    -0.0751761426976265, 0.10785127723558026, 0.088172581909467154,
    0.00908556066096486, -0.019925604958969386, -0.13210144504963728,
    0.034008799873046405, -0.069975261145564932, 0.024103462304618135,
    -0.0977387889038379, 0.11311818340626344, 0.002993805274528632,
    -0.066741546402195942, -0.12909831361454252, 0.05137967665768866,
    0.038789036270014288, 0.03188786220877142, -0.0918648807418364,
    -0.038013797815124588, -0.022471468541134989, 0.081062822409827151,
    -0.014068075480142612, 0.016547662960213885, 0.04220475237254389,
    -0.0744801277529367, 0.023149274079853267, 0.12004703668458193,
    -0.020784641976664086, 0.14702329207604936, 0.043918202570913473,
    -0.13229281444929072, 0.025068148607973455, 0.0054759299468315091,
    -0.11706692927770575, -0.12058424685304561, -0.003197665982815027,
    -0.030444249058308136, 0.077811380558958934, 0.031239481863366635,
    -0.048747919794276513, 0.0033266893711081913, -0.10654666598481709,
    0.060687709366291219, 0.078741980088579064, -0.0238122576885957,
    0.05869679973364883, 0.038795003015469516, -0.033248682588846758,
    -0.0796575633947226, -0.010669953512323242, -0.032372950355332525,
    0.0431566936434351, -0.0086888160054113591, 0.040404013208548112,
    -0.012824791034091482, 0.032016606606231839, -0.085310251450076244,
    -0.10970274293881925, 0.095824040493042148, -0.032306802508306948,
    0.13924593955241438, 0.035312373964027317, -0.025679027094032462,
    -0.047919191295576938, -0.0039532074769458156, 0.028092261852545972,
    0.074795635134582608, 0.0930646789797583, 0.057224363207460632,
    -0.033110025198198743, 0.084390795195790055, -0.006930921095520441,
    0.018637392070206784, -0.019995427006744323, 0.083821360249359475,
    0.040586593139577055, 0.029533251225175677, 0.022314100550327707,
    0.16989937889517184, -0.027772550991719665, 0.019075833795330593,
    -0.056435247559954493, 0.024909129224681147, 0.058369581231229879,
    -0.07359295784566329, -0.056307626645387687, -0.10797417390565413,
    0.052243653000468931, -0.098286140953515316, 0.082687259046705722,
    -0.09658002280114493, -0.083768984764296867, -0.034140200676803442,
    -0.063605661365419147, -0.054290836597668472, 0.090404892590061833,
    0.016221571207938285, -0.0021693350004852513, -0.0053497669853669449,
    0.062322117461354132, -0.0808519749427415, 0.087982647915733167,
    0.14060485698511585, 0.081258886084175724, 0.10333112095203445,
    -0.084691251261838782, -0.12162467872076721, -0.0760506582784611,
    -0.032798072547727028, -0.14350167825001373, 0.062342306320112062,
    -0.044620265367816221, -0.0041275378505881873, 0.041661624501633417,
    0.032828612755340048, -0.069282212575849711, -0.11326989331211179,
    0.065160661150279783, -0.072907757354146063, 0.10239181366218153,
    0.0875356148683683, 0.007962863246478314, 0.050470925430030046,
    0.024005052107946932, 0.098377517480253085, -0.040866307717937783,
    0.099620191831145274, 0.1134753071782221, 0.066158311180415014,
    -0.026139886764987214, -0.037471210507867066, 0.08892380537469366,
    0.0032499855555273415, 0.016668943728016066, 0.078401461915302215,
    -0.050336197471439352, -0.063268679923232679, -0.11474215775862101,
    0.064296187180588993, -0.034662362802936643, -0.087306328435616837,
    0.069285115236651762, -0.058651418884146461, 0.093790283033856767,
    0.013447276697362655, 0.0087538642724387921, -0.010908925368815825,
    0.0039573547160789632, 0.041541602834018421, 0.12026824965842127,
    -0.080919085284694089, 0.10255209862113204, -0.00019396068725021558,
    0.11547234585075009, 0.06353477172372593, 0.0010179664241778759,
    -0.04085386899149468, -0.06746579253895188, -0.061960425494152274,
    0.0431369295646915, -0.079062062124999916, -0.11360742076608245,
    -0.062485926204749818, -0.043275960890152843, 0.06546667535074617,
    0.016492521944800945, 0.037462832154017259, 0.038576920024298092,
    0.0804751818300203, 0.10725587935374739, 0.063899377669516,
    -0.063224533800664562, -0.0005794830718277395, -0.04713441641649007,
    -0.018296537791101526, -0.039858509253612742, 0.085920549906168583,
    -0.0523217320024161, -0.010203167667497445, -0.02460399595808923,
    -0.0099236702842574985, 0.11175536806370875, 0.0017608994289721293,
    -0.038683671153281932, 0.0547528654333468, 0.028208704195777094,
    -0.0860678649786207, 0.041934126682553467, -0.019450655272534138,
    -0.044997815405142673, -0.039816356357774189, -0.072019074754063953,
    0.06632512626896131, 0.024493081382767928, -0.035558798755874414,
    -0.074600124611837015, -0.013808216623088907, -0.13426580783842526,
    -0.0322952640701828, 0.10400464492392257, -0.0057677546018738736,
    -0.0020245337863346261, 0.067135877738624686, 0.023120382448460652,
    0.0261098618788399, -0.0702443971400508, -0.042947033186567181,
    -0.029851117833249164, -0.12778092292146723, 0.0026417713608966986,
    -0.011419355686023758, -0.011972077869748502, -0.10108567282829425,
    -0.011216070982140149, 0.033606305381119715, 0.09332149139067368,
    0.019405738008777273, 0.022842943525431682, 0.081229595804429122,
    -0.048941494044378052, -0.016257973268401105, 0.072043944281501515,
    0.0376280732179928, 0.02624263320533566, -0.051625315964663104,
    0.0677859351779338, 0.078327087287077241, 0.20210490131465259,
    -0.040139494940703964, -0.022575096233604104, -0.088915757096065709,
    0.040054338751070076, -0.038478274088985825, 0.034194159953322763,
    -0.14257125415814037, -0.041019324653482028, 0.087861082480157865,
    0.040909053301963393, 0.080500706581936726, 0.1194438133661917,
    0.048399037373074133, 0.029408730239051772, -0.0018455845963370634,
    -0.029197817850845149, -0.12102170502968439, -0.1095496915551161,
    0.009472366946596136, 0.060562247966657004, -0.11198699659418544,
    -0.046407671344005565, -0.022974914166895021, -0.050879992700561066,
    -0.03720264882823953, -0.11065000156418364, -0.054860735965127604,
    0.02158858109890105, 0.046355372688528511, -0.072696670816754572,
    -0.055860879241967212, -0.0503481334314567, 0.051935327570747009,
    0.037136913497050235, -0.056227171491615054, -0.11796560241630996,
    -0.0294954165271916, -0.036238485209184615, -0.070515491988148341,
    0.135824200556658, -0.0700691455716135, 0.13086709751643974,
    -0.058151532725738045, 0.020626277090459111, 0.058715449628760116,
    -0.047346884831669662, -0.10426755836316412, 0.00067850763958339391,
    0.0198788831626609, -0.058015957292121306, -0.01002742122070242,
    -0.053824058573663507, -0.0686475142032969, 0.10248162005044592,
    0.024756865965157748, -0.068095954767492459, 0.0027361677857567946,
    0.038110718455789512, 0.089625389300260372, 0.085552706485075583,
    -0.13462402113326183, -0.0035293421392573678, -0.010407068153499113,
    0.14727587274597836, 0.0659213077584726, -0.088939789780624653,
    0.029007276794481705, 0.028281511534553671, -0.096917930307243744,
    -0.10476605290546115, 0.0225677375749652, -0.026176104404931282,
    -0.067768303548240316, -0.06811944615604322, -0.048543258264545738,
    0.087995527965625681, 0.061685116461784338, -0.033213453788647734,
    -0.0424461894726107, -0.14705490617098757, 0.027443979307144012,
    -0.10194312342439872, -0.06106707361012554, -0.025847414175710286,
    0.013450727802222931, 0.056331461817494877, 0.025780511984546586,
    0.041204844176926353, -0.057896553083977217, 0.029908738294593604,
    -0.10696364693624524, 0.016853330254185863, -0.026341104889644869,
    -0.029976059784040218, 0.013913163845759658, -0.11862659907053319,
    0.091587310565437355, 0.013656600359857461, -0.022049534056523587,
    0.065578073411960508, 0.0098153938521432713, -0.0401803693297331,
    0.063038216544516953, 0.0557032950846125, -0.10836909978756694,
    -0.09392628103158264, 0.011137798917680181, -0.056540378852086161,
    0.083056658360992283, -0.046632455221487158, -0.032858366355459072,
    0.017114687506825009, 0.02913517277043607, 0.0644497123188678,
    -0.060226715234135843, 0.045777107392869477, 0.028945348904831764,
    -0.059343565753649186, 0.067535123688389445, -0.020144914463263552,
    -0.0033918048012691426, 0.0018278220993367175, 0.027291794561388624,
    -0.10007120906155696, -0.071740100639668042, 0.041474495097399054,
    -0.10358606739377658, -0.0067866322030104374, 0.075772434425070562,
    0.045533372870741405, -0.0035640410858220205, 0.091791075917300013,
    0.00840577909126789, -0.1305491544761965, 0.06077430835017833,
    0.015263088898281936, 0.06757568988597891, 0.012764464515630358,
    -0.087673957813206929, 0.0799865652976553, 0.0029896568391391569,
    -0.014242593537465473, -0.075347022603145922, 0.10061823313973672,
    0.027213585440194043, 0.078285764742517791, -0.11020880170502653,
    0.055112305443952035, 0.065527410437821412, 0.047004186372223783,
    0.032017575284962255, -0.068022187474191476, -0.026931389548119,
    -0.076787227356109863, -0.050256316297695988, 0.11096508960505697,
    0.043422103991998348, 0.033410245735803534, 0.072249400940434333,
    -0.045630165754941235, 0.072240069858133055, -0.034229721259988383,
    0.10480329445587389, -0.023148779336331041, 0.10257993139730016,
    -0.033339467335272141, -0.10961234895763144, 0.12704144155706087,
    0.10704107866524451, 0.044301874754362675, -0.060305921936065432,
    0.039047221977011957, 0.057795087583931232, 0.04666232074029443,
    0.066040405079421147, 0.076007713894359716, 0.037790111296173927,
    0.042915393114633119, -0.029077866882073384, -0.084064718270501354,
    -0.070534564048462853, 0.10571494789877332, 0.0955695317583684,
    0.013788713563583205, 0.071644847975892975, -0.050268362004663149,
    -0.03065341323073692, 0.080212993443428582, 0.020747465396545164,
    0.068122365618998551, 0.038134884301204035, -0.01906486902947396,
    0.0047957166300716834, 0.015102172497927136, 0.0803456721174782,
    0.077160697252161889, -0.04273569234093736, -0.00860858816060926,
    0.069660414583913352, -0.037412792953637558, 0.029129212926987957,
    0.031103742816041783, 0.10007549545842435, -0.0077969735750072246,
    -0.0008328850423590477, 0.088058095451167717, 0.052992773808727252,
    0.035969800894248408, -0.0823633428467944, 0.073457778451462716,
    0.04990707268905676, 0.025879525587240916, 0.092527943966673257,
    0.045910400837105764, -0.069107722556605383, 0.025699662777544183,
    0.0040823786360460182, -0.11243759120311002, 0.026237854927897632,
    -0.053171764060125, -0.0591551423460986, -0.0190323398571217,
    0.11795179691112538, -0.11637128155820158, -0.064431070791696146,
    -0.051505522452768883, 0.0545181071454539, 0.077325151927539554,
    0.018204080691741925, -0.07640877353173231, -0.0068401989498552964,
    0.0791991139629377, -0.03134467318081928, 0.051260760403541369,
    -0.11005364470817307, -0.02814529117046877, -0.061957457741336056,
    -0.031520353259913474, -0.018239917416217579, -0.06195481312247908,
    0.040908033140708649, 0.0032323556566935495, -0.06306178957486909,
    0.028619673178709788, -0.089799272141828576, -0.016654636891842257,
    0.0050715786053604477, -0.055303490172814655, -0.050615169020498618,
    -0.027445434508097361, 0.040233513612613986, 0.069577296469288244,
    0.049826207663711951, -0.085769313048685444, 0.071449311268595578,
    0.059886219605934231, 0.01362275384340157, 0.016487905448991272,
    0.07772607573346467, -0.019899873044018322, 0.050441532552540427,
    0.045397269758148888, 0.0753642462023636, 0.044445614060833118,
    0.1048233719047765, 0.02611620072903155, -0.12233469201909408,
    0.064601028786079012, 0.090292390238063513, -0.032637570563635164,
    0.053526919550273777, -0.0022301799370277498, 0.024625625689038255,
    -0.10812115369314473, -0.099242694307834389, 0.097119717902400732,
    -0.044230810019916592, -0.0056154185704513845, -0.042331662294367883,
    -0.027548546088044214, 0.0087264469607368951, -0.073134088727804317,
    -0.028459985039798252, -0.1013078213849317, -0.047358060280610507,
    0.034533931418148506, -0.064013080060174449, 0.037351003309816118,
    -0.094262717762579593, 0.097098963879958047, 0.048399521388438949,
    0.047784829754712474, -0.099867269360634808, -0.059182467425927941,
    0.061899441319596585, -0.095289334651077792, -0.11558873352128948,
    0.032888874145443489, 0.03073811154041315, 0.017654385780524477,
    0.042053480732106886, -0.043578500439962725, 0.040722873528569112,
    -0.0037455436865334577, 0.0275903313823683, 0.024949750527149477,
    0.030498872670592213, -0.061294690417429645, 0.072600724113615178,
    0.033384427753747649, -0.04806808849455093, 0.051467194745004656,
    -0.062802584034096026, -0.032078318180048651, -0.0095538384581549465,
    0.030499001959356172, 0.052735267725322818, -0.10348625800177488,
    0.078415381650011565, -0.015191085844757051, -0.043845643068538727,
    0.00085862637387035441, -0.055134616296732018, -0.02160969272771961,
    -0.022491212683373996, -0.059970882466084161, -0.0692372685376498,
    0.030779491483410967, 0.092921158699114367, -0.07227688793842843,
    -0.029616698824093006, 0.11250028427675805, 0.0044974936934233942,
    0.025270519075811182, 0.021374943693118913, -0.050130594793177309,
    -0.074732676361994016, 0.08052459724567404, -0.086494896128629151,
    0.069131991547854724, 0.078312900567186483, -0.038320327045479323,
    0.02718219311694858, -0.031248419358567314, -0.081965771440995983,
    0.040728351126738886, -0.0764345024237923, 0.14960502868359404,
    0.0082642490950923728, -0.070053953696828833, 0.00671194093758052,
    -0.008503401152795043, 0.0064094577784187872, -0.050325101982455871,
    0.045926058444709227, -0.038092716431847383, -0.047607897091251454,
    -0.083863704548381851, -0.017677022680948451, -0.01812721046415245,
    -0.0036124891156346694, -0.032701369443327737, 0.01362517596575522,
    0.043991355339968133, 0.042468250581382483, 0.084120325973622539,
    -0.077193663654103642, -0.07618049359859122, 0.0044362265189663271,
    -0.06539941986149328, 0.00066904487043716867, 0.061779327828118152,
    0.052275287429871184, -0.088545674940017652, -0.01336181586206607,
    0.025447744235176387, 0.024160553947233088, -0.0030869906693691365,
    -0.067397847278673054, 0.022378023349597088, -0.023284997050830706,
    -0.056594569261553339, -0.07995131935343458, -0.11797143714284974,
    -0.029092849598150977, 0.0832748723558273, 0.011809841701373785,
    0.023057195671305104, 0.050404661308979477, 0.0788921346119759,
    0.016282950031566785, -0.057118125286808784, -0.077922518923663461,
    0.10077683860897015, 0.021850123789450785, 0.053415997619169188,
    -0.082595630460596411, 0.039363076027407559, -0.0769328767962491,
    -0.086100736477557824, -0.039394685701486229, 0.041942451683621748,
    0.071091078564865934, 0.034256804128906207, -0.11892419655440542,
    -0.018725835903347136, 0.11018398947921362, 0.1209296400320269,
    0.037706338349211131, -0.020659180319527914, -0.098428885056188048,
    -0.0043348063527566885, 0.072049234301286333, -0.029679631630092247,
    0.015670691270422622, 0.072367827268499149, -0.05604160700538674,
    0.04589309771440863, 0.047328030608435427, 0.060405143658839262,
    0.092167533767889054, 0.0424027553645893, 0.050150642347290428,
    0.024409739707616843, -0.044291645775014155, -0.055306984677535663,
    -0.0093395724330326869, 0.046862728257170992, 0.0505397480422553,
    -0.032830322736228643, -0.065667621788025016, 0.051230985331068027,
    -0.0286243416129966, 0.076793121217976171, -0.061641275247362848,
    0.042281488594407217, -0.033702422931173676, 0.060643864879908763,
    -0.095124480374571607, -0.06262114027264408, -0.090016016453707617,
    -0.1673843403828662, 0.058981548660745155, -0.040170915799121944,
    0.070795180012434983, -0.021427914748977102, 0.023004065611763148,
    0.085519535485931081, -0.070921775009430116, -0.0011910946212440152,
    -0.064766557777657122, 0.12993906203897082, 0.038889393755932637,
    0.00039544246574833841, 0.074181699002497978, -0.070125061128690741,
    -0.019550339381821991, 0.09762964388498481, -0.086098682303455951,
    0.087694095700854138, 0.12001337140356479, 0.12480300874933802,
    -0.00450681895049749, 0.041834070108134433, 0.015188872107072999,
    -0.086990406924613156, -0.15237051621879705, -0.0090771775978708644,
    0.025199526962004826, 0.062390377990863756, 0.086515068726949029,
    -0.055715303373194469, 0.019850591163068039, -0.065333768593707431,
    -0.04359857228307415, -0.045230940859896859, 0.11125636326867551,
    -0.00690846189354384, 0.029008729166035988, 0.023173197947533124,
    0.071740586687150526, 0.014694948623129471, -0.0032608267011582032,
    0.055507026782256469, -0.046949313416011433, -0.028708506066807353,
    -0.051371383353377258, 0.10243475981076985, 0.034239427171143907,
    0.039871858970770856, 0.097395300758525982, -0.052801355390133142,
    0.023715722121416288, 0.088709267892027752, 0.10091730510852531,
    -0.085132661039497168, 0.076435599729506157, 0.073580247710555671,
    -0.007409888386740263, 0.027737831877248161, 0.075706865192595257,
    0.012255008269885997, -0.099054176071411856, -0.013530633672050978,
    -0.031404569431800949, -0.028940987831879934, -0.096886336533950151,
    0.050087102505009556, 0.06275333529582075, -0.058183367714569917,
    -0.027553693675185443, 0.061300887042959086, 0.073306899385619781,
    -0.036964965222566419, 0.066590173163068755, 0.048530042391190617,
    -0.015785749737286067, -0.0037515192542064814, 0.0011561436577846172,
    -0.060668687555672125, -0.06092340734864226, -0.062299915011968375,
    0.096914926497309664, -0.081659188456320864, -0.033433625338582081,
    -0.059825663193044526, 0.05834976061568569, 0.083958264657276349,
    -0.057205295918183734, 0.075022759743628875, -0.10167705458756254,
    0.069251326790125342, -0.056241032000497806, 0.062700569989900826,
    -0.051075861106729022, -0.0056539007902158675, -0.051823708354942925,
    0.10446400819931224, 0.048971538476321574, -0.059531584033183975,
    -0.056541707527473721, -0.078225380190720367, -0.071697836379780014,
    -0.030668493366606576, -0.06879497435820113, -0.0790854228115463,
    0.016348624227548739, 0.04418249344904894, -0.032392145194266149,
    -0.097467304152198134, 0.078328175227454569, -0.012474415524579834,
    -0.076168185923266032, -0.079894841847473655, -0.015820411256446142,
    0.016608759849488171, 0.032330470347248223, -0.0041609376225786648,
    -0.0020867052412814118, -0.10083577098235182, -0.045910954152063962,
    0.093815211255944927, 0.014956498098991557, 0.055887535154849538,
    -0.073998244431424373, -0.065111385328479612, -0.030414203029922537,
    0.12106112195096815, -0.10254384792934469, -0.037901388985906524,
    0.023280477335285949, -0.10675156242266852, -0.00047216110126253982,
    0.044904726183212819, 0.045466501096324781, 0.10972411724019296,
    -0.063984811881093437, 0.020462119228322771, -0.030246699245819918,
    -0.035264775239369765, 0.073449511488305, 0.007787492242329358,
    -0.093134594393503772, -0.031721716730035494, -0.060186776136478951,
    0.11271949124565257, -0.0089020924608138284, 0.12315178758761239,
    0.0070666672722127875, -0.067256881205052271, 0.021689596915106069,
    -0.14540070056676324, 0.054945173088383446, -0.024858100012009381,
    0.013486232174142606, -0.032961800253041747, 0.0491149498427704,
    0.09365812629061275, 0.048287181569472482, 0.079888594168534527,
    0.0039697353101034874, 0.040977962287288637, 0.031473238006398375,
    -0.036450342155855756, 0.04721161135141215, -0.037019652662779776,
    0.071540783043729392, -0.056034429920251427, 0.1059795816908079,
    -0.02845290924510073, 0.072795250518021284, 0.010610771094826674,
    -0.074430069272448982, 0.13501877851321339, 0.00645682362518282,
    0.010131319936508324, -0.05338843256290756, 0.12944916563951006,
    -0.026907574303370506, -0.068785417247050368, -0.026131988436804903,
    -0.1373782821156804, 0.0065052000864833049, -0.0782760333853383,
    -0.016305949360446558, -0.037149739926844436, 0.065625071628576212,
    0.026376298133049043, -0.0014329881476767884, 0.036347784669993263,
    0.064918352330954041, -0.032215751943411225, 0.064413713718472293,
    -0.0515785310008473, -0.036871889727271671, 0.041486972227012,
    0.10679152908290779, -0.032346480171028105, -0.023736414630873386,
    -0.041457575166136337, -0.077874302523188568, -0.061770322118235139,
    0.026386098053313729, -0.08848734176889049, 0.060742794985100032,
    -0.10605556296801212, 0.046575374859082988, 0.026608410730065916,
    -0.11006201967926121, 0.070672939392545431, -0.043691173809402808,
    0.060123274207767773, -0.046061058728013915, -0.00926726352126007,
    -0.0512286505731869, -0.052423461586312552, -0.012733331681768828,
    0.044456999150752421, -0.045973726423799828, -0.024473544461253237,
    0.017802079768896584, 0.042109433806831353, -0.10912822683929244,
    0.040317004346481319, -0.1002275609782481, -0.060702225559244892,
    0.028017174863102373, 0.0777579569298204, 0.060128250301932577,
    -0.0014269693336668749, -0.042244447205853609, -0.12275754502046897,
    0.054277305403430863, 0.0099960442262025228, 0.043182576192363258,
    -0.015938915540608969, 0.019207701613618261, -0.018188076929099635,
    -0.096650834003327232, -0.016452891482418467, 0.002523652275894205,
    -0.0054145495048198216, -0.1064053374450246, 0.053084066033298329,
    0.013703540670547913, -0.04863129847615337, 0.0036096455352509224,
    -0.049138943930263454, -0.026270928865819658, 0.038581397091931674,
    -0.044760019828412934, 0.018347862885455698, 0.12745789061356549,
    0.045771075967011514, 0.10679856921435484, 0.092552363545910787,
    -0.015547111199668713, 0.21352723176455643, 0.027411150597889167,
    -0.0787287428965188, -0.051263859243635253, 0.10873360958028822,
    0.098560188913249414, -0.054624281024014461, 0.015295956882517928,
    0.092803828700251459, 0.039153381918508583, -0.17207334016742659,
    0.13897759616398123, -0.040652377222549996, -0.021596077252254375,
    -0.056589884628362855, 0.0753020802386932, 0.14859114713038066,
    -0.033596446912692722, -0.096594698184934019, -0.038430700077582078,
    0.11431039926991787, -0.10911335016916486, 0.060401984080595494,
    -0.05282270451231115, -0.063453463359849957, -0.11175339897686451,
    -0.070907756612606759, -0.054619793382526823, -0.11915464101837209,
    -0.084289501100152819, 0.056985276076133518, 0.084317097514465117,
    0.079140160927251582, -0.046862272195546159, 0.014819140267799428,
    0.034369698354300163, 0.005280874300167669, -0.0903594586320896,
    0.031655725192532035, 0.020829737189750078, -0.079175224712316458,
    0.055185418927662294, -0.070192454935880735, -0.093647396347117759,
    -0.0074387718512844373, 0.0093241866055875245, 0.06439537365576907,
    0.076627508749266493, -0.081522222877505, 0.0853636558443274,
    0.032080230948419365, 0.08996403237021168, 0.0784097742283783,
    -0.021740243916562822, -0.00086368464482397328, -0.040485022926507366,
    -0.10067420983756711, -0.057873193084334057, 0.053819054983985218,
    -0.011672335458209266, 0.02140329657549107, 0.075678668169593122,
    -0.0930363028152581, 0.045433168683920319, 0.012734142561569848,
    -0.015127117846587637, 0.10326741356480078, -0.09661969075455612,
    0.11279867187544601, -0.046911902652779815, -0.041165480945465176,
    -0.0752037290207892, -0.0254921181812887, 0.076301380690804041,
    0.089902649199969348, -0.014588450304111131, 0.085063316421218435,
    0.0092635845058823725, -0.057678874094341505, -0.086397170985747,
    0.057786164388040795, -0.053395526677695371, -0.0047896548090558214,
    0.00834100584477832, -0.01380563803266239, -0.087535043761129472,
    -0.06162794100037975, 0.00094085739688454175, -0.054458390291158447,
    0.020762051799585846, -0.043744182069882336, 0.056366117930744933,
    0.01033915014803212, 0.050936297928468786, -0.056274639912073009,
    -0.0827687977806828, -0.039417610168888978, 0.026745879845002634,
    -0.010143840421418296, 0.052988730843895222, -0.0059917561214551584,
    -0.086028566310739546, 0.0034595707215672269, -0.049293927088433824,
    -0.00089565334258272732, -0.015263451367631855, 0.047818942293030617,
    0.019224139105945833, -0.0910761428012442, 0.068929462071983055,
    0.0092311633173947517, -0.058836948191635305, 0.089419328303564888,
    -0.050434198430408209, 0.062067877149969884, -0.09308039915419572,
    -0.001466712840681632, -0.078650813832895128, -0.020202328617306326,
    -0.032567752072487889, 0.063904806534510972, -0.0081367943694581786,
    0.066299031172201, 0.047161685449502756, 0.12339812335051396,
    -0.024531503322832656, 0.0843626184778466, -0.10922590724744376,
    0.0055649838684976478, -0.032770862516234525, 0.063453070039144,
    0.20415508480632513, -0.03155309674062956, 0.081567043584307358,
    0.11813397018895846, -0.075876441685328755, -0.10502629874701766,
    0.070134552797918581, 0.051852562535197079, 0.035180957189440878,
    -0.037014252343465739, 0.051717562937418027, -0.040979143642316113,
    -0.054662713781057519, -0.012168064831812124, -0.015652540612718566,
    0.018187298575466658, 0.089892244759599407, 0.057505532220779414,
    -0.00097088250723557, 0.058539629484673755, -0.011462051604011746,
    -0.025422367337993558, -0.10209239209423551, -0.098313565142704853,
    0.050998005515917211, -0.051115024997741829, -0.041866042077517131,
    -0.0094956047608375487, 0.027222832690188863, -0.041238871472180763,
    0.079337906535808467, 0.009123149926253531, 0.06104836037979508,
    0.011562947289471978, -0.0084826197938508482, 0.047086774137448724,
    -0.0033838462671572775, -0.057173011422734878, -0.03516398010797929,
    -0.043105981632509859, 0.055602446462169448, 0.030808255353594549,
    0.034894388762130975, 0.0731401282167748, -0.048765785107444309,
    0.03927289880571861, 0.14821088119023451, 0.037416127520868439,
    -0.042360422809036812, -0.061802463836745571, -0.0031178768279880773,
    -0.057946534260361546, -0.070007716710193485, -0.06197012944391514,
    0.0092037422729417864, 0.03778374872670389, 0.0067627931183200825,
    0.13114278391757672, -0.061286247759533431, -0.06672486241381255,
    -0.034834941945319636, 0.073035595268872058, -0.059643120634481205,
    0.091290778643739148, -0.048498205504287989, 0.0095201936994126681,
    -0.072396219801331332, -0.0051808435437693647, 0.062233836361695848,
    -0.0801389386011196, -0.012072347475545867, -0.025961322170502961,
    0.0012043586780641246, 0.074404231296861759, 0.0040707015283865961,
    -0.05089493378389065, -0.068173454394492058, -0.081331993501760319,
    -0.049503236083036431, 0.0629773126307397, -0.085143319695009656,
    0.1027739862694564, 0.069896159198548941, 0.024127719283017508,
    0.0080137150663707954, -0.11355153236699868, 0.069100824518279119,
    -0.072590816293789773, 0.044044718377327069, 0.02158058444178463,
    0.083861546051906544, -0.069366011785907553, 0.088404786184705361,
    0.065372938434316949, 0.025586403889369124, 0.011691943073180926,
    0.069778007508492709, 0.031157834806372769, -0.015994704305926623,
    -0.040787588841696212, -0.015240085833535418, 0.061372434704335205,
    0.019349021799140838, 0.0037247383650482286, 0.11462352012097464,
    0.046265477079606689, 0.027626503353190678, 0.0091777244983977657,
    0.070837642427441769, -0.067201520507986209, 0.061578243372211551,
    0.048640198523494833, 0.0568638810288224, -0.017805644344390907,
    0.0021668134273863954, 0.074750717306441727, 0.011419750139923515,
    0.019503859254439482, 0.033082384966842536, 0.0020912889882002419,
    -0.072025955884193082, 0.10664352782417612, -0.047550051171261674,
    -0.015909765728532779, 0.07464257666895556, -0.046920615247508339,
    -0.0071711795572276917, -0.001509781107168166, -0.099705673552578,
    0.02342610166223669, 0.015838706237512719, -0.031761586176572487,
    0.0332250236694392, -0.08996994831771761, 0.065074557665886573,
    0.016875284050984821, -0.11200677564800168, 0.00085268008148969322,
    0.098094360980367279, -0.059603508683667011, -0.042373409737693421,
    -0.14719959531694252, -0.094534334003325157, -0.044796425685945496,
    0.011041659124543258, 0.10210909565402915, 0.11984883141631991,
    0.06664706656249024, 0.085218697040899113, 0.062103762796622074,
    0.018871665511196279, -0.062945783379749279, -0.015978068180345608,
    -0.053378832836028914, 0.072825690915433325, -0.074612106538960776,
    -0.050650140675960562, -0.043127054843075968, -0.076269699492079374,
    0.040944389777637827, -0.04751000099251991, 0.033579975542340129,
    0.10699350358861837, 0.020059819243876197, 0.098516810271788657,
    -0.097502519304222254, 0.045028006884822315, 0.074570648927457614,
    -0.073298955004928557, 0.024698653098715675, -0.086054173070456458,
    0.02073334773356144, 0.06576544964134988, -0.012104600598687044,
    -0.07726051225860664, -0.12436764291610634, -0.10024479666800584,
    0.0073457942140179684, -0.052536847450031628, -0.010638185654901728,
    -0.062272423500875258, 0.004521940872008824, -0.079783024375092812,
    0.035186315712069482, -0.052018064272849177, -0.12018659354542172,
    -0.059572315347634748, 0.052095020074646885, 0.085167613994555663,
    0.12518799493461236, 0.062410312479960234, 0.034415073276634046,
    -0.029317126045260031, 0.046647950749766055, -0.043750672575909588,
    0.03086272154620788, -0.0780624108386565, 0.048997259681937376,
    -0.07618743852419628, 0.098197814452086238, -0.110544870690695,
    -0.037698500941027994, -0.0367578937128756, -0.087498831993268286,
    0.041573643137028306, 0.014383663650174714, 0.032104598402317823,
    -0.036794830902924715, -0.0800614294874736, -0.090404781844265578,
    0.066345578043127768, 0.065708029689554262, 0.032193053030998911,
    0.060924842218813821, 0.10410419206008203, -0.068687248105635673,
    -0.13137916430220437, -0.052265159477803996, 0.0045093073620776272,
    0.0070697261214698812, 0.00920262909674315, -0.0015821228359457567,
    0.080873045626463413, -0.085360377909983021, 0.045776249496146469,
    -0.095250021014062616, -0.02949544065165112, -0.054283160720977691,
    0.076880108975208875, -0.019901953500775, -0.046322777444154022,
    -0.0775827589848774, 0.05392406468611214, -0.02236364569242005,
    0.11570781059885271, 0.0075846370069004221, 0.02938339967915251,
    0.025313546491214492, -0.01541599586347071, -0.023511354919030704,
    -0.037107529801942679, -0.0051681795192689258, -0.10707485896778972,
    0.098748054273340186, -0.13520760817192115, 0.0639206852159076,
    -0.038492084584123988, 0.12149250864417588, -0.079366152221192157,
    0.027269577556369561, -0.020026190376058718, -0.13233213379278511,
    0.015113779256428832, 0.03825081796023632, 0.055444073912518183,
    0.021592432299381095, -0.057648180074130258, 0.054946293195472978,
    0.011001916983338298, 0.025653438703210539, -0.0548168602870093,
    -0.082892153177686223, -0.0874438125687706, 0.10575577278777144,
    -0.13294350979223482, 0.11542566976874812, 0.043182957650366414,
    -0.03576466430576046, 0.11960871226838087, -0.039173965187425872,
    -0.041224186668615555, 0.059541540438790772, 0.16052160628685172,
    -0.10782060139574845, 0.050276644356542471, 0.1499399987695634,
    -0.10422569168658154, -0.10709036093288052, -0.015847230102205265,
    -0.0765566196701822, -0.11055946998507252, 0.039701267579335855,
    0.078448221431963047, 0.044443596968658253, -0.0092635287687711,
    -0.16732219697532882, 0.084128897772784358, -0.056660078412106428,
    0.17325217707644888, -0.056753498051335623, 0.039571564425698938,
    -0.10506083076480868, 0.036394604131185039, -0.089383324642153483,
    -0.039729767148549443, 0.051468583287023112, -0.060021168241799559,
    0.12166418084917972, -0.022437178748742185, -0.057024471321219676,
    -0.099298708362107954, -0.15178428657309664, 0.019529381777026237,
    -0.012408285804764139, 0.079262341804649847, -0.13571069002701444,
    0.049985204549222735, 0.086955349057567008, 0.055755333932679445,
    0.12718552635879116, -0.0095792514177840057, 0.03222587247738317,
    0.020598273517019147, 0.025313688819230986, 0.0026094163583012218,
    0.056032596010516307, -0.016078402572920106, -0.068008018405620471,
    0.051068870487968515, -0.073997537502500918, 0.084619267687823144,
    0.026409259313641367, 0.094884010532460622, 0.013815223044391253,
    0.0049811967851997995, -0.063829289901784617, 0.035136589735112245,
    0.028783538896377484, -0.044343400774415773, 0.048355070448731892,
    0.0057575281774172957, 0.07140917504024108, -0.15468050116328638,
    0.024616015856988235, 0.071322155962982345, -0.097326848061554991,
    -0.015179053990141845, -0.052636000220298844, 0.12975087953849757,
    0.052856954859031705, -0.011871250998717863, -0.074673639144293036,
    -0.0508770484584348, -0.059992771918145685, 0.022699162138935417,
    -0.07281066124801075, 0.06159746340710906, 0.025442534661188673,
    0.088037695118677275, 0.022031231736274907, -0.0054597876287314721,
    -0.060035399517587407, -0.055404915032436095, -0.078020663268095786,
    0.061499317531482404, 0.010542555327388566, -0.073564866091603745,
    0.01069816056721393, 0.033848828366022, -0.055238869313014714,
    0.039090644252174719, 0.058182230836741622, -0.018617996482540245,
    0.081616594690111011, 0.11241908893448078, -0.03196100736876209,
    0.013306258914849238, -0.055126453434476572, -0.072264992494673622,
    -0.13472431430882439, 0.10768740086486682, 0.046488302834722807,
    0.12413742101772153, 0.098914368348963888, -0.015252273081087222,
    -0.073355726613462707, -0.030224262782390585, 0.0045341526021843749,
    0.011678545493477062, 0.11988451922956328, 0.029790630891537,
    0.074023644952914844, 0.0055523138576409033, 0.137805357648986,
    0.047506588179752111, 0.0047817502397949118, 0.035163704929823528,
    0.057217311236899056, 0.039280682801068986, 0.010746880310833904,
    0.092745938036372169, -0.13358580418413826, -0.096355183710920542,
    -0.065060539363883785, -0.0573167780390967, 0.0222766906094922,
    0.11818523365981023, 0.03057471505740833, 0.10251157709449357,
    0.016311123683504833, -0.070097348551611247, -0.038286209255757139,
    -0.05710616922128027, -0.0066696681591243059, -0.075958607672160644,
    -0.13057826822944613, -0.093538787767436779, 0.076828501958449161,
    -0.060228239784235027, 0.01488158178229437, -0.083334445653452313,
    -0.04770497172496193, 0.096184589090729966, 0.15080137908182276,
    -0.017128083768386433, -0.06376342681287582, -0.098915187943684063,
    -0.090932929537564211, 0.075069010800220382, -0.26186776936373496,
    0.056379954983705911, 0.1243493493466218, 0.07160561924972722,
    0.0040114220755375568, -0.024354196430867163, 0.06521610116886549,
    0.037472485212575443, 0.0396660204713512, -0.0660033485654169,
    -0.032307522006251262, -0.11624807374119336, -0.063781976794202042,
    0.0045057708597649191, 0.0385133659664999, 0.1334343669992461,
    -0.086839014570748829, -0.015330712649905986, 0.030275589686977206,
    0.13343343842744396, -0.026534983161884275, 0.04621660567639127,
    -0.079133879368837562, -0.12294661317231331, 0.055610401670430021,
    -0.028181650274874771, -0.039411935276681742, 0.021859190329033298,
    -0.089035902072688758, -0.077973913298467479, -0.041097609866587767,
    0.0057082604319538327, 0.043336149563524447, 0.073585170869215621,
    0.067725585018285822, 0.01124025229454515, -0.036509134607298786,
    0.029713111972936593, 0.14455405308445285, 0.03545192965735474,
    0.094488205293178251, 0.011615046307027539, 0.10572807767846286,
    -0.053409762386743768, 0.071518120968385765, -0.2290091432105151,
    0.10243850278728295, 0.057324790209183962, -0.0832529689966423,
    -0.0026736167833357623, 0.00796275682668501, 0.0004880844051000457,
    -0.055211029459753251, 0.076251464061198454, 0.078183816308037446,
    0.10158058790712909, 0.028482067041775323, 0.04278421292269316,
    0.064618740363395585, 0.0092372059967757245, -0.075079523260500935,
    0.013765428677544255, -0.011848719742368471, -0.043918181119190144,
    0.074773661899664612, -0.053511847107345571, 0.031330317934858395,
    -0.010568842841950334, -0.0761878975665375, -0.07983589165976239,
    0.074080883978573292, 0.071218838269020826, 0.050065188401104153,
    -0.078758464782584192, 0.076710664518521585, 0.035502685129200219,
    0.10256258456921442, -0.06535877414278, -0.019359707879935857,
    -0.064484218324968826, 0.030130546911550045, -0.043217317965003769,
    0.045873442163791148, 0.061765835405845765, -0.047107161537743567,
    0.0094933326871828767, 0.10290336660351511, -0.0046971185288278939,
    -0.010596636732458373, 0.054498026914845815, 0.010245969664248639,
    0.047571999940722434, 0.013790673345848272, 0.060191458535577703,
    0.12890628725184955, 0.10183705546809525, -0.055263492351292194,
    0.04450091797085666, -0.043769284233448447, 0.054009770902389079,
    -0.1237097775600155, 0.026931214562142449, -0.014340406962227397,
    -0.001140804965780396, -0.0749906711142537, 0.021960908862860465,
    0.066329316444984826, 0.032220036584795164, -0.0070865486070668211,
    0.028572438192670437, 0.10681694959194082, 0.055423600128474609,
    0.051217701101385064, 0.011233135562305607, 0.018040392277048525,
    -0.053338042792482061, 0.01541445791975566, -0.093175139333455864,
    0.019040696930649966, 0.048648241780180589, -0.0631104491101671,
    -0.091166035728565714, -0.014775081397699593, -0.02901343837162524,
    -0.026172144947476054, 0.07311404612219502, -0.091954347806917816,
    0.062140072443813629, 0.027846607687473907, 0.082469168559127212,
    0.14937487776400185, 0.10285753033192768, -0.086873561805080241,
    0.014004124910036605, 0.071369354024592963, 0.041956621800993868,
    0.00947878846058384, -0.099755053112472986, 0.054381050122363425,
    0.067218260329818938, 0.051715855015123359, 0.076845457206513257,
    -0.022265306900305461, -0.01710718201521344, -0.037386904881499455,
    0.038937687408088374, 0.043563940897489987, -0.020363257890978186,
    0.0048309371105652432, -0.011148635642219441, -0.054857144370627539,
    0.031448537527034033, 0.00921383446576217, 0.059829653570898332,
    0.0020064860320396509, -0.063995798200508408, -0.10915145552949859,
    0.021214499336371952, 0.1037282553795234, 0.0039065606970937281,
    -0.055646304879415916, -0.0091600196267093842, -0.091310095707582944,
    -0.045315494903077069, 0.0010741416911128133, -0.10492792516112928,
    -0.060220212173514039, -0.00086229437611165765, -0.0501834451437947,
    0.066807222622027318, 0.11260320861232162, -0.019419297447740343,
    0.063729844909436451, -0.051784696535855088, -0.009578793993905526,
    0.12985646499290637, -0.0016112341090219261, 0.0208792520760184,
    -0.00470309011078667, -0.01106930128951448, 0.030719613277913688,
    0.02735593387364443, -0.045447374478734925, 0.053969883059187714,
    0.12170754841022315, 0.033501704247495045, -0.034357512462768837,
    -0.051999934069285068, 0.012338432132968064, 0.027690999535322638,
    0.067655470519786723, 0.11002648249085947, 0.052590751895987553,
    -0.11826174372657501, -0.064754413485269419, -0.023091148738354262,
    -0.050623693670143528, -0.070405164359818584, 0.0630374526423528,
    0.064257601754316135, 0.056964588326268051, 0.041308376534760383,
    -0.016131636067079472, 0.096366644764293422, 0.066621723090666038,
    -0.024845474197801785, -0.0658617938206544, -0.12084189421007135,
    0.029340721119203949, -0.056607453954914719, -0.095044501470547,
    -0.077580399480495291, -0.094750585388046038, -0.043920996273119156,
    -0.087745058610982377, -0.015828807668899155, -0.11282292311376146,
    0.016419099017162479, -0.047207563005795719, -0.047230460427278874,
    0.1025084091884485, -0.045349239859435141, -0.069168046163980659,
    -0.012495183855824927, -0.094872041831122814, 0.077081809227110221,
    -0.015913561499735898, -0.06762987287827453, -0.099129775788565383,
    0.018700914578700156, -0.033944915466663617, -0.01092764564200537,
    0.008644938161516182, -0.082522942655543038, -0.038611580099660883,
    0.089415802204141318, 0.064500866391748582, -0.051695351989202006,
    -0.0012531675813721352, -0.11344525502773882, -0.0934535557236643,
    -0.06394916134859488, -0.020736478649741649, -0.010329347085336419,
    0.12942414583523706, -0.0054062936965811291, -0.041234247148078537,
    -0.094404125156762012, -0.0950563674235075, 0.040662073727189663,
    0.037721424924883916, 0.055248079922369145, 0.0047126616884072652,
    0.015881541743343962, 0.022210696087136148, -0.056427425119801394,
    -0.014332084695329293, 0.078608066113552977, 0.010988042802801993,
    -0.093825429470431931, -0.014375512742674715, -0.062231161076803321,
    -0.10461111027957931, -0.11130274325467664, -0.053994170020617009,
    -0.11234200185184171, -0.08314971120242666, -0.025839951878780673,
    -0.012096732687176476, 0.073611025151894049, -0.092093466475824851,
    -0.079754699338318011, 0.063696583552430144, -0.083560543453153169,
    0.075411193272760857, -0.065438040727694408, -0.052375605917096037,
    -0.091466946089357917, 0.064763125974162963, 0.072220868134121458,
    -0.033826611438391357, 0.059682761107937334, -0.038515146630247188,
    0.10329368943699416, 0.0737266881908455, 0.016681455376768885,
    0.074597981363591831, -0.0082862149740697659, 0.032924399934150562,
    0.08360138313275986, -0.066995598089812328, 0.018945621848942443,
    0.017016536918446078, -0.054648569350058705, 0.01029959381434372,
    -0.035340731976955177, 0.091542415550016742, -0.066329369683893732,
    0.050276226027890586, -0.11328748760162494, 0.10673744323387013,
    -0.11278100105183728, -0.014400644648299439, -0.00259082257379479,
    -0.09629890955343616, 0.063711708942889661, 0.046555550690141181,
    0.042814393228503521, -0.038737698096920473, -0.0053817666137036613,
    -0.0023323944459495067, -0.062416297200311319, 0.034938521188409316,
    -0.080465123533204272, -0.1257566461396831, 0.068904248994012512,
    0.13227801954770316, -0.0024774563699893541, -0.080434754987272788,
    0.012455517924094021, 0.11591492072383275, 0.023494137072320457,
    0.10858635830996674, -0.023914175896363715, -0.0406988233257644,
    0.046515229559979152, 0.070877699835760158, -0.11935681472728453,
    -0.089775227612977029, -0.04649042570964005, 0.0215316219659961,
    0.022766605971207828, 0.075264029376590033, 0.10432358558687196,
    0.02353436236247658, 0.00078435498354944037, -0.033256270079245136,
    0.049647575082633677, -0.034898424217500383, 0.070175547738674515,
    -0.016173513442771566, 0.12453600503668404, 0.10027756283330902,
    -0.032322565872817871, 0.11066785740390525, 0.033003032991965331,
    -0.0378330126289274, -0.057585829397851104, -0.10256333754647266,
    0.0018870520821321068, 0.041577601861905379, 0.003983202353244693,
    -0.0069627169150520557, -0.13437111622827516, 0.010744374560109874,
    0.15046496729377104, 0.051671484686535193, 0.056642569107651829,
    0.075762160032173675, -0.017114293966636586, -0.0987561875929566,
    0.016610277721453862, 0.092569513889626628, -0.11884338007701205,
    0.026263828239114426, -0.026002759667333303, 0.065821706252778,
    -0.050092733083345227, -0.013051406347283618, -0.0056646540432142506,
    0.11543163456591532, 0.062620733565409675, -0.07178250267216181,
    -0.028077245045143348, 0.011225929658980378, 0.011321109253371322,
    0.0895890825975731, -0.071550596205182046, 0.040761124596194742,
    -0.0018466953605836864, 0.13209359234171575, 0.04972646313159914,
    0.019388285210945735, -0.010888858448770512, 0.082574609546717748,
    0.044025299932593805, -0.061507720468797732, -0.026317739339225866,
    -0.02576245294116131, -0.020220962399581835, -0.033909466093754156,
    -0.087481307234481984, 0.09617455342098355, 0.094060984615042281,
    0.059529348601273305, 0.051149623078954189, 0.047437973708324879,
    0.025651394679322474, -0.058800954279016195, 0.082652599266855226,
    -0.02447539302108866, -0.069080365564079163, -0.014825150594637333,
    -0.035798984637275745, -0.020389616045471619, 0.1956522307815205,
    0.10377099793465297, 0.044264301254050245, -0.072561569416059318,
    -0.019035428070327095, -0.037015087656113034, 0.043314260947926023,
    0.07249580198418408, -0.12063427916928474, -0.070108711994666367,
    -0.0059728280876320825, 0.021406392074680158, 0.0028837334151104233,
    0.10804494939068042, 0.10873089008934304, 0.03493309048392973,
    0.062205987603613795, 0.088752564202692813, 0.0584089414870296,
    0.085713683445779287, 0.038128035554708326, 0.026408551452795574,
    -0.061684878309604459, -0.067448786219581364, -0.096198481237181332,
    0.11783183385873003, -0.03037478773871382, -0.036112625412369155,
    -4.671305511101914E-6, 0.053659652427046525, -0.10905857888258694,
    -0.052429749377594058, -0.0067574453894988576, -0.078538152245749351,
    0.058613110008904935, -0.071732297197158471, 0.090376750696830738,
    0.11955547248350898, -0.049873445743502234, 0.0099861182755095531,
    0.061153992300432128, 0.077339893491600059, -0.0073640659387610536,
    0.028482095424994094, -0.022450090407500189, -0.0038306082985628104,
    0.065346072792041549, -0.11786738553671712, -0.035143338933764943,
    0.073604811907632336, 0.019390285467556292, 0.0956705276932463,
    -0.11539819751848528, 0.077897500811437634, 0.062098165002873879,
    -0.079433313416119047, 0.033478837069135604, 0.076445417441938335,
    0.050654018060376081, 0.038135780145536917, -0.0090815460469243041,
    -0.0081604409491575561, 0.044693294404722424, -0.062762982032994144,
    0.00061081536000541763, -0.0599811645904478, -0.059380569402147289,
    -0.043186042376636181, 0.061517492915722748, -0.10816011344815264,
    3.7560472759854335E-5, 0.0052648065720780762, -0.0043563175893422852,
    -0.07356572343128423, 0.052085202365712381, 0.069141581717501427,
    0.11761847679036927, 0.082604408561153642, 0.068846193610515916,
    0.10051981656564045, 0.00977928597914295, 0.0088754882960641168,
    0.068371089821606515, 0.079693227525971633, -0.0814685834441436,
    -0.04478047515949677, 0.078115438680975091, 0.011437136714103277,
    -0.038336374065747851, 0.018759553739364911, 0.036909813775585373,
    0.057281911663685514, 0.0221948260624093, -0.042636303280275276,
    0.0072309964351537819, 0.014513066509002187, 0.096209068327526237,
    -0.038889169549200166, -0.06465627817100153, 0.098548712588877665,
    0.10781177966597714, -0.03520940624016089, 0.027244701898615747,
    -0.044065166282114966, -0.054310684906577346, -0.10134672404510996,
    0.053897309270055559, 0.016485523840802454, -0.049722989826197023,
    0.032839216608884475, 0.02195914221380196, 0.095920328402641114,
    0.11324853908596755, 0.0098153866873334963, -0.041323669621144671,
    0.056180966732017175, -0.040385942683464938, -0.0325057721890766,
    -0.12252636954333783, -0.032065055560030475, 0.0080337025948154176,
    0.072060792758264033, 0.015875399202722264, 0.017893862999036402,
    -0.0702599353967886, -0.0479135861570961, 0.09727137958097995,
    -0.1251267571395645, 0.064457805478118885, -0.0020762936602915514,
    -0.068603733490146354, 0.038788844637156185, -0.10442110867460455,
    0.020878203742234498, -0.10852808596374164, 0.050487938093109107,
    0.035033440565022979, 0.10258752084652317, 0.11480044699741368,
    -0.067335152057441117, 0.044555883590370667, -0.066526261611224838,
    0.012869087632140841, -0.018590302895694379, 0.045395200871454842,
    -0.085882459045927922, -0.1019667733194586, 0.020271509700859315,
    0.076439415235325311, -0.07601439129764774, -0.020918599173906458,
    -0.035010945931697617, -0.0346542991905643, 0.0988633461256649,
    0.008830961402026296, 0.069241188585487667, -0.082336309909274707,
    0.072227920516443042, 0.035064636010891881, 0.071937803464835443,
    -0.059348491701986875, -0.084307015459883089, 0.0406814417904825,
    0.022797005867082852, 0.12050977614884213, -0.053936941431728704,
    0.064031435273208384, -0.037542639049381127, 0.038642029964282947,
    -0.096475947992133257, 0.08601410551813464, -0.05420511049144297,
    -0.031258593656140081, 0.022174148227048263, -0.090618220376867009,
    -0.028232991225172189, 0.042436404894804242, 0.05338460453682433,
    0.045042061195280113, -0.0079986933242682835, -0.11812907847716188,
    0.029044660531899524, 0.0019205269986689924, -0.14073848545779385,
    -0.12591581679009595, 0.007437748693680607, 0.042122772295197668,
    0.11863360288262029, 0.020241988478949039, 0.11526701103593794,
    0.074876400237523316, 0.062317603469056328, 0.072504432045014139,
    0.013795306261181146, -0.11235864259430972, 0.051555906780988051,
    -0.068638100733813545, -0.0833974352199411, 0.0892423633948084,
    -0.044383274792280734, 0.10437767876587667, 0.050508719476706161,
    0.0040449873516869546, 0.00979708367494699, 0.031857467355456096,
    -0.0040062861533482477, -0.043808775494125284, 0.033678134584386572,
    -0.067385463727779815, 0.064912133026011093, 0.096237598542109115,
    -0.051185509186170812, -0.0461950127938718, 0.087947932088043621,
    0.048637291508862437, -0.060207311080634623, 0.04381086667946385,
    0.075938464968353978, 0.068709342806527754, -0.10239752789930423,
    0.057516382629220278, 0.0064575289552209533, -0.044260702661706064,
    -0.0453336603225301, -0.026148417474459749, 0.075715955982939287,
    0.073988944337889648, -0.039189496786754284, -0.0776188330033511,
    0.10796721263770662, -0.10727271055705075, 0.084344391444969816,
    -0.0021032329962071159, -0.15573507110107895, -0.033609450963306031,
    -0.078683660041746942, -0.077115541240584326, -0.051132409949271533,
    -0.00568418015741592, 0.054296271343411459, -0.060891616252039232,
    -0.055431542708689434, -0.040883634070139625, -0.087560459182080039,
    0.069619444382441928, 0.024555430330010706, 0.0076863608072103226,
    -0.10949616453056955, 0.095972694585776577, 0.015657008408740177,
    -0.0073325172727913617, 0.10011565342436098, -0.050824351452940827,
    -0.0052214976960113036, 0.095660943669153384, -0.10146826705795885,
    -0.01738387451440606, -0.0074283636960862758, 0.029886870833082713,
    0.050240375599179245, -0.070860260393919045, -0.021362581376624567,
    -0.057084261419972193, -0.032322986161911559, -0.00732983195819961,
    -0.026952104737021542, -0.070989058197418728, -0.068805757414678828,
    -0.038579294366920487, -0.056501478412015776, -0.11056120519686767,
    -0.061597318993507441, -0.10696786100468382, 0.031925641459584805,
    0.076439519673270312, 0.035663343657597116, 0.0717728465060823,
    -0.10177182972196498, 0.039416243792970235, 0.10295770532591683,
    0.026830378371904089, -0.0836434614921122, -0.13856928743277172,
    -0.066373406587192416, 0.011843840165494232, 0.070933994051952373,
    -0.021949599105620776, 0.045989793211871174, 0.048475322635620613,
    -0.054797732443798583, -0.088629908636240651, -0.083141562590538232,
    -0.018744396490863742, 0.0076503498346193648, -0.038337809011047115,
    0.0335546424658559, 0.056107188795673529, -0.043928682312497608,
    0.019889418796903893, 0.045559705666710325, -0.086543213340319919,
    0.078682286302885637, 0.052563579086316169, 0.080887224368720423,
    0.11164011182251486, 0.056151709812780441, -0.024316931296764373,
    0.012210636473951979, 0.095344847973339364, 0.032774979108403143,
    -0.027961696114937751, 0.016904598868312932, 0.0035276434167978684,
    0.063076671343061483, -0.12169824423798033, 0.11921483122148303,
    -0.021436920878540561, 0.082167425171021408, 0.035503112821051015,
    0.088530998036406419, -0.0059924120989842122, -0.026911061649639145,
    0.068590506941833038, -0.10283855190740579, -0.0994360322862462,
    0.055292212583299985, 0.071256850991053652, -0.10453425039108391,
    0.075598027930904935, -0.123673275224902, -0.082995537482823442,
    -0.028109444587957409, 0.032530859315545009, 0.047174577534194663,
    -0.079578590661392487, -0.037972644393735509, 0.045976703483286037,
    -0.028861071447383375, -0.053206724613635778, 0.13353547512000766,
    0.068530712343550626, 0.03031565710227074, -0.061003822355560733,
    -0.0044200362048295557, 0.0953340993418696, 0.028251914726914015,
    -0.047426131222251394, 0.12049999725884383, 0.038952568634650929,
    -0.044080346542123852, -0.12986922317861227, 0.036872897522052632,
    0.10370223589694892, 0.067710499384200276, 0.012996376723741928,
    0.012113256861177635, 0.047620927329250176, -0.023655433849313453,
    0.049265833554676376, 0.0727970954807596, -0.070934221718419482,
    0.051957471311702134, -0.098362451979120219, 0.088977715925439,
    -0.015733173311769051, 0.093755056463683817, 0.106277223600015,
    -0.070944226938099181, 0.090500740330262466, -0.05663419936003207,
    -0.0084064324047462523, -0.051052565789775219, -0.0809505810674408,
    -0.0880952906681398, -0.032653831272440682, -0.074456409176825167,
    -0.0089585839448407256, 0.0191136450921188, 0.0850530934926203,
    -0.10177320007301906, 0.077019306212394611, 0.041059765453318138,
    0.016847074170966127, -0.10653136945858613, 0.0023436543206260974,
    0.062972523496095112, -0.063645607011209027, 0.05213151077309025,
    0.0053502921550747581, 0.016907268100583427, -0.035223890168632671,
    -0.001171920851597746, 0.014331742578830457, 0.090683772703253368,
    0.064495693280560026, -0.028967455629056865, -0.030638783227277974,
    -0.10788154204061179, -0.081758167776087465, 0.01022696687802698,
    0.0062510639179604805, -0.026440890120136576, 0.047053272354902989,
    0.044946855823905577, 0.024478676775674613, -0.013897316951651272,
    0.01207501030187912, -0.045316411779704607, -0.145603835549394,
    -0.11959041126790619, -0.053350032271483647, -0.020723030788940264,
    0.0921525973008326, 0.087427280033605864, 0.084597485570289233,
    0.0153251646130362, -0.086239328639520052, -0.0487949113428496,
    0.071443243344352952, -0.054452259348775574, 0.0756982474262402,
    0.0733124901334188, 0.0019393187387952997, 0.0052001165100545648,
    -0.0089206978375308728, 0.075463717174796024, -0.036215781177059862,
    -0.098516628753481661, 0.03031287537163407, -0.01426885401030688,
    -0.055135556790434449, -0.10782228176726599, 0.06609623653631759,
    0.038541541773770484, 0.037826740717322338, 0.07023791022370264,
    -0.096404287122411364, -0.060539975947685717, -0.019149099161164657,
    0.13651831038996787, -0.035106637555065809, -0.0016723491821525112,
    0.052478459626857647, 0.05031109543522358, 0.062801902523091951,
    0.11736156567982321, 0.08755946110345561, -0.10157334543591905,
    -0.046621680261604639, 0.073303160423152075, 0.029918987736493211,
    -0.082849852240890462, -0.033483947773379125, 0.1064271221620935,
    -0.0011014947709232412, 0.030687511808743042, -0.10307523049192585,
    -0.01102059775859548, -0.14913958739252803, -0.076170915795877661,
    0.00046673383273331817, -0.02582343448913019, 0.046259828425310227,
    0.040020356127982666, 0.01111529161240604, 0.075537547765387708,
    0.10930005928295683, 0.082921933565262146, 0.049445090763719557,
    0.073648223894350259, 0.021109051765610298, -0.062568840060394745,
    -0.15451772520097762, -0.046670306237525, -0.1043110885466858,
    -0.018957394101415025, -0.11893324778255575, 0.044353928660946659,
    0.077771577207514889, 0.11853817167814526, 0.089512643298384889,
    0.020014143935895751, 0.14824682459575747, -0.085283217730097546,
    -0.089630979053716711, 0.052760248514353, -0.063981779226721866,
    0.037915693598643323, 0.048165873699170539, 0.026983862480341021,
    0.082919044237730541, -0.0078009571818850234, -0.040564082384318779,
    -0.04998883872444463, -0.080892322972112352, -0.12262524229941317,
    0.038097985230339117, 0.02412226712694672, 0.0868059531935056,
    0.018709159705378082, 0.0088338956920298358, -0.1135943234594264,
    -0.067353622795243054, 0.03310791820494375, 0.070139384199552887,
    0.080386026591893964, -0.059131205676109737, 0.010049108615200253,
    0.01667367512472891, -0.036924456521879291, 0.077975794695284747,
    0.037560226346116631, 0.087945525188514131, -0.098600974471497377,
    0.074737612755461147, 0.0077666023947750868, -0.019423002306977744,
    0.049997479150794617, 0.016250030258082804, -0.066865136255305574,
    -0.031980161675538257, 0.018439535414899313, -0.035751173859425327,
    0.11818324189526946, -0.15114778808146873, 0.17967123182856962,
    -0.039936009576356013, -0.10089161179394271, 0.088159855160182515,
    0.062190959642081774, -0.019837531188218835, 0.025513255227891905,
    0.13017483199012769, -0.088977438602158371, -0.063797970757139291,
    -0.0409830000322065, -0.085457378378020227, 0.013499824106877376,
    0.001743897205411652, 0.064987295464226144, 0.035455582438923217,
    0.0675364216754058, 0.087306706556175853, -0.083996329249417023,
    -0.057368407596746822, -0.16762585015020881, -0.084007490498120369,
    -0.10527453376352765, -0.066839452434909019, -0.031245335393071286,
    0.1846599775576763, 0.025368081606515321, -0.016197496838982382,
    0.064179541019749126, -0.041716722792948857, -0.037390598321291053,
    -0.096043441344885308, 0.050987543058406831, -0.09365933465818381,
    -0.047380817108318568, -0.037851026599193587, 0.037988749575216064,
    0.096911654238768075, -0.021898981111461047, -0.035513799613634357,
    -0.10858876284154717, -0.068910457742121567, -0.045198866846095392,
    -0.1024947404082879, -0.01489433155896964, -0.07942304153878775,
    -0.043012143183126086, 0.015748812948504796, 0.12969940162526575,
    -0.14593608784207523, 0.049821191562753463, 0.13508234441758835,
    -0.085858760418547189, 0.021531355524823763, 0.01801640332438308,
    0.091681277044261447, 0.017333804222301227, 0.047970180087337444,
    -0.038923417860586979, -0.079882273929007, -0.029153281681178211,
    -0.11103853146110269, 0.006887885834236363, -0.046047726644974245,
    0.129004845440838, -0.01253102437650663, 0.050040059407033322,
    -0.0058998631780714057, 0.013760225863582566, -0.025198378302023157,
    -0.0085787400602440229, 0.053020750664978987, -0.12925458031167678,
    0.045164125779455687, -0.12912071174423223, 0.19718883089684622,
    0.0033636438228171928, -0.068064420838552062, 0.095401206520297585,
    0.0052120290809507495, -0.05036715776354269, 0.0013900849300797992,
    -0.0084361267401126, -0.10916975893331148, -0.0054259423209031621,
    -0.093077306181201941, -0.050699049695107079, -0.01602011553574054,
    0.0243123395515711, 0.078366055672340326, -0.045636304006242662,
    -0.018560701914317485, 0.0049775442583542308, -0.088365188954926913,
    -0.034013374251784571, 0.0052155012054264371, -0.062544797458712956,
    0.046356504826664043, 0.096099445810527942, -0.1243035236294838,
    0.12539149319548648, 0.073915060041308142, -0.072659117626599642,
    -0.033911958826708687, 0.046879600552303433, -0.032753171278939681,
    -0.11628081358319738, -0.078276029070147274, -0.039066454571001115,
    -0.11028801547542984, 0.063994961973380407, -0.10862211250048127,
    0.12597236080619287, 0.072870256751909668, 0.11572367286454155,
    0.033667050487002741, 0.10889732448822058, -0.046961790402760176,
    -0.0018946806649828786, 0.018940873475080645, -0.088733656626908575,
    -0.045503700469180106, -0.18068706817411884, -0.033808614676598278,
    -0.036275035589284417, 0.15872742450581273, -0.041602052571136881,
    -0.037009406712750374, 0.025899329432259536, -0.020177322442462252,
    -0.025813113491021378, -0.10029388371629251, -0.074006689491591823,
    -0.077404095024005512, -0.043826822403550465, -0.10510091498530491,
    0.0031515474564588943, -0.016684545867165571, -0.057931735270944383,
    0.034728317736695886, -0.023577590078666815, 0.11258821012993873,
    -0.086734561743090036, -0.0277394052837791, -0.066364843674348264,
    -0.058085971367597411, 0.045948038557544056, 0.072840851405687967,
    -0.10580517022015797, -0.051629133945472909, 0.059267009967170832,
    -0.10629091809408485, 0.019916967404213261, -0.06862887060348094,
    0.04174753937595152, 0.0076025312081667105, -0.010279207880508281,
    0.071393453075348057, 0.015092612638474102, -0.0946933997308678,
    -0.052846105558017206, -0.037080511885465711, -0.084434683399509144,
    -0.038330301636198209, 0.057239248517402704, 0.078680839442137718,
    0.017200559772836771, 0.016140957106459713, -0.10454039864524295,
    0.03462181866875675, -0.0040427545517661336, -0.095490117959620438,
    0.0717364025375175, 0.025757498118957337, 0.14888108400366271,
    -0.10665418977858551, -0.00863715264364606, 0.040183387109836814,
    -0.05514608929014847, -0.063749431412651034, 0.13567762304728248,
    -0.02789147347559923, -0.05407181113451115, -0.1186471678805547,
    0.10081561701378701, 0.038771493712511193, 0.06688914042779727,
    0.0673430969127916, -0.068969755466675178, -0.025154941706440843,
    -0.02460391060628956, -0.053442150963097276, -0.06433691086668912,
    0.068343948015802167, 0.068987724716596838, -0.025576615570755891,
    0.040704734681436434, -0.075264518117736739, 0.01150011705235302,
    0.024494840414683035, 0.01721387794640784, 0.025808540398521981,
    0.092115971084557255, -0.059297934061037075, 0.063768122569847721,
    0.08276870518653491, 0.00805604751770643, 0.03017849270075371,
    -0.0881628440261176, -0.040322379010627116, -0.094145606861643333,
    0.036603797535850545, -0.020282645222797938, 0.055772248270736416,
    -0.044644469861992379, 0.014616906025172943, -0.0550838039714046,
    0.014543257627527159, -0.0914862688299221, -0.053922205587762853,
    -0.027609625420108981, 0.076426742099517886, 0.14652040007430081,
    -0.027923315054420812, -0.017354319386429857, 0.048117580801758653,
    0.042140646263511126, 0.071049649869381878, 0.090907167257727392,
    -0.10203611685187926, 0.087525783664843052, 0.023096804487756421,
    -0.098792942920651508, 0.11211051037153455, -0.019498669160599943,
    0.03370537775457691, -0.085706955701396109, 0.047701096776438578,
    -0.050820852719457521, -0.00480083096932765, 0.090921183628322813,
    -0.086998941820229367, -0.05673364744932384, 0.017855828717285929,
    -0.0824121416343753, 0.0519628852361328, 0.018202451892146865,
    -0.06040116430073636, -0.022852893373065356, 0.11628224810701711,
    -0.0088368037083720076, 0.027208591384997847, -0.078369595419738008,
    -0.071763770031154681, 0.029381515632422146, -0.045016208381986951,
    0.012642672383440528, -0.10853452162086523, -0.071593336777687658,
    0.0854663728782064, 0.033042627151161429, -0.03553911620530651,
    0.023273626422670786, -0.063796384196230946, 0.018703782944178834,
    0.038227993384919161, -0.010676373948115946, 0.05917442251706586,
    -0.0089025633627515845, -0.069634376198534173, -0.1461437444572726,
    0.002181706531567983, -0.013414593885817812, 0.0448928867713714,
    0.025811067885838656, 0.043869117592030174, -0.036819163642482562,
    0.00216867988923574, 0.048214973105222665, -0.026018712469311346,
    0.029132190471663925, -0.068267264761494126, -0.040732898433871352,
    -0.0051241661037216956, -0.097426269784638114, -0.0063007186102332869,
    0.0742048159075186, 0.014768244823151351, -0.056093127697640639,
    0.017142770899028388, 0.017179116143851942, 0.096405087330124442,
    -0.058724256323036635, 0.051893308043584371, -0.094726242356997128,
    0.081168757017540311, 0.0025260041807781694, 0.012813096078353639,
    0.088063406097247776, 0.032273820418938719, 0.032591086608552616,
    -0.096439263188137545, 0.015680046063561, 0.014560084568213576,
    0.12122689225111456, -0.0866718602579304, 0.079373137404256416,
    -0.07025304116893763, -0.08560530526895406, -0.041246745661736993,
    0.10592898022076941, 0.039248593083731582, 0.065038581827261341,
    -0.033865649376128369, -0.040165735876695939, 0.07372288355162078,
    0.0035447992801123343, 0.10120402644240573, 0.013225872528542449,
    0.042501744325434923, 0.018889200928633124, 0.067273006382596992,
    -0.13874692188125581, 0.070773132562219718, 0.069235410397755118,
    0.053984211246057505, 1.88548249089768E-5, 0.061179712583883668,
    0.11644132536303646, -0.012461824664984366, -0.038836605387032222,
    0.13728494337343858, -0.073404480742444517, -0.13632986947040648,
    -0.0936681703398795, -0.014533148891902228, -0.015614635848940297,
    0.0901786804031245, 0.037251730656639642, 0.035926425264013524,
    -0.02623057820496516, 0.0744413856358997 };

  double dv6[4];
  static const double b_a[100] = { 0.92816294678223876, -0.64423664608444819,
    -0.62443581207290055, 1.1193926202518607, -0.52268220982132341,
    -0.7050859064228, 0.65469389980376858, 0.10808203138713963,
    -0.43482262650117742, 0.10550572601345036, -0.42127446288154147,
    -0.57752425102786131, -0.59236831014406421, -1.0151750783558942,
    0.059465696532669435, 1.2832933071609121, -1.1591838053061772,
    1.341193917525527, -0.42361517807823712, -0.47800196179994758,
    -1.0515801942724212, 0.57058777000061656, 1.2087998896071466,
    -0.69918228915749236, -0.37468099080487227, 1.2006501107749574,
    1.1481604717168745, -1.321002698833512, -1.2481552578288182,
    -0.2503122546901923, 0.87495829250473534, 0.75139873289400561,
    1.1594649843094411, 0.20464107311427629, -1.4162219699619421,
    0.407957130090146, 0.47159363803825327, 1.1020739346843704,
    -1.1570251667617233, 0.76984098846558069, -1.2566677720845607,
    -0.91470519509024351, 0.37351073833672288, 0.52644935866097153,
    1.0067270713060481, 0.17076923569144692, 0.85529038048444606,
    0.52899921325556443, 0.24361100766419055, -0.36040357118304056,
    -1.0219307329155241, 0.40306369177725476, -0.052283291840626654,
    -0.75169232599432834, 1.2171295504458837, -0.84966946050886838,
    -0.94085474979775729, 0.015550759587109697, 0.44445100919336494,
    0.8508802465820543, 1.5306810051286508, -0.86399644156110689,
    -0.56244745891089365, -0.49199301159381015, -1.2181111320570837,
    1.3638674612623669, -0.66798893564060746, 0.18657645800041339,
    -0.40636978340629537, 0.63356144079585675, 1.1471396025423013,
    0.4417985745216082, -0.17825389606144662, 1.2230671107957833,
    -0.24245260331521665, 0.21483387780162624, -0.26345203669751138,
    -1.2736650436360606, -0.41591543055723029, 1.0734749898854696,
    0.884554673651612, 0.52739218258838838, -0.15318822379716121,
    0.74093916596881926, 0.40916705824720528, 0.762870155997704,
    0.93432691701671666, -0.29542024025863528, 1.0960775534250813,
    0.39165380793288712, 0.65055332741505567, -1.22620073536349,
    0.2039907863714453, -1.0944426078872154, 1.3786193610582842,
    0.56249571436145041, 0.71651505342757826, 0.38053423625152827,
    -0.33789192301224064, -0.98000366622452073 };

  /*  ===== NEURAL NETWORK CONSTANTS ===== */
  /*  Input 1 */
  /*  Layer 1 */
  /*  Layer 2 */
  /*  ===== SIMULATION ======== */
  /*  Dimensions */
  /*  timesteps */
  /*  samples/series */
  /*  Allocate Outputs */
  /*  Input 1 */
  /*  Layer 1 */
  /*  Layer 2 */
  /*  Output 1 */
  b_repmat(dv0);
  repmat(dv1);
  mapminmax_apply(X, dv4, dv3, dv2);
  for (i0 = 0; i0 < 25; i0++) {
    d0 = 0.0;
    for (i1 = 0; i1 < 550; i1++) {
      d0 += a[i0 + 25 * i1] * dv2[i1];
    }

    dv5[i0] = dv1[i0] + d0;
  }

  tansig_apply(dv5, dv1);
  for (i0 = 0; i0 < 4; i0++) {
    d0 = 0.0;
    for (i1 = 0; i1 < 25; i1++) {
      d0 += b_a[i0 + (i1 << 2)] * dv1[i1];
    }

    dv6[i0] = dv0[i0] + d0;
  }

  softmax_apply(dv6, Y);
}

/*
 * File trailer for neural_function.c
 *
 * [EOF]
 */
